2010-04-11  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-tooltip.c:
	Get rid of missed GTK_WIDGET_VISIBLE macro.

2010-04-11  Michal Hruby  <michal.mhr@gmail.com>

	* configure.in:
	* po/ja.po:
	* po/lt.po:
	Manually import latest translations from LP.

2010-04-11  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini.in:
	* libawn/anims/awn-effect-bounce.c:
	Make classic attention effect jump higher.
	Change default nagging timer to two minutes.

2010-04-11  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/anims/awn-effect-spotlight3d.c:
	Make the spotlight 3D animation loop again (fixes bug #496349).

2010-04-11  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/dock-manager-api.vala:
	Make sure we don't have double slashes in DesktopFile.

2010-04-11  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnSettings.py.in:
	Set translation domain before loading ui file.

2010-04-11  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon-build-context-menus.c:
	Fix some CRITICAL spam when a window is minimized.

2010-04-11  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/__init__.py.in:
	Call also desktopagnostic.vfs.init() in awn.init().

2010-04-11  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/anims/awn-effect-spotlight3d.c:
	* libawn/anims/awn-effect-squish.c:
	* libawn/anims/awn-effect-turn.c:
	* src/awn-panel.c:
	Make a couple of animations faster.

2010-04-10  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-launcher.c:
	Really fix bug #550541.

2010-04-10  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-launcher.c:
  	* applets/taskmanager/task-window.c:
	Should fix bug 550541.  Sometimes event is NULL.

2010-04-10  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	Fix LP bug #557778.
	* src/awn-app.c:
	Provide more precise error message.

2010-04-09  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-window.c:
	Fix build failure.

2010-04-08  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-icon.c:
	* applets/taskmanager/task-window.c:
	* libawn/awn-dialog.c:
	* libawn/awn-tooltip.c:
	* libawn/awn-utils.c:
	* libawn/gseal-transition.h:
	* src/awn-applet-manager.c:
	* src/awn-background.c:
	* src/awn-panel.c:
	* src/awn-throbber.c:
	Add a few more methods to gseal-transition.

2010-04-08  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-effects.c:
	Fix bug #558456.

2010-04-05  Michal Hruby  <michal.mhr@gmail.com>

	* applets/quick-prefs/applet.vala:
	Fix compatibility with vala 0.8.0.

2010-04-05  Julien Lavergne <gilir@ubuntu.com>

	* debian/rules:
	Disable maintainer mode and re-run configure to fix FTBFS on Hardy.

2010-03-31  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/awn-desktop-lookup-cached.c:
	* applets/taskmanager/task-launcher.c:
	* applets/taskmanager/util.c:
	* applets/taskmanager/util.h:
	Make sure localization works fine in taskmanager.

2010-03-30  Michal Hruby  <michal.mhr@gmail.com>

	* configure.in:
	Make sure the dock links to lXext.

2010-03-26  Michal Hruby  <michal.mhr@gmail.com>

	* configure.in:
	Bump version to ~rc2, since rc1 was already released.

2010-03-26  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-desktop-lookup-cached.c:
	Remove a debug and fix a warning.

2010-03-25  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Removed a debug.

2010-03-25  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon-build-context-menus.c:
	check we have a custom name before attempt to get a customize
	icon menu item.

2010-03-25  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-desktop-lookup-cached.c:
	Check res_name and class_name for NULL.

2010-03-25  Michal Hruby  <michal.mhr@gmail.com>

	* po/af.po:
	* po/ar.po:
	* po/avant-window-navigator.pot:
	* po/be.po:
	* po/bg.po:
	* po/bn.po:
	* po/bs.po:
	* po/ca.po:
	* po/cs.po:
	* po/csb.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_AU.po:
	* po/en_CA.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/et.po:
	* po/eu.po:
	* po/fa.po:
	* po/fi.po:
	* po/fr.po:
	* po/ga.po:
	* po/gl.po:
	* po/gu.po:
	* po/he.po:
	* po/hi.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/is.po:
	* po/it.po:
	* po/ja.po:
	* po/jv.po:
	* po/ka.po:
	* po/ko.po:
	* po/ku.po:
	* po/lt.po:
	* po/lv.po:
	* po/mk.po:
	* po/mr.po:
	* po/ms.po:
	* po/nb.po:
	* po/nds.po:
	* po/nl.po:
	* po/nn.po:
	* po/oc.po:
	* po/pl.po:
	* po/pt.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/ta.po:
	* po/te.po:
	* po/th.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	Update translation template and translations.

2010-03-25  Michal Hruby  <michal.mhr@gmail.com>

	* data/awn-themed-icon.ui:
	* po/POTFILES.in:
	Make sure our ui files are translatable.

2010-03-25  Michal Hruby  <michal.mhr@gmail.com>

	* applet-activation/main.c:
	* bindings/python/__init__.py.in:
	* src/awn-main.c:
	Remove unnecessary setlocale calls (gtk_init calls it automatically).

2010-03-25  Michal Hruby  <michal.mhr@gmail.com>

	* applet-activation/Makefile.am:
	* applets/quick-prefs/Makefile.am:
	* awn-settings/awnDefs.py.in:
	* bindings/python/Makefile.am:
	* bindings/python/__init__.py.in:
	* configure.in:
	* src/Makefile.am:
	More i18n fixes - make sure libawn calls get correct translation even
	when they're called from python.

2010-03-25  Michal Hruby  <michal.mhr@gmail.com>

	* applet-activation/Makefile.am:
	* applet-activation/main.c:
	* applets/quick-prefs/applet.vala:
	* applets/taskmanager/applet.c:
	* libawn/awn-applet.c:
	* libawn/awn-themed-icon.c:
	* src/awn-main.c:
	A few i18n fixes.

2010-03-24  Michal Hruby  <michal.mhr@gmail.com>

	* po/ku.po:
	* po/sq.po:
	* po/tr.po:
	Manually update a couple of translations.

2010-03-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-desktop-lookup-cached.c:
	Remove a debug.

2010-03-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-desktop-lookup-cached.c:
  	* applets/taskmanager/task-manager.c:
	Removed two debugs from standard build.

2010-03-23  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-tooltip.c:
	Workaround bug in metacity compositor (LP bug #524153).

2010-03-23  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-dialog.c:
	Make shadow on the dialog a bit less sharp.

2010-03-23  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini.in:
	Default drag and drop to true as was intended.

2010-03-10  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-manager.h:
	Fix build failure when using glib < 2.18.

2010-03-09  Michal Hruby  <michal.mhr@gmail.com>

	* Makefile.am:
	* configure.in:
	Bump version to 0.4.0~rc1. Require desktop-agnostic >= 0.3.9.

2010-03-09  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-icon.c:
	Unshelve the bind patch on composited state change.

2010-03-09  Michal Hruby  <michal.mhr@gmail.com>

	* data/avant-window-navigator.schema-ini.in.in:
	Provide defaults for icon text colors.

2010-03-09  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	* awn-settings/awnDefs.py.in:
	* themes/dark.awn-theme.in:
	* themes/dust.awn-theme.in:
	* themes/light.awn-theme.in:
	* themes/smoked.awn-theme.in:
	Support themes with custom active rectangle icon.

2010-03-08  Michal Hruby  <michal.mhr@gmail.com>

	* applets/quick-prefs/applet.vala:
	Constructing error message is nice, but displaying it is more useful.

2010-03-08  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.ui:
	* awn-settings/awnSettings.py.in:
	Expose a few more theme-related settings in theme customization dialog.

2010-03-07  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-background-edgy.c:
	* src/awn-background-flat.c:
	* src/awn-background.c:
	* src/awn-background.h:
	* src/awn-panel.c:
	Fix background drawing in RTL environments.

2010-03-07  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-background.c:
	* src/awn-panel.c:
	Possible fix for bug #499556.

2010-03-07  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnSettings.py.in:
	Fix custom combobox for behavior.

2010-03-07  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/dock-manager-api.vala:
	Make GetCapabilities method return what we really support.

2010-03-07  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnDefs.py.in:
	* awn-settings/awnSettings.py.in:
	* themes/dark.awn-theme.in:
	* themes/dust.awn-theme.in:
	* themes/light.awn-theme.in:
	* themes/smoked.awn-theme.in:
	Fine-tunning of the default themes.

2010-03-07  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	* bindings/vala/awn.gi:
	* bindings/vala/awn.vapi:
	* data/avant-window-navigator.schema-ini.in.in:
	* libawn/awn-tooltip.c:
	* libawn/awn-tooltip.h:
	Refresh bindings. Add possibility to specify outline color for
	tooltips.

2010-03-07  Michal Hruby  <michal.mhr@gmail.com>

	* data/avant-window-navigator.schema-ini.in.in:
	Change a couple of defaults.

2010-03-06  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-app.c:
	Bail out if panel_list is empty.

2010-03-06  Michal Hruby  <michal.mhr@gmail.com>

	* Makefile.vala-applet:
	* applets/taskmanager/Makefile.am:
	* data/Makefile.am:
	A few distcheck fixes.

2010-03-05  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.ui:
	* awn-settings/awnClass.py:
	* awn-settings/awnSettings.py.in:
	* themes/dark.awn-theme.in:
	* themes/dust.awn-theme.in:
	* themes/light.awn-theme.in:
	* themes/smoked.awn-theme.in:
	Properly support pattern-based themes.

2010-03-05  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-item.c:
	* libawn/awn-overlay-progress-circle.c:
	Fix progress overlay not taking gravity into consideration.

2010-03-04  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet.c:
	Automatically inhibit autohide when applet menu is shown.

2010-03-04  Michal Hruby  <michal.mhr@gmail.com>

	* applets/quick-prefs/applet.vala:
	Fix d&d icon when dragging the docklet icon.

2010-03-03  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Fix for "visible" == False. TaskIcon gets destroyed
	when app window closes.

2010-03-01  Julien Lavergne  <gilir@ubuntu.com>

	* debian/avant-window-navigator-data-trunk.install:
	Add the fallback icon to the debian package.

2010-03-01  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Fix intellihide behaviour in certain WMs (Compiz)
	where unhide was not occurring with close of an 
	overlapping window in certain circumstances.  Check
	for window closes in addition to change of active 
	window.

2010-03-01  Michal Hruby  <michal.mhr@gmail.com>

	* applets/quick-prefs/applet.vala:
	* applets/taskmanager/task-icon.c:
	Rework panel repositioning via quick-prefs applet.

2010-03-01  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-applet-proxy.c:
	* src/awn-panel.c:
	* src/awn-throbber.c:
	* src/awn-throbber.h:
	Bind throbber colors to config keys.

2010-02-28  Mark Lee  <avant-wn@lazymalevolence.com>

	* data/Makefile.am:
	* data/awn-window-fallback.svg:
	Add/install the window fallback icon.

2010-02-28  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	* src/awn-panel.c:
	Try to workaround the performance problems on some intel graphics.
	Fixes LP bug #478790.

2010-02-28  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.ui:
	* awn-settings/awnClass.py:
	* awn-settings/awnSettings.py.in:
	Add infobar about required compositing to Theme tab.

2010-02-27  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.ui:
	* awn-settings/awnSettings.py.in:
	Change layout of awn-settings' Behavior preference.

2010-02-26  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	Special case moovida.

2010-02-25  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon-build-context-menus.c:
  	* applets/taskmanager/task-manager.c:
	Remove some debugs.

2010-02-25  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-desktop-lookup-cached.c:
	Various fixes for desktop lookup.  Check the correct 
	hash table for desktop files, and attempt t deal with apps that 
	set the WM_CLASS values to use an extension.

2010-02-25  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-item.c:
	Treat the "badge" and "message" key a bit differently.

2010-02-20  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-icon.c:
	Fix ref counting on plugin menu items.

2010-02-20  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/dock-manager-api.vala:
	* applets/taskmanager/task-item.c:
	* applets/taskmanager/task-item.h:
	* applets/taskmanager/task-manager.c:
	* applets/taskmanager/task-manager.vapi:
	Move overlay setting to one place.

2010-02-20  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/dock-manager-api.vala:
	* applets/taskmanager/task-manager.c:
	* applets/taskmanager/task-manager.h:
	* applets/taskmanager/task-manager.vapi:
	Fix the ItemAdded and ItemRemoved DBus signals.

2010-02-20  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	Check if the autostart file exists when deleting it.
	Fixes bug #334454.

2010-02-18  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Add WM_CLASS matching into the old dbus API support.

2010-02-18  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Fix no launch animation bug #509175.

2010-02-18  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Do not continue searching after finding and removing menu item.
	
2010-02-18  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-icon.h:
  	* applets/taskmanager/task-manager.c:
	Re-enabled proper handling for applications for which desktop file
	cannot be determined on initial open but become discoverable later.

2010-02-18  Mark Lee  <avant-wn@lazymalevolence.com>

	* .bzrignore:
	* applets/taskmanager/Makefile.am:
	Clean up the taskmanager portion of the build system. Also fixes
	parallel builds.

2010-02-17  Michal Hruby  <michal.mhr@gmail.com>

	* applets/quick-prefs/applet.vala:
	* applets/taskmanager/Makefile.am:
	* applets/taskmanager/applet.c:
	* applets/taskmanager/dock-manager-api.vala:
	* applets/taskmanager/task-manager.c:
	Get rid of the older DBus API.

2010-02-17  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/dock-manager-api.vala:
	* applets/taskmanager/task-manager.vapi:
	More DBus context menu code.

2010-02-17  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon-build-context-menus.c:
  	* applets/taskmanager/task-icon-private.h:
  	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-icon.h:
	Dbus context menu code.

2010-02-16  Michal Hruby  <michal.mhr@gmail.com>

	* data/avant-window-navigator.schema-ini.in.in:
	Fix the schema keys after build system refactoring.

2010-02-14  Julien Lavergne <gilir@ubuntu.com>

	patch by: Michal Hruby  <michal.mhr@gmail.com>

	* applets/expander/Makefile.am:
	* applets/separator/Makefile.am:
	Fix linking for expander applet

	* debian/control:
	Build-depends on Vala (>= 0.7.9)

2010-02-14  Michal Hruby  <michal.mhr@gmail.com>

	* configure.in:
	Don't treat unused function as error.

2010-02-13  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	* src/awn-throbber.c:
	Moving the code around a bit...

2010-02-11  Rodney Cryderman  <rcryderman@gmail.com>

        * applets/taskmanager/task-window.h:
        * applets/taskmanager/task-window.c:
        Added task_window_matches_wmclass().

2010-02-10  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/vala/awn.metadata:
	* bindings/vala/awn.vapi:
	Minor fix in bindings.

2010-02-10  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/Makefile.am:
	* applets/taskmanager/task-defines.h:
	* applets/taskmanager/task-icon.c:
	* applets/taskmanager/task-window.c:
	* applets/taskmanager/task-window.h:
	* applets/taskmanager/util.h:
	Cherrypick changes from core-icons R1914.

2010-02-08  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-item.c:
  	* applets/taskmanager/task-item.h:
  	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/task-manager.h:
	Added task_manager_get_icons_by_pid () and 
	task_manager_get_icon_by_xid().

2010-02-09  Mark Lee  <avant-wn@lazymalevolence.com>

	* Makefile.vala-applet:
	Make sure to use the bundled Awn VAPI file when building applets.

2010-02-08  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon-build-context-menus.c:
  	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-icon.h:
  	* applets/taskmanager/task-launcher.c:
  	* applets/taskmanager/task-launcher.h:
  	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/task-manager.h:
	Added task_manager_get_icons (), task_manager_get_icons_by_wmclass ()
	and task_manager_get_icons_by_desktop().

2010-02-08  Mark Lee  <avant-wn@lazymalevolence.com>

	* po/*.po:
	Merge from <lp:~malept/awn/0.4-i18n>, revision 1460.

2010-02-08  Mark Lee  <avant-wn@lazymalevolence.com>

	* Makefile.vala-applet:
	Remove generated C files when running make clean.

2010-02-08  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/expander/expander.desktop.in.in:
	* applets/quick-prefs/quick-prefs.desktop.in.in:
	* applets/separator/separator.desktop.in.in:
	* applets/taskmanager/taskmanager.desktop.in.in:
	Fix desktop files to handle the latest build system refactoring.

2010-02-08  Michal Hruby  <michal.mhr@gmail.com>

	* configure.in:
	* themes/Makefile.am:
	* themes/dark.awn-theme.in:
	* themes/dust.awn-theme.in:
	* themes/light.awn-theme.in:
	* themes/smoked.awn-theme.in:
	Add a couple of default themes.

2010-02-08  Mark Lee  <avant-wn@lazymalevolence.com>

	* po/avant-window-navigator.pot:
	Update POT file.

2010-02-08  Mark Lee  <avant-wn@lazymalevolence.com>

	* po/*.po:
	Merge from <lp:~malept/awn/0.4-i18n>, revision 1459.

2010-02-08  Mark Lee  <avant-wn@lazymalevolence.com>

	* .bzrignore:
	* Makefile.vala-applet:
	* applets/quick-prefs/Makefile.am:
	* awn-settings/Makefile.am:
	* configure.in:
	* data/Makefile.am:
	* po/POTFILES.skip:
	* themes/Makefile.am:
	Various build fixes.

2010-02-07  Mark Lee  <avant-wn@lazymalevolence.com>

	* Makefile.am:
	Reorganize, clean up.

2010-02-07  Mark Lee  <avant-wn@lazymalevolence.com>

	* Makefile.applet-common:
	* Makefile.c-applet:
	* Makefile.desktop-files:
	* Makefile.marshal:
	* Makefile.vala-applet:
	* applets/expander/Makefile.am:
	* applets/quick-prefs/Makefile.am:
	* applets/separator/Makefile.am:
	* applets/taskmanager/Makefile.am:
	* awn-settings/Makefile.am:
	* configure.in:
	* data/Makefile.am:
	Refactor the applet build system, to make it more compatible with the
	one in Awn Extras.

2010-02-07  Mark Lee  <avant-wn@lazymalevolence.com>

	* .bzrignore:
	Clean up.

2010-02-07  Mark Lee  <avant-wn@lazymalevolence.com>

	* INSTALL:
	Update.

2010-02-08  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.ui:
	* awn-settings/awnSettings.py.in:
	Expose pattern setting in awn-settings.

2010-02-06  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-effects.c:
	Fix artifacts visible when using side orientation & 3D turn animation.

2010-02-06  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.ui:
	* awn-settings/awnDefs.py.in:
	* awn-settings/awnSettings.py.in:
	* src/awn-background.c:
	* src/awn-defines.h:
	Expose more color settings in Theme editor. Automatically change
	active rectangle color on theme changes (in gtk-theme mode).

2010-02-06  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.ui:
	* awn-settings/awnDefs.py.in:
	* awn-settings/awnSettings.py.in:
	A few adjustments to Intellihide handling.

2010-02-06  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-background-floaty.c:
	Fix input shape mask for Floaty style. Fixes bug #517765.

2010-02-05  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Don't do the crazy DnD proxying with Gtk 2.19.5 and later.

2010-02-04  Mark Lee  <avant-wn@lazymalevolence.com>

	* data/Makefile.am:
	* data/awn-applets-migration (deleted):
	* data/awn-autostart (deleted):
	* data/default-theme (deleted):
	* debian/awn-applets-migration.1 (deleted):
	* debian/awn-autostart.1 (deleted):
	Remove obsolete files.

2010-02-05  Michal Hruby  <michal.mhr@gmail.com>

	* applets/quick-prefs/applet.vala:
	Fix compability with Vala 0.7.10.

2010-02-04  Michal Hruby  <michal.mhr@gmail.com>

	* ChangeLog:
	* data/avant-window-navigator.schema-ini.in.in:
	* libawn/awn-icon.c:
	* src/awn-main.c:
	Merge from trunk-rewrite.

2010-02-04  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-icon.c:
	Include gseal-transition header.

2010-02-01  Mark Lee  <avant-wn@lazymalevolence.com>

	* po/POTFILES.in:
	Don't translate generated files.

	* po/avant-window-navigator.pot:
	* po/*.po:
	Update gettext files.

2010-02-01  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-main.c:
	Add startup-delay command-line parameter.

2010-01-31  Michal Hruby  <michal.mhr@gmail.com>

	* data/avant-window-navigator.schema-ini.in.in:
	Finally added quick-prefs to list of default applets.

2010-01-25  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Fixed assertion spam.  TaskLaunchers don't have a WnckWindow.

2010-01-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-window.c:
	Possible fix for 503106.
	
2010-01-13  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini.in:
  	* applets/taskmanager/task-manager.c:
	Add icon_grouping.  If grouping is disabled we now spawn new
	icons grouped together with those containing the same desktop.

2010-01-12  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-icon.c:
	* libawn/awn-icon.h:
	* src/awn-panel.c:
	Fixed input shape mask on the scroll arrows.

2010-01-12  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	Don't check title for nautilus windows when doing special
	casing.  Othere cases of title matching need to be reviewed
	and removed where possible due to localization.

2010-01-12  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-background.c:
	Make theming of AwnDialog via gtkrc possible.

2010-01-11  Michal Hruby  <michal.mhr@gmail.com>

	* data/avant-window-navigator.schema-ini.in.in:
	* libawn/anims/awn-effects-shared.h:
	* libawn/awn-effects-ops-helpers.c:
	* libawn/awn-effects-ops-new.c:
	* libawn/awn-effects.c:
	* src/awn-panel.c:
	Added ability to specify outline color for the active rectangle.

2010-01-11  Julien Lavergne <gilir@ubuntu.com>

	* tests/Makefile.am:
	Add missing EXTRA_DIST.

2010-01-10  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/gseal-transition.h:
	Fix build for GTK+ 2.12.

2010-01-10  Julien Lavergne <gilir@ubuntu.com>

	* applets/taskmanager/Makefile.am:
	* bindings/vala/Makefile.am:
	* libawn/Makefile.am:
	* src/Makefile.am:
	Adding missing EXTRA_DIST.

2010-01-10  Julien Lavergne <gilir@ubuntu.com>

	* COPYING.GPL3:
	* libawn/anims/awn-effect-bounce.c:
	* libawn/anims/awn-effect-bounce.h:
	* libawn/anims/awn-effect-desaturate.c:
	* libawn/anims/awn-effect-desaturate.h:
	* libawn/anims/awn-effect-fade.c:
	* libawn/anims/awn-effect-fade.h:
	* libawn/anims/awn-effect-glow.c:
	* libawn/anims/awn-effect-glow.h:
	* libawn/anims/awn-effect-simple.c:
	* libawn/anims/awn-effect-simple.h:
	* libawn/anims/awn-effect-spotlight.c:
	* libawn/anims/awn-effect-spotlight.h:
	* libawn/anims/awn-effect-spotlight3d.c:
	* libawn/anims/awn-effect-spotlight3d.h:
	* libawn/anims/awn-effect-squish.c:
	* libawn/anims/awn-effect-squish.h:
	* libawn/anims/awn-effect-turn.c:
	* libawn/anims/awn-effect-turn.h:
	* libawn/anims/awn-effect-zoom.c:
	* libawn/anims/awn-effect-zoom.h:
	* libawn/anims/awn-effects-shared.c:
	* libawn/anims/awn-effects-shared.h:
	* libawn/awn-alignment.c:
	* libawn/awn-alignment.h:
	* libawn/awn-applet-simple.c:
	* libawn/awn-applet-simple.h:
	* libawn/awn-applet.c:
	* libawn/awn-applet.h:
	* libawn/awn-box.c:
	* libawn/awn-box.h:
	* libawn/awn-cairo-utils.c:
	* libawn/awn-cairo-utils.h:
	* libawn/awn-config.c:
	* libawn/awn-config.h:
	* libawn/awn-dbus-watcher.c:
	* libawn/awn-dbus-watcher.h:
	* libawn/awn-defines.h:
	* libawn/awn-desktop-lookup-client.c:
	* libawn/awn-desktop-lookup-client.h:
	* libawn/awn-dialog.c:
	* libawn/awn-dialog.h:
	* libawn/awn-effects-ops-helpers.c:
	* libawn/awn-effects-ops-helpers.h:
	* libawn/awn-effects-ops-new.c:
	* libawn/awn-effects-ops-new.h:
	* libawn/awn-effects.c:
	* libawn/awn-effects.h:
	* libawn/awn-icon-box.c:
	* libawn/awn-icon-box.h:
	* libawn/awn-icon.c:
	* libawn/awn-icon.h:
	* libawn/awn-image.c:
	* libawn/awn-image.h:
	* libawn/awn-label.c:
	* libawn/awn-label.h:
	* libawn/awn-overlay-pixbuf-file.c:
	* libawn/awn-overlay-pixbuf-file.h:
	* libawn/awn-overlay-pixbuf.c:
	* libawn/awn-overlay-pixbuf.h:
	* libawn/awn-overlay-progress-circle.c:
	* libawn/awn-overlay-progress-circle.h:
	* libawn/awn-overlay-progress.c:
	* libawn/awn-overlay-progress.h:
	* libawn/awn-overlay-text.c:
	* libawn/awn-overlay-text.h:
	* libawn/awn-overlay-themed-icon.c:
	* libawn/awn-overlay-themed-icon.h:
	* libawn/awn-overlay-throbber.c:
	* libawn/awn-overlay-throbber.h:
	* libawn/awn-overlay.c:
	* libawn/awn-overlay.h:
	* libawn/awn-overlayable.c:
	* libawn/awn-overlayable.h:
	* libawn/awn-pixbuf-cache.c:
	* libawn/awn-pixbuf-cache.h:
	* libawn/awn-themed-icon.c:
	* libawn/awn-themed-icon.h:
	* libawn/awn-tooltip.c:
	* libawn/awn-tooltip.h:
	* libawn/awn-utils.c:
	* libawn/awn-utils.h:
	* libawn/gseal-transition.h:
	* libawn/libawn.h:
	* tests/test-awn-dialog.py:
	* tests/test-awn-tooltip.py:
	* tests/test-effects-scaling.py:
	* tests/test-effects.py:
	* tests/test-overlays.py:
	* tests/test-taskmanager-dnd.py:
	* tests/test-taskmanager-windows.py:
	Add GPL v3 complete license
	Reformat licence header of libawn, so licensecheck will correctly
	identify the LGPL license.
	Relicense libawn file to LGPL 
	Complete copyright missing with bzr log.

2010-01-09  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-dialog.c:
	Revert change mistakenly committed in rev 1881.

2010-01-09  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	wtf... Ubuntu is marking nautilus-browser.desktop with
	NoDisplay = true???  Use nautilus-home.desktop if 
	nautilus-browser.desktop is not available.

2010-01-09  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-desktop-lookup-cached.c:
	When a special case is found a desktop filename must be 
	an exact match.

2010-01-09  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Drag and drop fix for applets that disable AwnThemedIcon
	drag and drop but chain to its handler in some situations.

2010-01-09  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-launcher.c:
	Use the StartupWMClass value on match if it is available.

2010-01-09  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon-build-context-menus.c:
	Check some widgets and make sure they're not NULL.

2010-01-09  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-launcher.c:
	Suppress one of those annoying GtkIconTheme spams.

2010-01-08  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon-build-context-menus.c:
	When ungrouped, do not show "Add as Launcher" in the
	launcher list when the launcher is already in the list.

2010-01-08  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-desktop-lookup-cached.c:
	Don't proceed with trying to add contents of a dir if
	it's not one.

2010-01-08  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-desktop-lookup-cached.c:
	GHashTable does not like NULL keys.

2010-01-08  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-desktop-lookup-cached.c:
        * applets/taskmanager/awn-desktop-lookup-cached.h:
        * applets/taskmanager/awn-desktop-lookup-gnome3.c:
        * applets/taskmanager/awn-desktop-lookup-gnome3.h:
        * applets/taskmanager/awn-desktop-lookup.c:
        * applets/taskmanager/awn-desktop-lookup.h:
        * libawn/awn-desktop-lookup-client.c:
        * libawn/awn-desktop-lookup-client.h:
        Add license/copyright info.

2010-01-08  Julien Lavergne <gilir@ubuntu.com>

	* po/POTFILES.in:
	* po/POTFILES.skip:
	Move desktop.in to POTFILES.skip.

2010-01-08  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-desktop-lookup-cached.c:
  	* applets/taskmanager/awn-desktop-lookup-cached.h:
  	* applets/taskmanager/awn-desktop-lookup-gnome3.c:
  	* applets/taskmanager/awn-desktop-lookup-gnome3.h:
  	* applets/taskmanager/awn-desktop-lookup.c:
  	* applets/taskmanager/awn-desktop-lookup.h:
  	* libawn/awn-desktop-lookup-client.c:
  	* libawn/awn-desktop-lookup-client.h:
	Add license/copyright info.

2010-01-08  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c
        Accept a desktop file with no Icon field.

2010-01-08  Julien Lavergne <gilir@ubuntu.com>

	* po/POTFILES.in:
	Update with new files.

2010-01-08  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c
	Accept a desktop file with no Icon field.

2010-01-08  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-desktop-lookup-cached.c:
	Ignore files that do not container ".desktop" in their name.
	Ignore the existence of /var/lib/menu-xdg/applications/ on Debian.

2010-01-08  Rodney Cryderman  <rcryderman@gmail.com>

	Added:
	* applets/taskmanager/awn-desktop-lookup-cached.c:
  	* applets/taskmanager/awn-desktop-lookup-cached.h:
  	* applets/taskmanager/awn-desktop-lookup-gnome3.c:
  	* applets/taskmanager/awn-desktop-lookup-gnome3.h:
  	* applets/taskmanager/awn-desktop-lookup.c:
  	* applets/taskmanager/awn-desktop-lookup.h:
  	* libawn/awn-desktop-lookup-client.c:
  	* libawn/awn-desktop-lookup-client.h:
	Modified:
  	* applets/taskmanager/Makefile.am:
  	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/util.c:
  	* libawn/Makefile.am:
	Merged in first significant bit of the desktop lookup work.
	Faster, cleaner code.  Largely disentangled from task-manager.c
	now.  Needs to be tested in preparation for the dbus 
	client/server side of things.

2010-01-07  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Fix viewport + panel_mode.

2010-01-07  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-utils.c:
	* src/awn-applet-manager.c:
	* src/awn-background.c:
	* src/awn-panel.c:
	* src/awn-throbber.c:
	* src/awn-throbber.h:
	Added viewport to deal with too many icons on the panel.

2010-01-05  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/vala/awn.gi:
  	* bindings/vala/awn.vapi:
	Update bindings.

2010-01-05  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/python/awn.defs:
  	* libawn/awn-overlay-throbber.c:
  	* libawn/awn-overlay-throbber.h:
	Modified awn_overlay_throbber_new ().  Removed the need
	to specify a widget.

2010-01-05  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/vala/awn.gi:
  	* bindings/vala/awn.vapi:
	Update vala bindings.

2010-01-05  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/python/awn.defs:
  	* libawn/awn-overlay-themed-icon.c:
  	* libawn/awn-overlay-themed-icon.h:
	Modified awn_overlay_themed_icon_new ().  Removed a couple
	props.

2010-01-03  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Fix up some of the issues with grouped windows on different
	workspaces (Metacity and possibly Compiz).

2010-01-03  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-tooltip.c:
	Use tooltip hint for AwnTooltip windows.

2010-01-03  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-effects.c:
	Fix occasional bad frame after the widget with effects is hidden.

2010-01-02  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	There might not be a main item after a workspace change if
	show_all_windows = False.

2010-01-02  Julien Lavergne <gilir@ubuntu.com>

	* debian/control:
	Remove not needed gir build depends.

2010-01-02  Julien Lavergne <gilir@ubuntu.com>

	* debian/changelog:
	* debian/control:
	Update to new lda packages name.

2010-01-02  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Don't destroy the panel on delete-event - fixes bug #257689.

2010-01-02  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/menus/advanced.xml:
  	* applets/taskmanager/menus/custom-example.xml:
  	* applets/taskmanager/menus/simple.xml:
  	* applets/taskmanager/menus/standard.xml:
  	* applets/taskmanager/task-icon-build-context-menus.c:
	Adjust the smart wnck menu items to be more consistent in layout
	between grouped and single task situations.  Adjusted the menus
	for such.

2010-01-02  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/menus/standard.xml:
	Display a separator consistently after Launch item with grouped
	and single task items.

2010-01-01  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/menus/custom-example.xml:
	Add launch as root to custom-example.

2010-01-01  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Slight adjustment due to previous commit.

2010-01-01  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Make use of "drag-and-drop" = FALSE a bit less magical.

2010-01-01  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-applet-manager.c:
	* src/awn-applet-proxy.c:
	* src/awn-panel.c:
	* src/awn-separator.c:
	Make sure curve offsets are applied also to separators and throbber.

2010-01-01  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Fixes issues with scroll wheel not working when app minmized 
	and Show all windows = False.  main_item could be NULL in this
	situation (we should look for a main_item in this case instead
	assuming there isn't one available)

2010-01-01  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet.c:
	Forgot to remove debug.

2010-01-01  Michal Hruby  <michal.mhr@gmail.com>

	* applets/quick-prefs/applet.vala:
	Minor cleanup.

2010-01-01  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet.c:
	* libawn/libawn-marshal.list:
	* src/awn-marshal.list:
	* src/awn-panel-dbus.xml:
	* src/awn-panel.c:
	* src/awn-panel.h:
	Add OffsetModifier and PathType to exported panel properties.

2010-01-01  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Fix some of the fallout of the more agressive caching.

2009-12-31  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Quiet the gtk icon them spam.  ensure icons every time
	there's a theme change signal 

2009-12-31  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon-build-context-menus.c:
	Ellipsize the context menu task names.  Currently set to 
	55 chars and middle.

2009-12-30  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/menus/custom-example.xml:
  	* applets/taskmanager/task-icon-build-context-menus.c:
  	* applets/taskmanager/task-icon.c:
	A couple minor fixes.

2009-12-30  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/menus/custom-example.xml:
	Some additions to custom-example.xml

2009-12-30  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Invalidate the pixbuf cache any time there are 
	modifications to the awn-theme dir.

2009-12-30  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/vala/awn.gi:
  	* bindings/vala/awn.vapi:
	Update vala bindings.

2009-12-30  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/python/awn.defs:
	Provide the proper function name for the constructor.

2009-12-30  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/python/awn.defs:
	Fix the syntax for pixbufs for the AwnPixbufCache 
	python bindings.

2009-12-30  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/python/awn.defs:
        Some fixes for the AwnPixbufCache python bindings.

2009-12-30  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/python/awn.defs:
	Python bindings for AwnPixbufCache.

2009-12-30  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/libawn.h
	Add awn-pixbuf-cache.h to libawn.h

2009-12-30  Julien Lavergne  <gilir@ubuntu.com>

	* debian/avant-window-navigator-trunk.install:
	Include xml files for taskmanager.

2009-12-29  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-icon-build-context-menus.c:
	Fix build for GTK+ 2.12.

2009-12-29  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-pixbuf-cache.c:
	Added a newline.

2009-12-29  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon-build-context-menus.c:
	Workaround for glib <2.18.0.  Only one level of submenus are supported
	in this case.

2009-12-29  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Set max pixbuf cache size to 32.

2009-12-29  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon-build-context-menus.c:
	Should fix build error on older GTK+s.  Needs testing.

2009-12-29  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-launcher.c:
	Remove code that appear to be no longer needed (will cause
	GtkIconTheme to complain if I'm wrong).

2009-12-29  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-launcher.c:
	Make use of AwnPixbufCache where possible.

2009-12-29  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Small optimizations for the caching and no longer ref after
	doing a lookup.

2009-12-29  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-pixbuf-cache.c:
	Give a references in awn_pixbuf_cache_lookup*().

2009-12-29  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-utils.c:
	* libawn/awn-utils.h:
	Added awn_utils_get_gtk_icon_theme_name().

2009-12-29  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon-build-context-menus.c:
	A correctness fix.

2009-12-29  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-pixbuf-cache.c:
        * libawn/awn-pixbuf-cache.h:
	Added awn_pixbuf_cache_insert_simple_key() and 
	awn_pixbuf_cache_lookup_simple_key() for generic pixbuf 
	caching purposes.

2009-12-29  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Taskmanager needs a significantly larger pixbuf cache than 
	a standard applet.

2009-12-29  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Modify AwnThemedIcon to use AwnPixbufCache.

2009-12-29  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/Makefile.am:
	Build system modifications for AwnPixbufCache.

2009-12-29  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-pixbuf-cache.c:
	* libawn/awn-pixbuf-cache.h:
	Added AwnPixbufCache.

2009-12-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/menus/custom-example.xml:
	Add a separator.

2009-12-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini.in:
	Amended descrition of menu_filename key to indicate that 
	an absolute path can be provided (for custom menus).

2009-12-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/menus/advanced.xml
	* applets/taskmanager/menus/standard.xml
	Add a separator in standard and remove a (redundant)
	separator in advanced.

2009-12-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/menus/standard.xml
	Added a speparator before Close all.
	
2009-12-28  Rodney Cryderman  <rcryderman@gmail.com>

Added:
	* applets/taskmanager/menus/
	* applets/taskmanager/menus/advanced.xml
	* applets/taskmanager/menus/custom-example.xml
	* applets/taskmanager/menus/simple.xml
	* applets/taskmanager/menus/standard.xml
	* applets/taskmanager/task-icon-build-context-menus.c
	* applets/taskmanager/task-icon-build-context-menus.h
	* applets/taskmanager/task-icon-private.h

Modified:
	* applets/taskmanager/Makefile.am
	* applets/taskmanager/awn-applet-taskmanager.schema-ini.in
	* applets/taskmanager/task-icon.c
	* applets/taskmanager/task-icon.h
	* configure.in

	Merged bzr+ssh://bazaar.launchpad.net/~rcryderman/awn/awn-taskman-editable-context-menus/
	Allows definition of taskmanager context menus using xml (GMarkup) files.

2009-12-28  Julien Lavergne  <gilir@ubuntu.com>

	* debian/control:
	Add build depends on libssl-dev to fix build failure on Ubuntu 10.04.
	Recommends all applets packages to install all applets by default.

2009-12-27  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	* applets/taskmanager/task-icon.c:
	Fix a small leak.
	Remove an incorrect comment.

2009-12-27  Mark Lee  <avant-wn@lazymalevolence.com>

	* src/awn-background.c:
	Fix build for GTK+ 2.12.

2009-12-27  Michal Hruby  <michal.mhr@gmail.com>

	reviewed by: mhr3
	patch by: dolfje

	* bindings/vala/awn.gi:
	* bindings/vala/awn.vapi:
	* libawn/awn-dbus-watcher.c:
	* libawn/awn-dbus-watcher.h:
	Added AwnDBusWatcher.has_name method. (thanks to dolfje)

2009-12-27  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	A couple of fixes for multiple panels.

2009-12-23  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-effects-ops-helpers.c:
	* libawn/awn-effects-ops-helpers.h:
	* libawn/awn-effects-ops-new.c:
	Reimplement a couple of effect helpers to use different compositing
	operators instead of image surfaces.

2009-12-23  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-main.c:
	* src/awn-panel.c:
	Automatically inhibit autohide for a couple of seconds during startup.

2009-12-22  h4writer <hv1989@gmail.com>

	* src/awn-background-3d.c:
	Added a function for drawing the input shape mask instead of just drawing the bar.
	This because it failed when alpha of the colors were to low.

2009-12-21 Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Be a little bit more lenient about gtk_drag_dest_set().
	Fixes issue with dolphin/konq.

2009-12-15 Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Suppress some unnecessary pixbuf cache invalidates.

2009-12-14 Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-dialog.c:
	Free some lda color objects.

2009-12-08 Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-launcher.c:
  	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/util.c:
  	* applets/taskmanager/util.h:
	Bad Desktop Files!  Bad!

2009-12-05  Michal Hruby  <michal.mhr@gmail.com>

	* configure.in:
	* libawn/awn-applet.c:
	Use DBus' GetAll method if one has dbus-glib-1 >= 0.80.

2009-12-05  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	* libawn/awn-alignment.c:
	* libawn/awn-icon-box.c:
	Add offset-multiplier property to AwnAlignment.
	Allow stuffing AwnImage and AwnAlignment to AwnIconBox.

2009-12-04  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	Minor changes to Awn autostart desktop file.

2009-12-04  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Use idle callback to set the strut. Fixes bug #491229.

2009-12-01  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-background.c:
	Using server-side pixmap wasn't a good idea, that seems to slow 3d and
	curved background rendering with patterns quite a lot.

2009-12-01  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-background-3d.c:
	* src/awn-background-curves.c:
	* src/awn-background-edgy.c:
	* src/awn-background-flat.c:
	* src/awn-background-floaty.c:
	* src/awn-background.c:
	Changes to rendering which speed up things when using patterns.
	Helped a lot with flat, edgy & floaty, but not that much
	with 3d and curved.

2009-12-01 Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	Some comments.  Notes regarding post 0.4 code.

2009-12-01  Hannes Verschore <hv1989@gmail.com>

	* src/awn-background-3d.c:
	Enable pattern support for 3D background

2009-12-01  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-background-curves.c:
	* src/awn-background-edgy.c:
	* src/awn-background-flat.c:
	* src/awn-background-floaty.c:
	* src/awn-background.c:
	* src/awn-background.h:
	Enable pattern support for backgrounds expect 3D.

2009-11-30 Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Make sure that if a launcher is added to the dialog after a 
	window that the launcher is still placed at the top of the dialog.

2009-11-30 Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Really commit the changes mentioned in the previous two commit
	messages.

2009-11-30 Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Do a less intensive search when we're searching for desktop file
	due to a name change.

2009-11-30 Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Minor correction to previous commit.
	
2009-11-30 Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Sometimes it's just not possible to initially determine a
	proper desktop file unless one also has the title (OO). 
	Unfortuntely some apps (OO) do not provide the necessary info in the
	Title in some circumstance until long after the window has 
	opened.  So if a desktop lookup fails, then connect to the name
	change signal and try to match up whenever the window titles 
	change.
	
2009-12-01  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet-simple.c:
	* libawn/awn-applet-simple.h:
	* libawn/awn-icon.c:
	Removed long-press signal from AppletSimple, this simplifies the
	behavior for all applets - if applet doesn't connect to long-press
	via AwnIcon, it will still emit standard clicked-signal.

2009-11-30  Michal Hruby  <michal.mhr@gmail.com>

	* data/avant-window-navigator.schema-ini.in.in:
	* libawn/anims/awn-effects-shared.h:
	* libawn/awn-effects-ops-new.c:
	* libawn/awn-effects.c:
	* libawn/awn-effects.h:
	* libawn/awn-icon.c:
	* src/awn-background.c:
	* src/awn-defines.h:
	Make glowing dot and active rectangle color configurable.

2009-11-30 Rodney Cryderman  <rcryderman@gmail.com>

	* src/awn-panel.c:
	X is insanely configurable...  This, I hope, fixes the strut
	issues in all multiple monitor cases.

2009-11-30  Michal Hruby  <michal.mhr@gmail.com>

	* data/Makefile.am:
	* debian/avant-window-navigator-data-trunk.install:
	Removed icons from data/active directory, as these aren't used
	anywhere.

2009-11-30  Michal Hruby  <michal.mhr@gmail.com>

	* applets/quick-prefs/applet.vala:
	Fix monitor positioning using the quick-prefs applet.
	* src/awn-background-flat.c:
	Don't use padding when on screen edges. Fixes bug #490373.

2009-11-30  Michal Hruby  <michal.mhr@gmail.com>

	* applets/quick-prefs/applet.vala:
	Quick-prefs: Don't close the docklet on mouse out.

2009-11-30 Rodney Cryderman  <rcryderman@gmail.com>

	* src/awn-panel.c:
	Fixed a small mistake, Replaced height with width.

2009-11-30 Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/applet.c:
  	* applets/taskmanager/task-drag-indicator.c:
  	* applets/taskmanager/task-drag-indicator.h:
  	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-icon.h:
  	* applets/taskmanager/task-item.c:
  	* applets/taskmanager/task-item.h:
  	* applets/taskmanager/task-launcher.c:
  	* applets/taskmanager/task-launcher.h:
  	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/task-manager.h:
  	* applets/taskmanager/task-settings.c:
  	* applets/taskmanager/task-settings.h:
  	* applets/taskmanager/task-window.c:
  	* applets/taskmanager/util.c:
  	* applets/taskmanager/util.h:
	Changed Taskmanager source from GPLv3 to 
	GPLv2 with the agreement of:
	Hannes Verschore <hv1989@gmail.com>,
	Rodney Cryderman  <rcryderman@gmail.com>,
	Michal Hruby  <michal.mhr@gmail.com>,
	Neil Jagdish Patel <njpatel@gmail.com>

2009-11-29  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Added Version to About menu item.

2009-11-29  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
        Regroup under the new icon when "Add to Launcher List".

2009-11-29  Mark Lee  <avant-wn@lazymalevolence.com>

	* README:
	Note that GNU Make is required.

2009-11-29  Mark Lee  <avant-wn@lazymalevolence.com>

	* configure.in:
	Remove obsolete check for gtk.glade.

2009-11-29  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-window.c:
	Fix build for GTK+ 2.12.

2009-11-29  Rodney Cryderman  <rcryderman@gmail.com>

	* src/awn-panel.c:
	Forgot to press save...  Remove two debugs.

2009-11-29  Rodney Cryderman  <rcryderman@gmail.com>

	* src/awn-panel.c:
	Attempt to resolve remaining issues with struts and multiple 
	monitors.

2009-11-29  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Keep a couple properties from being set on startup.
	Enable a bit of debug spam.

2009-11-29  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-applet-manager.c:
	* src/awn-applet-manager.h:
	* src/awn-panel.c:
	Optimize the redraw during resizes.

2009-11-29  Michal Hruby  <michal.mhr@gmail.com>

	* applets/quick-prefs/applet.vala:
	Quick-prefs - show docklet after clicking on the icon.

2009-11-29  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/vala/awn.gi:
	* bindings/vala/awn.vapi:
	* libawn/awn-defines.h:
	* src/awn-panel.c:
	Added docklet-related AppletFlags.

2009-11-27  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Code to use the "awn-window-fallback" icon once it
	gets committed.

2009-11-27  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-window.c:
  	* applets/taskmanager/task-window.h:
	Provide a visual indication of the active item.

2009-11-27  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-app.c:
	* src/awn-panel.c:
	* src/awn-panel.h:
	Change parameter for AwnPanel constructor.

2009-11-27  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-config.c:
	* src/awn-app.c:
	* src/awn-applet-proxy.c:
	* src/awn-defines.h:
	* src/awn-panel.c:
	Let's be better prepared for multiple panels.

2009-11-27  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Try to do everything needed on composited-change.

2009-11-26  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-icon.h:
  	* applets/taskmanager/task-manager.c:
	Play closing animations for windows that become 
	skip tasklist and minimized (seems it's common to
	do something along these lines when minimizing to 
	systray... the window is not closed according to
	wnck)

2009-11-25  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Remove a debug.

2009-11-25  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/python/awn.defs:
  	* libawn/awn-themed-icon.c:
  	* libawn/awn-themed-icon.h:
	Type of size arg should be gint not guint.
	Do some additional checks on values of arguments.

2009-11-24  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Invalidate the pixbuf cache on size changes.  This is not
	future proof but it works fine at the moment.  The pixbuf
	cache is slated for some work post 0.4.

2009-11-24  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Reflect changes to panels/mouse_poll_delay immediately.

2009-11-24  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-background-curves.c:
	* src/awn-background.c:
	Use radial gradients in curved background. 
	Increase the default alpha when using gtk_theme_mode.

2009-11-23  Michal Hruby  <michal.mhr@gmail.com>

	* applets/quick-prefs/applet.vala:
	* bindings/vala/awn.gi:
	* bindings/vala/awn.metadata:
	* bindings/vala/awn.vapi:
	Fixes to Vala bindings.

2009-11-23  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-effects.c:
	* libawn/awn-effects.h:
	* src/awn-throbber.c:
	Couple more optimizations.

2009-11-22  Michal Hruby  <michal.mhr@gmail.com>

	* data/avant-window-navigator.schema-ini.in.in:
	* src/awn-defines.h:
	* src/awn-panel.c:
	Added config keys for autohide delays.

2009-11-22  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-effects.c:
	Fix minor redraw issue when shadows are on.

2009-11-21  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Do not show a fallback icon in the TaskIcon in any 
	circumstance if there's a launcher icon available.

2009-11-22  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/anims/awn-effect-spotlight3d.c:
	* libawn/anims/awn-effects-shared.h:
	* libawn/awn-effects-ops-new.c:
	* libawn/awn-effects.c:
	* libawn/awn-effects.h:
	* src/awn-background-edgy.c:
	* src/awn-panel.c:
	Optimize drawing on a couple of places.

2009-11-22  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-defines.h:
	* src/awn-background.c:
	Set text & outline color when gtk_theme_mode is on.

2009-11-21  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-window.c:
	* applets/taskmanager/task-window.h:
	Added task_window_get_icon_is_fallback().

2009-11-20  Michal Hruby  <michal.mhr@gmail.com>

	* Makefile.am:
	* applets/quick-prefs/Makefile.am:
	* applets/quick-prefs/applet.vala:
	* applets/quick-prefs/quick-prefs.desktop.in.in:
	* bindings/vala/build.vapi:
	* bindings/vala/libintl.vapi:
	* configure.in:
	Added Preferences applet.

2009-11-20  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/anims/awn-effect-simple.c:
	* libawn/anims/awn-effect-simple.h:
	* libawn/awn-effects.c:
	* libawn/awn-label.c:
	Added opening and closing simple effects.

2009-11-19  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-launcher.c:
	Fix typo in previous commit and removed match checks involving
	ppid, to determine if they're causing incorrect matches.

2009-11-19  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-launcher.c:
	* applets/taskmanager/task-launcher.h:
	Added task_launcher_get_exec().

2009-11-18  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet.c:
	* libawn/awn-applet.h:
	* libawn/awn-dbus-watcher.c:
	* src/awn-applet-manager.c:
	* src/awn-applet-manager.h:
	* src/awn-panel.c:
	Make the DestroyApplet signal work.

2009-11-18  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-window.c:
	Fix incorrect window in a grouped icon being activated on icon
	click.

2009-11-17  Michal Hruby  <michal.mhr@gmail.com>

	* themes/thumbnails/dark-thumb.png:
	Add alpha channel to theme preview image.

2009-11-16  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
        Fix up code that only applies if a window goes from 
        skip_tasklist = false to skip_tasklist = true...  which
        is obviously a somewhat rare thing...  However, awn-settings
        will do it if the prefs applet is running.

2009-11-17  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	* libawn/awn-tooltip.c:
	* src/awn-panel.c:
	Change GetSnapshot method to return image with alpha channel instead
	of the window below.

2009-11-16  Michal Hruby  <michal.mhr@gmail.com>

	* data/avant-window-navigator.schema-ini.in.in:
	* src/awn-defines.h:
	* src/awn-monitor.c:
	Add panel/monitor_num key, which should help when monitors are
	hotplugged.

2009-11-16  Michal Hruby  <michal.mhr@gmail.com>

	* configure.in:
	* themes/Makefile.am:
	* themes/dark.awn-theme:
	Add thumbnail for our default theme.

2009-11-16  Michal Hruby  <michal.mhr@gmail.com>

	* data/avant-window-navigator.schema-ini.in.in:
	* src/awn-background.c:
	* src/awn-separator.c:
	* themes/default.awn-theme:
	Modify separator rendering a bit - make it more sharp.

2009-11-16  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/anims/awn-effect-spotlight3d.c:
	Fix close effect cleanup for spotlight3d.

2009-11-15  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Docklet animation timer needs to have lower priority than redraw
	event, so we don't skip frames.

2009-11-15  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-launcher.c:
	Use task_window_get_wm_client_name().  Which stores the client
	machine names once it successfully retrieves it from X.

2009-11-15  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Reverse change that was tested and found wanting.

2009-11-15  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	We shouldn't forget to unref the pixmaps.

2009-11-15  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-utils.h:
	Add a newline.

2009-11-15  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Animate docklet mode start/end.

2009-11-14  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	* applets/taskmanager/task-launcher.c:
	Get rid of a couple static vars.

2009-11-14  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Test modification.  Need to confirm if previous issues with use
	of gtk_icon_theme_load_icon () are resolved.

2009-11-14  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-window.c:
  	* applets/taskmanager/task-window.h:
  	* applets/taskmanager/xutils.c:
	More plugging of leaks.  Also reducing the number of calls to X... 
	Once the client machine name is retrieved it's save in TaskWindow.

2009-11-14  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/task-window.c:
	Plug some more leaks.

2009-11-14  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	* applets/taskmanager/task-manager.c:
	Optimize group.
	Regroup non-launchers.

2009-11-14  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-pixbuf.c:
	Fix a leak.

2009-11-14  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Do not hide the Icon after the closing effect unless we're really done.

2009-11-13  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	* applets/taskmanager/task-item.c:
	* applets/taskmanager/task-launcher.c:
	* applets/taskmanager/task-window.c:
	* libawn/awn-themed-icon.c:
        Plug a variety of leaks, and potential leaks.
        Still something rotten with TaskLauncher.

2009-11-13  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.ui:
	* src/awn-applet-manager.c:
	Don't run awn-applet binary for separator & expander, so we get rid of
	throbber for them.

2009-11-13  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-item.c:
  	* applets/taskmanager/task-launcher.c:
  	* applets/taskmanager/task-window.c:
  	* libawn/awn-themed-icon.c:
	Plug a variety of leaks, and potential leaks.
	Still something rotten with TaskLauncher.

2009-11-13  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Set the main_item on the the original ungrouped icon.

2009-11-13  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-manager.c:
	Disconnect a missed signal when ungrouping.
	Removed some #if 0 'd code.

2009-11-13  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Do not try to copy a TaskLauncher on ungroup if there isn't one to
	copy.

2009-11-13  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	Add DBusWatcher also to python bindings.

2009-11-13  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-manager.c:
	* bindings/vala/awn.gi:
	* bindings/vala/awn.vapi:
	* libawn/Makefile.am:
	* libawn/awn-dbus-watcher.c:
	* libawn/awn-dbus-watcher.h:
	* libawn/libawn.h:
	* src/Makefile.am:
	* src/awn-panel.c:
	Move AwnDBusWatcher to libawn.

2009-11-13  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini.in:
  	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-item.c:
  	* applets/taskmanager/task-launcher.c:
  	* applets/taskmanager/task-launcher.h:
  	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/task-window.c:
	No longer group windows with different WM_CLIENT_NAME by default.
	There is a config key, as I'm expecting this will break in certain 
	configurations.  The default will change if this occurs.
	If no WM_CLIENT_NAME is available then the local hostname is assumed
	(gethostname()). As consequence change of these changes, the  
	constructor for TaskLauncher was changed and the applet prop of 
	TaskIcon was made readable.

2009-11-12  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/task-window.c:
	dbus interface for "visible" more or less behaves sanely.

2009-11-12  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/task-window.c:
	Implemented the hidden list for visible.  Still buggy.  Some
	aspects of behaviour need to be defined.

2009-11-12  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/task-window.c:
  	* applets/taskmanager/task-window.h:
  	* applets/taskmanager/xutils.c:
  	* applets/taskmanager/xutils.h:
	Add the ability to retrive WM_CLIENT_NAME.

2009-11-12  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	* src/awn-panel.c:
	Speed up the snapshotting in awn-settings.

2009-11-11  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Make sure we don't send a NULL to strlen.

2009-11-11  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Fix for https://bugs.launchpad.net/awn/+bug/480851
	If Icon = to a path in the desktop file then the customize icon menu
	option fails.  

2009-11-10  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/task-window.c:
	Initial, naive, implementation of the visible dbus key.

2009-11-10  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/task-window.c:
  	* applets/taskmanager/task-window.h:
	Reworked some of the visibility code associated with the show_all_windows
	config key.  Please watch for regressions, especially with 
	show_all_windows = false.

2009-11-10  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-app.c:
	* src/awn-panel-dbus.xml:
	* src/awn-panel.c:
	* src/awn-panel.h:
	Added DBus method GetSnapshot(), which screenshots given panel.

2009-11-10  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-icon.h:
  	* applets/taskmanager/task-manager.c:
	Group/ungroup is now much more stable.  Does not regroup windows
	without an associated desktop file.

2009-11-10  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	* bindings/vala/awn.metadata:
	* bindings/vala/awn.vapi:
	Fix a couple of leaks in the bindings.

2009-11-10  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icons.c:
	* applets/taskmanager/task-manager.h:
	* applets/taskmanager/task-manager.c:
	Immediately group when configuration changed. There's some 
	strangeness that happens if one toggles back and forth quickly, 
	It's beeing dealt with but I'm not happy with the "solution".  Will
	revisit when I don't have a headache.

2009-11-10  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icons.c:
	Minor cleanup.

2009-11-10  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icons.c:
	Immediately ungroup when configuration changed.  Reverse not yet 
	implemented.

2009-11-10  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	* bindings/python/awn.override:
	Fix python bindings for AppletSimple.set_icon_info().

2009-11-09  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/__init__.py:
	Add missing import statement.

2009-11-09  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	* bindings/vala/awn.gi:
	* bindings/vala/awn.vapi:
	* libawn/awn-dialog.c:
	* libawn/awn-dialog.h:
	Added AwnDialog.get_content_area() method. Fixes issues with removing
	widgets from the dialog.

2009-11-09  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Only check if the app/win icon should be displayed
	if we have a TaskWindow.

2009-11-09  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
        * applets/taskmanager/task-manager.h:
	Preparation for getting group/ungroup working.
	Ignore docks in the intellhide intersect check.

2009-11-09  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-manager.c:
	* applets/taskmanager/task-manager.h:
	Add a "grouping-changed" signal to TaskManager.

2009-11-09  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-app-dbus.xml:
	* src/awn-app.c:
	* src/awn-app.h:
	Added DBus method to close a panel.

2009-11-09  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	* bindings/vala/awn.gi:
	* bindings/vala/awn.vapi:
	* doc/reference/libawn-sections.txt:
	* libawn/awn-icon.c:
	* libawn/awn-icon.h:
	Revert 1674 and 1660 - revisions which added AwnIcon.get_click_event,
	as the same thing can be done using gtk_get_current_event().

2009-11-09  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.ui:
	* awn-settings/awnClass.py:
	Always center the awn-settings dialog.

2009-11-09  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	* awn-settings/awnSettings.py.in:
	Allow running awn-settings just to show About dialog.

2009-11-07  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/util.c:
	Change to MSE computation.

2009-11-07  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	Expand the description columns in our lists.
	* doc/reference/libawn-sections.txt:
	* libawn/awn-icon.c:
	Updated documentation.

2009-11-05  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Reinstate the minimize/restore behaviour of the scrollwheel when
	there is only one window.
	When using scroll wheel, do not scroll to a window that is set
	skip_taskbar.

2009-11-05  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Revise some comments due to previous commit.

2009-11-05  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Fixed a longstanding bug which _mostly_ involved windows minimizing
	to the systray.  Removes a leak, and some unexpected behaviours
	with apps engaging in said behaviour.

2009-11-05  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	If there is more than one window demaning attention in 
	a group, then update the main_item to point to the next item
	demanding attention after the first one is acknowledged.

2009-11-05  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Check for require attention on window changes.  This should
	resolve some corner cases where icons do not start/stop 
	attention effect.

2009-11-05  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
        * applets/taskmanager/awn-applet-taskmanager.schema-ini.in:
	Attention required nagging.  Defaults to every 60 seconds.

2009-11-05  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	* applets/taskmanager/awn-applet-taskmanager.schema-ini.in:
	Added overlay_applications_icons_swapped.
	Significantly simplified the ref/unref login in 
	task_icon_set_icon_pixbuf().

2009-11-05  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Make sure the tooltipls are updated on mouse scroll also.
	Let search_main_item do most of the work.

2009-11-04  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	Adjust the threshold up a bit for image comparison.  This may
	result in an unacceptable level of false positives, please keep
	an eye out for duplicate overlay images.

2009-11-04  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-window.c:
	Change the default to forcing app icon prop on.  A better 
	choice due to some fun things that happen when the task-manager
	is restarted.

2009-11-04  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	* bindings/vala/awn.gi:
	* bindings/vala/awn.vapi:
	* libawn/awn-icon.c:
	* libawn/awn-icon.h:
	Added AwnIcon.get_click_event() method.

2009-11-04  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Save changes to launcher paths when TaskLaunchers are dragged
	and dropped.

2009-11-02  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Remove source ids for icon preloads if the icon is finalized 
	with them pending.

2009-11-02  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-window.c:
	Pull the theme change counting logic out.  The issues it causes
	are more or less a wash with the issues it fixes (at least with
	the introduction of utils_gdk_pixbuf_similar_to()).  Therefore,
	choose the simpler of the two.

2009-11-02  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	* applets/taskmanager/task-icon.c:
	Fix for gimp icon overlay  when it's opened from filemanager.
	
2009-11-02  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	* applets/taskmanager/util.h:
	* applets/taskmanager/task-icon.c:
	utils_gdk_pixbuf_similar_to() courtesy of Michal Hruby  
	<michal.mhr@gmail.com>.
	Allows TaskIcon to determine if an overlay icon is the same
	as the Launcher Icon.

2009-11-02  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Fix a problem with errant setting of requires attention under
	Metacity.

2009-11-01  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Don't play launching effect when dragging a TaskIcon.

2009-11-01  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-window.c:
	Deal with errant icon overlays appearing when theme change
	signals fire.

2009-11-01  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Removed an assert that was inserted for debugging purposes.

2009-11-01  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Update the icon on scroll events.

2009-11-01  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	* bindings/vala/awn.gi:
	* bindings/vala/awn.vapi:
	* libawn/awn-applet-simple.c:
	* libawn/awn-applet-simple.h:
	* libawn/awn-icon-box.c:
	* libawn/awn-icon-box.h:
	Change AwnAppletSimple.get_icon method to return AwnIcon.

2009-11-01  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	* src/xutils.c:
	* src/xutils.h:
	Fix issues with drag proxying.

2009-11-01  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/util.c:
	Make sure that the demons of OO are exorcised.
	Shut off some debugs.

2009-11-01  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/util.c:
	Fixes ugly icon used by OO when opening through a file manager.

2009-11-01  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini.in:
	Fix typo.

2009-11-01  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini.in:
	Change some default values so they get tested.

2009-11-01  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini.in:
  	* applets/taskmanager/task-icon.c:
	Added overlay_application_icons, overlay_application_icons_scale
	overlay_application_icons_alpha.

2009-11-01  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini.in:
	* applets/taskmanager/task-icon.c:
	* applets/taskmanager/task-manager.c:
	* applets/taskmanager/task-window.c:
	* applets/taskmanager/task-window.h:
	* applets/taskmanager/util.c:
	* applets/taskmanager/util.h:
	Ability to special case hints about using app window icon.

2009-10-31  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-applet.c:
	Make the proper fix for not destroying the about dialog on close.

2009-10-31  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-window.c:
	Add use_win_icon prop to TaskWindow.

2009-10-31  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-window.c:
  	* applets/taskmanager/task-window.h:
	icon_change_behaviour = 1 is now roughly equivalent to
	the old disable_icon_changes = false.  Need to add
	special case info capability next.

2009-10-31  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Icon theme "change" signals happen at the strangest times.
	Handle theme change signals in TaskIcon instead of letting
	AwnThemedIcon code deal with it (if we don't then AwnThemedIcon
	will set our icon to a the desktop theme icon even when 
	we want to use the App icon).

2009-10-31  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Further reduction of number of locations where
	awn_icon_set_from_pixbuf() is called.

2009-10-31  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Simplified the icon change code further.

2009-10-31  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-applet.c:
	Don't destroy the about dialog when it is closed.

2009-10-31  Michal Hruby  <michal.mhr@gmail.com>

	* data/avant-window-navigator.schema-ini.in.in:
	* themes/default.awn-theme:
	Change the separator color defaults.

2009-10-31  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-background.c:
	* src/awn-separator.c:
	Change separator color when gtk theme is changed.

2009-10-31  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-effects-ops-new.c:
	Disable the warning.

2009-10-31  Michal Hruby  <michal.mhr@gmail.com>

	* Makefile.am:
	* applet-activation/main.c:
	* applets/expander/applet.c:
	* applets/expander/expander.desktop.in.in:
	* applets/separator/Makefile.am:
	* applets/separator/applet.c:
	* applets/separator/separator.desktop.in.in:
	* configure.in:
	* src/Makefile.am:
	* src/awn-applet-manager.c:
	* src/awn-separator.c:
	* src/awn-separator.h:
	Added separator applet.

2009-10-30  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini.in:
  	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/task-window.c:
  	* applets/taskmanager/task-window.h:
	Laid the foundation for the intermediary mode of icon change behaviour.
	Renamed name from disable_icon_changes to icon_change_behavior. Type is int.

2009-10-30  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-window.c:
	Fixes the issues with disable_icon_changes = false and certain
	applications (such as pidgin).  Also sees the return of the ugly
	OpenOffice window icons.

2009-10-30  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-dialog.c:
	Deal with loss of sticky on the AwnDialog under some WMs.

2009-10-30  Rodney Cryderman  <rcryderman@gmail.com>

	* data/avant-window-navigator.schema-ini.in.in:
	Change default of icon_font_mode to 1.
	
2009-10-30  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Change the icon name for Launch menu item.

2009-10-30  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/vala/awn-custom.vala:
	* bindings/vala/awn.gi:
	* bindings/vala/awn.metadata:
	* bindings/vala/awn.vapi:
	Update Vala bindings.

2009-10-29  Mark Lee  <avant-wn@lazymalevolence.com>

	* po/avant-window-navigator.pot:
	* po/*.po:
	Update gettext files.

2009-10-29  Mark Lee  <avant-wn@lazymalevolence.com>

	* data/Makefile.am:
	* po/POTFILES.in:
	Make sure that 'make distcheck' works.

2009-10-29  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-settings.c:
	Fix compiler warning.

2009-10-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-launcher.c:
        Minor fix to match function.  If the WM_CLASS values
        are 1 char in length then don't use them for a substing match.

009-10-28  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.ui:
	Fix the size groups.

2009-10-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-launcher.c:
	Minor fix to match function.  If the WM_CLASS values
	are 1 char in length then don't use them for a substing match.

2009-10-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
  	* libawn/awn-themed-icon.c:
	Fix so that the icon chooser dialog used by AwnThemedIcon/taskman
	appears in the the taskmanager.

2009-10-28  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-alignment.c:
	Allow the dev to specify scale value.

2009-10-27  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-applet-manager.c:
	Allow the docklets to expand in expand mode, even without active
	expanders.

2009-10-27  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-dialog.c:
	Added hide-on-unfocus property, which will ease our lives.

2009-10-26  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-launcher.c:
	Monitor launcher desktop files for changes.

2009-10-26  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Ensure tooltips are correct for launchers when 
	show_all_windows=false.

2009-10-25  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.ui:
	Add image to 'Export theme'.

2009-10-25  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-image.c:
	Fix the FIXME.

2009-10-25  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.ui:
	* awn-settings/awnClass.py:
	* awn-settings/awnSettings.py.in:
	Add dialog for setting custom effects.

2009-10-25  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-image.c:
	Fix positioning when padding is set on the widget.

2009-10-24  Mark Lee  <avant-wn@lazymalevolence.com>

	* README:
	Update for 0.4.
	Reformat using the reStructuredText syntax.

2009-10-24  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-settings/awnClass.py (awnManager.safe_load_icon):
	Add support for selecting an icon from a list of acceptable icons.
	Fall back to the "gtk-missing-image" stock icon if the specified
	icon(s) cannot be found.
	Add documentation.
	* awn-settings/awnSettings.py.in (awnManagerMini.createMainMenu):
	Add fallback icons for the "Launchers" item.
	Fixes Launchpad bug #459706.

2009-10-25  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	* libawn/awn-themed-icon.h:
	Fix the code for awn_themed_icon_create_remove_custom_icon_item()
	so it's useful for something other than TaskManager.

2009-10-24  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-background.c:
	When using gtk_theme_mode, try to load colors which are defined for
	panel.

2009-10-24  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-background.c:
	* src/awn-background.h:
	* src/awn-defines.h:
	Separate gtk_theme_mode and dialog_gtk_theme_mode.
	* src/awn-panel.c:
	Add always-show-image property to dock menu.

2009-10-24  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-image.c:
	* libawn/awn-label.c:
	* libawn/awn-overlay-text.c:
	* libawn/awn-overlay-themed-icon.c:
	* libawn/awn-overlay.c:
	Fix line joins when using outlined font mode (AwnLabel and
	AwnOverlayText).
	Updated documentation.

2009-10-24  Michal Hruby  <michal.mhr@gmail.com>

	* data/avant-window-navigator.schema-ini.in.in:
	* libawn/awn-icon.c:
	Binded effects/active_background_icon key. Fixes bug #246356.

2009-10-24  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-background-flat.c:
	* src/awn-background-floaty.c:
	Minor polishing of Flat, Edgy (now react to changes to corner_radius
	key) & Floaty backgrounds.

2009-10-24  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnSettings.py.in:
	Add mark to monitor align scale to make it easy to hit 0.5.
	* data/avant-window-navigator.schema-ini.in.in:
	Fix default path.

2009-10-22  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
 	The drag types are already set removed redundant call.
	Configure drag launch animation to time out.

2009-10-22  Mark Lee  <avant-wn@lazymalevolence.com>

	* configure.in:
	Rearrange the library linking order so that using libdesktop-agnostic
	UI widgets via GtkBuilder does not generate runtime errors.

2009-10-21  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-settings/awnClass.py:
	Forgot to convert an import statement (see previous commit).

2009-10-21  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-settings/awn-settings.ui:
	* awn-settings/awnSettingsHelper.py:
	Update to latest libdesktop-agnostic API change.

2009-10-22  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	* awn-settings/awnSettings.py.in:
	Small cleanup, allow dropping of desktop files to launcher list.
	Fixes bug #189115.

2009-10-21  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-dialog.c:
	Avoid compiler warning/error.

2009-10-21  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	Fix for themes with boolean config values.
	* data/avant-window-navigator.schema-ini.in.in:
	* themes/default.awn-theme:
	Change the default hilight color.

2009-10-21  Julien Lavergne <gilir@ubuntu.com>

	* debian/rules:
	Fix typo.

2009-10-21  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Make the composited property read-only for outside world.

2009-10-21  Julien Lavergne <gilir@ubuntu.com>

	* debian/rules:
	Use autogen.sh instead of configure.

2009-10-21  Julien Lavergne <gilir@ubuntu.com>

	* debian/control:
	Add lsb-release and bzr to build-depends.

2009-10-21  Julien Lavergne <gilir@ubuntu.com>

	* debian/changelog:
	Update version.
	* debian/rules:
	Run configure only once.

2009-10-20  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-applet.c:
	Change the menu image for "Dock Preferences" from
	stock preferences to "avant-window-navigotor" icon.

2009-10-20  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-launcher.c:
	Use the proper value for the screen name.

2009-10-20  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-launcher.c:
  	* libawn/awn-utils.c:
  	* libawn/awn-utils.h:
	Added  awn_utils_show_menu_images().

2009-10-20  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-launcher.c:
	Remove extra underscore (fixes focus issue with compiz).

2009-10-20  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	Remove the plus icons.
	* themes/default.awn-theme:
	Make sure gtk_theme_mode is off.

2009-10-20  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-launcher.c:
  	* libawn/awn-applet.c:
  	* libawn/awn-themed-icon.c:
	A more complete/correct fix for images not being displayed
	in menu items.

2009-10-20  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	* applets/taskmanager/task-launcher.c:
	Show the menu icons.

2009-10-20  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Fix removal of launchers.
	Launch effect on drag over.

  	* applets/taskmanager/task-launcher.c:
	Startup notifications.

2009-10-19  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.ui:
	Fix the duplicate ids again...

2009-10-19  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Make AwnThemedIcon drop handler a bit accepting of slightly 
	malformed drop data.

2009-10-19  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-launcher.c:
	Taskmanager - Make sure we display something when desktop file doesn't
	have Icon key.

2009-10-19  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.ui:
	awn-settings - minor fix.

2009-10-19  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-background-curves.c:
	Curved style - don't be so obvious that we're drawing half-sphere.

2009-10-19  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-background-curves.c:
	Some changes to curves_symmetry handling.

2009-10-18  Julien Lavergne <gilir@ubuntu.com>

	* debian/changelog:
	* debian/control:
	* debian/libawn1-trunk.install:
	* debian/rules:
	* libawn/Makefile.am:
	SONAME bump to libawn1 and update debian/ to this.
	Add build-depends on quilt
	Pass correct flag to autogen.sh to avoid stupid FTBFS

2009-10-18  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-background-3d.c:
	Increase the padding size for 3d style.

2009-10-18  Michal Hruby  <michal.mhr@gmail.com>

	patch by: onox

	* awn-settings/awn-settings.ui:
	* awn-settings/awnSettings.py.in:
	Changes to awn-settings, still needs reorganization.

2009-10-18  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.ui:
	* awn-settings/awnClass.py:
	* awn-settings/awnSettings.py.in:
	Merge ryancr's changes to awn-settings.

2009-10-17  Julien Lavergne <gilir@ubuntu.com>

	* debian/TODO:
	* debian/pycompat:
	Remove unnecessary files.

2009-10-17  Julien Lavergne <gilir@ubuntu.com>

	* debian/README.Debian:
	* debian/avant-window-navigator.manpages:
	* debian/awn-settings.1:
	* debian/awn-settings.manpages:
	* debian/compat:
	* debian/control:
	* debian/libawn-doc-trunk.install:
	* debian/libawn-doc-trunk.links:
	* debian/python-awn-trunk.preinst:
	* debian/pyversions:
	* debian/rules:
	Update debian, with dh7, quilt and python-support

2009-10-17  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	* awn-settings/awnSettings.py.in:
	Get rid of the "Activate" and "Deactivate" buttons.

2009-10-15  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-applet-manager.c:
	* src/awn-applet-manager.h:
	* src/awn-applet-proxy.c:
	* src/awn-applet-proxy.h:
	* src/awn-panel.c:
	Make sure applets are not displayed while in docklet mode.

2009-10-15  Michal Hruby  <michal.mhr@gmail.com>

	* applet-activation/main.c:
	Check if the desktop file exists before sending DBus request.

2009-10-13  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.ui:
	* awn-settings/awnDefs.py.in:
	* awn-settings/awnSettings.py.in:
	Reflect changes to monitor keys in awn-settings.

2009-10-13  Michal Hruby  <michal.mhr@gmail.com>

	* data/avant-window-navigator.schema-ini.in.in:
	* src/awn-defines.h:
	* src/awn-monitor.c:
	* src/awn-monitor.h:
	* src/awn-panel.c:
	Implement both x-offset and y-offset for auto-detection and overriding
	of monitor layout.

2009-10-13  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-dbus-watcher.c:
	Minor cleanup.

2009-10-12  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-applet-proxy.c:
	* src/awn-dbus-watcher.c:
	* src/awn-panel.c:
	Optimization of AwnDbusWatcher.
	Change the debug string when running applets.

2009-10-07  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
        Remove the task matching strength spam.

2009-10-07  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-utils.c:
	Remove the source of some console spam when changing/restarting 
	WMs.

2009-10-07  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-manager.c:
	Fix a couple more possible warnings.

2009-10-07  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-item.c:
	* bindings/vala/awn.gi:
	* bindings/vala/awn.vapi:
	* doc/reference/libawn-sections.txt:
	* libawn/awn-overlayable.c:
	* libawn/awn-overlayable.h:
	Update bindings and gtk-doc.
	Fix warning emitted while using taskmanager's DBus methods.

2009-10-06  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
        * applets/taskmanager/task-manager.c:
	Minor code cleanup.  Added a TODO comment.

2009-10-06  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Remove check that is no longer needed after recent 
	modificatins to AwnIcon.

2009-10-06  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-manager.c:
	Fix for sporadic crashes in Taskmanager with simple/none
	effect.

2009-10-06  Michal Hruby  <michal.mhr@gmail.com>

	* applet-activation/Makefile.am:
	* applet-activation/main.c:
	* applets/expander/expander.desktop.in.in:
	* applets/taskmanager/taskmanager.desktop.in.in:
	* awn-settings/awnClass.py:
	* configure.in:
	* debian/avant-window-navigator-trunk.install:
	* debian/awn-applet.1:
	* debian/rules:
	* src/awn-applet-manager.c:
	* src/awn-applet-manager.h:
	* src/awn-applet-proxy.c:
	* src/awn-panel-dbus.xml:
	* src/awn-panel.c:
	* src/awn-panel.h:
	Adapt awn-applet executable to support adding applets to panel.

2009-10-05  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-tooltip.c:
	Forgot to rename property in the constructor.

2009-10-05  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-effects.c:
	Fix possible crash.

2009-10-05  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnSettings.py.in:
	Minor clickthrough fix.

2009-10-05  Michal Hruby  <michal.mhr@gmail.com>

	* applet-activation/main.c:
	* libawn/awn-applet.c:
	* libawn/awn-applet.h:
	* libawn/awn-icon.h:
	* libawn/awn-label.c:
	* libawn/awn-overlay-pixbuf-file.c:
	* libawn/awn-overlay-pixbuf.c:
	* libawn/awn-overlay-progress-circle.c:
	* libawn/awn-overlay-progress.c:
	* libawn/awn-overlay-text.c:
	* libawn/awn-overlay-themed-icon.c:
	* libawn/awn-overlay-throbber.c:
	* libawn/awn-overlay.c:
	* libawn/awn-themed-icon.c:
	* libawn/awn-tooltip.c:
	Merge with a few selected changes from the mono-binding branch.

2009-10-04  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	Missed one of the updates to class name special case data for
	OpenOffice.

2009-10-04  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Fix an issue with the desktop caching code that was resulting in
	incorrect desktop files being associated with some windows (OOO).

2009-10-04  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-icon.c:
	Workaround for CSW bug introduced in gtk+ 2.17.3.
	https://bugzilla.gnome.org/show_bug.cgi?id=597301

2009-10-04  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	* awn-settings/awnSettings.py.in:
	Fix up launcher adding/editing.

2009-10-04  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	Seems that somewhere along the line the OO class names xprop
	changed.

2009-10-04  Julien Lavergne  <gilir@ubuntu.com>

	* awn-settings/awnClass.py:
	Search also for applets which have not the X-AWN-Type key in the
	desktop file.

2009-10-02  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-icon.c:
	Fix a typo.

2009-10-01  Michal Hruby  <michal.mhr@gmail.com>

	* applets/expander/applet.c:
	* bindings/python/awn.defs:
	* bindings/vala/awn.gi:
	* bindings/vala/awn.metadata:
	* bindings/vala/awn.vapi:
	* libawn/awn-applet.c:
	* libawn/awn-applet.h:
	Renamed AwnApplet.[gs]et_flags method to [gs]et_behavior. This fixes
	problems in bindings.

2009-09-29  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-icon.c:
	unref the effects in finalize() instead of dispose().  Works as 
	well and removes an possible source of error.

2009-09-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	This should fix the various crashes associated with
	changing/restarting WM.

2009-09-27  Michal Hruby  <michal.mhr@gmail.com>

	* doc/reference/libawn-sections.txt:
	* libawn/awn-applet-simple.c:
	* libawn/awn-applet-simple.h:
	* libawn/awn-icon.c:
	* libawn/awn-icon.h:
	Add also "middle-clicked" signal to both AwnIcon and AwnAppletSimple.

2009-09-27  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Make the panel fade-out animation a bit faster.

2009-09-27  Michal Hruby  <michal.mhr@gmail.com>

	patch by: Matt <sharkbaitbobby@gmail.com>

	* ChangeLog:
	* libawn/awn-dialog.c:
	Fix color property setters.

2009-09-26  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Make text overlay consistent with the default. 
	Effects are not applied.

2009-09-25  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	* awn-settings/awnSettings.py.in:
	Fix sort order in applets tab, make it searchable.
	Launchers are now reorderable again.

2009-09-25  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-icon.c:
	Fix key being bound to wrong property.

2009-09-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	* applets/taskmanager/task-launcher.c:
	* applets/taskmanager/util.c:
	Check that desktop files keys exist before 
	attempting to access the "Exec" key.  

2009-09-23  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-background-flat.c:
	* src/awn-background-floaty.c:
	Make the flat & floaty backgrounds pixel perfect.

2009-09-23  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	Removal of unused methods.

2009-09-23  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.ui:
	* awn-settings/awnClass.py:
	* awn-settings/awnSettings.py.in:
	* configure.in:
	* themes/Makefile.am:
	* themes/default.awn-theme:
	Change the way we deal with themes.

2009-09-23  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-icon.c:
	Decrease the priority of timer in long-press implementation.

2009-09-23  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-effects.c:
	Fix compiler warnings.

2009-09-22  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	When dynamically generating regular expressions it's a good
	idea to escape the source strings.  This may fix the reported
	grouping issues with Eclipse.

2009-09-22  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Remove a, no longer relevant, comment.

2009-09-22  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Destroy the TaskIcon in the "animation-end" signal handler.  
	Possible due to previous commit.

2009-09-23  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/anims/awn-effects-shared.c:
	* libawn/awn-effects.c:
	Fix issue with AwnEffects destruction inside "animation-end" signal
	handler.

2009-09-22  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.ui:
	Fixed the non-unique ID... again...

2009-09-21  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	* applets/taskmanager/task-icon.c:
	Fixed a change in permission.

2009-09-21  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	Added a new special case for Amsn.

2009-09-21  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Various fixes related to show_all_windows being false.  TaskIcons now
	should ignore existence of tasks off the current workspace in this 
	case.

2009-09-21  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.ui:
	* awn-settings/awnSettings.py.in:
	* awn-settings/awnSettingsHelper.py:
	Add a couple of ColorButtons to the advanced tab in awn-settings, so
	that all colors used on the panel can be set through it.

2009-09-21  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	* awn-settings/awnSettings.py.in:
	Fix up launcher editing a bit, now it at least watches the correct key
	and Remove button is working.

2009-09-20  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnSettings.py.in:
	* bindings/python/awn.defs:
	* data/avant-window-navigator.schema-ini.in.in:
	* src/Makefile.am:
	* src/awn-background-floaty.c:
	* src/awn-background-floaty.h:
	* src/awn-panel.c:
	Added new background style: Floaty.

2009-09-19  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	When config key show_all_windows config=false we do 
	not want to play the closing animation on workspace
	switches.

2009-09-19  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/anims/awn-effect-fade.c:
	* libawn/anims/awn-effect-glow.c:
	* libawn/anims/awn-effect-spotlight.c:
	* libawn/anims/awn-effect-spotlight3d.c:
	* libawn/anims/awn-effect-squish.c:
	* libawn/anims/awn-effect-turn.c:
	* libawn/anims/awn-effect-zoom.c:
	Fix closing effects - make sure they properly reset properties they
	use.

2009-09-19  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-overlay-pixbuf.c:
	Fix issues with using SOURCE operator with GdkPixbufs.

2009-09-19  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-dialog.c (_on_origin_changed):
	* libawn/awn-tooltip.c (awn_tooltip_show, on_button_press):
	Fix compiler warnings.

2009-09-19  Mark Lee  <avant-wn@lazymalevolence.com>

	* configure.in:
	Update maintainer mode CFLAGS.

2009-09-19  Mark Lee  <avant-wn@lazymalevolence.com>

	* m4/python.m4 (AC_PYTHON_DEVEL):
	Update to the latest upstream macro code.

2009-09-18  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Removed fix for disappearing task icons that turned out
	to not be a fix.

2009-09-18  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Removed a debug.

2009-09-18  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Fix for, occasional, disappearing icons issue on 
	workspace switch.

2009-09-19  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet.c:
	* libawn/awn-utils.c:
	* libawn/awn-utils.h:
	* src/awn-applet-manager.c:
	* src/awn-background-curves.c:
	Change the equation for determining offset on the curve.

2009-09-17  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Do not group two windows under a TaskIcon without a Launcher
	when grouping is disabled.

2009-09-17  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Do the redraw a bit differently - on the toplevel window.

2009-09-17  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Do one more redraw, hopefully it's enough to cover that stupid fade-out
	bug.

2009-09-17  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-label.c:
	Fixed missing unbind.

2009-09-17  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Possible fix for disappearing icons when using fade-out autohide.

2009-09-16  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-pixbuf.c:
	Fix the scaling of AwnOverlayPixbuf.

2009-09-16  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Don't invalidate the pixbuf cache when a new AwnThemedIcon
	is created.

2009-09-15  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-drag-indicator.c:
  	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-launcher.c:
  	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/task-settings.c:
  	* applets/taskmanager/task-settings.h:
  	* applets/taskmanager/task-window.c:
	Changed task-settings as minimally as possible to get
	the correct behaviour.
	Call awn_themed_icon_set_size() on size changes to ensure
	mis-sized icons do not occur when panel size is changed.

2009-09-15  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Removed the experimental caching of desktop
	lookup data to file.

2009-09-15  Rodney Cryderman  <rcryderman@gmail.com>

	* src/awn-panel.c:
	Fixed sticky for openbox.

	* applets/taskmanager/task-icon.c:
	Fix various drag and drop issues.

	* applets/taskmanager/task-manager.c:
	Fixed up crash with the memory cache.	

	* libawn/awn-overlay-pixbuf.c:
	Potential fix for Pixbuf Overlay issue when
	pixbuf is not square.

2009-09-15  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.ui:
	Fix the non-unique id problems.

2009-09-15  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Add a memory cache or desktop lookups.

2009-09-15  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	* configure.in:
	* themes/awn-default.desktop.in:
	Update the theme keys to reflect the default, and make the theme
	choosing in awn-settings work, though it could use complete rewrite,
	why do we abuse desktop file for theme settings? How about some 
	ini or xml?

2009-09-14  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/vala/awn.gi:
	* bindings/vala/awn.metadata:
	* bindings/vala/awn.vapi:
	* libawn/awn-applet-simple.c:
	Fixed GdkEvent type for context-menu-popup signal.

2009-09-14  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnSettings.py.in:
	Change also clickthrough type when changing Behaviour.

2009-09-14  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/applet.c:
	Add a wnck_screen_force_update() on init to provide 
	more consistent appearance of launcher/icons on start.

2009-09-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-applet.c (awn_applet_create_about_item):
	Avoid a potential critical message.

2009-09-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-applet.c (awn_applet_create_about_item):
	Fix formatting.

2009-09-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/vala/awn.metadata:
	* bindings/vala/awn.vapi:
	Fix the Vala binding for Applet.create_about_item().

2009-09-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-settings/awn-plugins.svg:
	* awn-settings/awn-settings-small.svg:
	* awn-settings/awn-settings.svg:
	* data/avant-window-navigator.svg:
	Remove unused definitions from SVG files.

2009-09-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-settings/awn-settings.ui:
	Remove duplicate IDs.

2009-09-12  Rodney Cryderman  <rcryderman@gmail.com>

	* src/awn-panel.c:
	Fixed loss of sticky.  This also seems to have fixed the
	disappearing icons bug.  However, I am unable to test under
	compiz, mhr3 has indicated sticky might cause issues with 
	compiz.  If it does cause an issue then this will need to be
	made into a config option.

2009-09-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* .bzrignore:
	* Makefile.schemas:
	* applets/taskmanager/Makefile.am:
	* applets/taskmanager/awn-applet-taskmanager.schema-ini.in:
	* configure.in:
	* data/Makefile.am:
	* data/avant-window-navigator.schema-ini.in.in:
	* po/POTFILES.in:
	* po/avant-window-navigator.pot:
	* po/*.po:
	Make schema-ini files translatable.

2009-09-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* po/POTFILES.in:
	* po/avant-window-navigator.pot:
	* po/*.po:
	Update gettext files.

2009-09-12  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Make the comparison of the Exec field of the desktop file
	to the process command line a lot smarter.  Probably won't gain
	a lot from it in practice bu it is an improvement.

2009-09-12  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	Special case the nautilus desktop...  there's a lot of variations 
	on the nautilus desktop file, if the main desktop file is not called
	nautilus.desktop then it's not obvious how to lookup the _correct_
	one.

2009-09-12  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	Add a couple missing bindings.

2009-09-11  Mark Lee  <avant-wn@lazymalevolence.com>

	* debian/python-awn-trunk.install:
	Fix installation of the Python bindings, so that AutoPPA will work.

2009-09-11  Mark Lee  <avant-wn@lazymalevolence.com>

	* debian/python-awn-trunk.install:
	Fix installation of the Python bindings.

2009-09-11  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	Add binding for ThemedIcon.set_info_append().
	* libawn/awn-themed-icon.c:
	* libawn/awn-themed-icon.h:
	Fix parameter naming, so documentation is correct.

2009-09-10  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Fix an incorrect argument introduced in the the last dnd
	commit.

2009-09-10  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Reflect changes in launcher_paths order in bar.

2009-09-10  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini:
        Changed default of taskmanager drag_and_drop config option
	false.

2009-09-10  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Inhibit the TaskIcon drag when appropriate.

2009-09-10  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/Makefile.am:
	* configure.in:
	Clean up the Python bindings build system code.

2009-09-10  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/Makefile.am:
	* configure.in:
	* m4/python.m4:
	Use AM_PATH_PYTHON for the install directories, as Ubuntu does some
	non-standard install magic.

2009-09-10  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini:
	Changed defaults for taskmanager enable_long_press and 
	disable_config_keys configuration keys to false and true
	respectively.
	
2009-09-09  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	Special cased Virtual Box desktop lookup.

2009-09-09  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
        Disable some debugs.

2009-09-09  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	disable some debugs.

2009-09-09  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	* applets/taskmanager/util.c:
	Fix for situation where a window that is demanding
	attention is closed without becoming active.
	Addition to the Thunderbird special case data.

2009-09-09  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	In the intersection check code... check for 
	DESKTOP type while interating through application
	windows (nautilus can be the desktop)

2009-09-09  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Tighten up requirements for matching the Exec
	with the Command line in the fuzzy desktop 
	lookup.

2009-09-09  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-settings/Makefile.am:
	* awn-settings/awn-launcher-editor.in (removed):
	* awn-settings/awnClass.py:
	* awn-settings/awnLauncherEditor.py (removed):
	* awn-settings/launcher-editor.ui (removed):
	* configure.in:
	* debian/awn-launcher-editor.1 (removed):
	* debian/awn-settings-trunk.install:
	* debian/rules:
	Replace awn-launcher-editor with the libdesktop-agnostic
	equivalent.

2009-09-09  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/awn.defs:
	* bindings/python/awn.override:
	Add bindings for awn.applet.create_about_item*().

2009-09-09  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	Special case desktop lookup for tvtime

2009-09-09  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-window.c:
	When comparing res names use g_strcmp0 not g_strstrlen.

2009-09-08  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	Input some info of OO Math and Base.

2009-09-08  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/util.c:
  	* applets/taskmanager/util.h:
	Do the OpenOffice devs hate me?  Is it something personal?

2009-09-08  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	Remove a debug.

2009-09-08  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
        * applets/taskmanager/util.c:
        * applets/taskmanager/util.h:
	Tweaked regex for OpenOffice to account for different Title when
	opened through a document.
	Added entries for Debian OpenOffice desktop files.
	get_special_desktop_from_window_data() now returns a list of possible 
	desktop files to account for various dists using different file names.

2009-09-08  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Was destroying TaskIcons in some situation where they should
	only be hidden.

2009-09-08  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Tweaked the desktop lookup code.  Cuts Exec at "%" and 
	does a fuzzy search using res_name.

2009-09-07  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-launcher.c:
  	* applets/taskmanager/util.c:
	Fix an item amsn special case data, and added a new entry
	for some newly discovered strangeness.

2009-09-07  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-settings/awn-settings.ui:
	Remove duplicate widget ID.

2009-09-07  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Remove the signal so the signal handler does not get invoked 
	after the TaskIcon has been destroyed.

2009-09-07  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Add icon preview widget to customize icon dialog, 
	Submitted by Matt <sharkbaitbobby@gmail.com>

2009-09-07  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Use weak_ref instead of connecting to "unrealize".

2009-09-07  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-window.c:
	* applets/taskmanager/task-manager.c:
	This should allow closing animation and make sure Icon is disped
	of.  For some reason the animation is not happening.

2009-09-06  Mark Lee  <avant-wn@lazymalevolence.com>

	* debian/control:
	Add bzr to the awn-settings dependencies.

2009-09-06  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-manager/ (removed):
	* libawn/awn-applet.c (AWN_SETTINGS_APP, _start_awn_settings,
	  awn_applet_create_pref_item, awn_applet_create_default_menu):
	* libawn/awn-effects.c (awn_effects_main_effect_loop):
	Remove all references to awn-manager.

2009-09-06  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-effects.c (awn_effects_finalize):
	Make sure the AwnEffects object removes any config bindings that it
	may have when it is garbage collected.

2009-09-06  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	Removed redundant function.

2009-09-06  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	Reverted part of r1361, which screwed up effect setting.

2009-09-05  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Make the logic of on_window_needs_attention_changed () a bit
	more sane.

2009-09-04  Julien Lavergne <gilir@ubuntu.com>

	* debian/control:
	* debian/libawn0-trunk.install:
	* debian/rules:
	Add awn-applets-c-core-trunk and awn-applets-python-core-trunk
	as Recommends for avant-window-navigator.
	Various little fixes.

2009-09-03  Mark Lee  <avant-wn@lazymalevolence.com>

	* debian/control:
	Fix the vala-awn-trunk dependencies.

2009-09-03  Mark Lee  <avant-wn@lazymalevolence.com>

	* data/avant-window-navigator.schema-ini.in:
	Change the default orientation back to "bottom".

2009-09-03  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Hook into the "state-changed" signal for Intellihide purposes
	also.  It's wonderful how every WM behaves just a little bit 
	different than the others.

2009-09-03  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* libawn/awn-icon.c:
	Removed some comments as the unexpected behaviour was
	expected.

2009-09-03  Mark Lee  <avant-wn@lazymalevolence.com>

	* debian/avant-window-navigator-trunk.install:
	Fix the Debian packaging to reflect the .ui change.

2009-09-03  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* libawn/awn-icon.c:
	Fixed up the dispose process that occurs when TaskIcons
	disappear.  The fix seems somewhat incomplete/dubious 
	(see comments).

2009-09-02  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Ignore Desktop windows for Intellihide.

2009-09-02  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Destroy the TaskIcons when they're no longer needed.

2009-09-02  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-window.c:
	Free a string in finalize(), not dispose().

2009-09-02  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-settings/awn-settings.ui:
	* awn-settings/awnSettingsHelper.py (get_widget_value,
	  set_widget_value, get_widget_change_signal_name):
	Replace Gtk.ColorButton widgets with DesktopAgnostic.GTK.ColorButton
	widgets.

2009-09-02  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-item.c:
  	* applets/taskmanager/task-window.c:
	Unbind the config keys on dispose().

2009-08-31  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-settings/Makefile.am:
	* awn-settings/awn-settings.ui
	* awn-settings/awnLauncherEditor.py:
	* awn-settings/awnSettings.py.in:
	* awn-settings/launcher-editor.ui:
	* data/Makefile.am:
	* data/awn-themed-icon.ui:
	* libawn/awn-themed-icon.c:
	* po/POTFILES.in:
	Change the extension of GtkBuilder files to .ui.

2009-08-31  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/task-manager.c:
	Don't ignore skip taskbar windows for intellihide.

2009-08-31  Mark Lee  <avant-wn@lazymalevolence.com>

	* po/avant-window-navigator.pot:
	Add PO template so that we can integrate with Launchpad Translations
	better.

2009-08-31  Mark Lee  <avant-wn@lazymalevolence.com>

	* po/*.po:
	Update gettext files.

2009-08-31  Mark Lee  <avant-wn@lazymalevolence.com>

	* po/POTFILES.in:
	* po/POTFILES.skip:
	* themes/Makefile.am:
	Remove unecessary file creation.

	* themes/awn-default.desktop.in:
	Make desktop file translatable.

2009-08-30  Mark Lee  <avant-wn@lazymalevolence.com>

	* po/POTFILES.in:
	* po/POTFILES.skip:
	* po/*.po:
	Update gettext files.

2009-08-30  Mark Lee  <avant-wn@lazymalevolence.com>

	* Makefile.am:
	Update the i18n-update rule.

2009-08-29  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-launcher.c:
	Changed "Execute" menu item to "Launch"

2009-08-29  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	_remove_icon_cleanup() was just wrong, should not have used
	signal_connect_swapped.

2009-08-29  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Correctly deal with idle preloads where the there's a
	clear between the point where the preload is added and
	it actually happens.

2009-08-29  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
        fix rev 1400.

2009-08-29  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Added a note to self.

2009-08-29  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	fix show_all_windows == false.

2009-08-29  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini:
  	* applets/taskmanager/task-icon.c:
 	* applets/taskmanager/task-item.c:
  	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/task-window.c:
  	* applets/taskmanager/task-window.h:
	Added activate_behavior configuration key to taskmanager.
	Mostly intended to work around Metacity's idiosyncratic behaviour
	on window activate. 
	Adding the above required either applet ot a config client to be
	available in TaskWindow, chose applet.
	Fixed bug with Intellihide where last window on workspace moved
	or minimized with panel hidden (it did not unhide).

2009-08-29  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-icon.c:
	Refresh icon geometry also when task item is removed 
	from the TaskIcon.

2009-08-29  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-icon.c:
	Fix the refresh_geometry method.

2009-08-29  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	* bindings/vala/awn.gi:
	* bindings/vala/awn.vapi:
	* doc/reference/libawn-sections.txt:
	* doc/reference/libawn.types:
	* libawn/awn-applet-simple.c:
	* libawn/awn-icon.c:
	* libawn/awn-icon.h:
	* tests/test-awn-effects.c:
	Removed _message and _progress methods from AwnIcon, we now have
	overlays for that purpose.
	Updated bindings.

2009-08-28  Mark Lee  <avant-wn@lazymalevolence.com>

	* src/awn-applet-proxy.c (DEBUG_APPLET_EXEC, awn_applet_proxy_execute):
	Add support for attaching a gdb instance to all applets, so that
	applets can be debugged easier. Uses the environment variable
	AWN_APPLET_GDB as the flag.

2009-08-28  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/Makefile.am:
	* debian/python-awn-trunk.install:
	Install the Python bindings definitions into the correct location.

2009-08-28  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/__init__.py:
	* bindings/python/awn.defs:
	* bindings/python/awn.override:
	Remove the applet_construct method completely, in favor of the
	gtk.Plug constructor.

2009-08-28  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-launcher.c:
	Define dummy enum, if building with GTK+ 2.12.

2009-08-28  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/__init__.py (embed_applet):
	* bindings/python/awn.defs:
	Use the real gtk.Plug constructor, when available.

	* bindings/python/awn.override:
	Fix compile warning.
	

2009-08-28  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-config.c:
	Remove debug code.

2009-08-28  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-applet-simple.c (awn_applet_simple_set_icon_name):
	Fix placement of an assertion statement.

2009-08-28  Mark Lee  <avant-wn@lazymalevolence.com>

	* src/awn-ua-alignment.c:
	Use the GSEAL transition header.

2009-08-28  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-icon.c (copy_over):
	* libawn/awn-themed-icon.c (copy_over):
	Replace GIO functions with the equivalent libdesktop-agnostic
	functions.

2009-08-27  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-themed-icon.c:
	Define dummy enum, if building with GTK+ 2.12.

2009-08-27  Mark Lee  <avant-wn@lazymalevolence.com>

	* tests/Makefile.am:
	Attempt to fix the test-taskmanager linking problem in the PPA.

2009-08-27  Mark Lee  <avant-wn@lazymalevolence.com>

	* CC.COPYING (removed):
	Get rid of the duplicate CC license.

2009-08-27  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Various modifications to further minimize the chance of false 
	positives.  Also do more extensive search of local dir
	which will result in beter results for wine apps.

2009-08-27  Mark Lee  <avant-wn@lazymalevolence.com>

	* debian/control:
	Add gconf2 as a build dependency, so that GConf schemas can
	be installed.

2009-08-27  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-config.c (awn_config_get_default_for_applet_by_info):
	Due to changes in UID handling, the UID parameter may no longer
	be NULL.

2009-08-27  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/awn.defs:
	Fix Python bindings, due to the introduction of AwnBox.

2009-08-27  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini:
	Adjusted default timeout when window requests attention.

2009-08-27  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini:
  	* applets/taskmanager/task-manager.c:
	Inhbiit autohide for 10 seconds when a window requires 
	attention.

2009-08-27  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-launcher.c:
  	* applets/taskmanager/task-manager.c:
	Added launcher icon to TaskLauncher Task item.
	Center label for TaskLauncher Task Item.
	Reduced space between icon and label in TaskWindow
	TaskItem

  	* applets/taskmanager/task-window.c:
	Removed some spame

2009-08-27  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnSettings.py.in:
	* src/xutils.c:
	* src/xutils.h:
	Fix problems with panel mode.

2009-08-27  Mark Lee  <avant-wn@lazymalevolence.com>

	* data/avant-window-navigator.schema-ini.in:
	Fix the description for the orientation config key.

2009-08-27  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/libawn-docs.sgml:
	* doc/reference/libawn-sections.txt:
	* doc/reference/libawn.types:
	Update doc templates.

2009-08-27  Mark Lee  <avant-wn@lazymalevolence.com>

	* HACKING:
	Add a note about the documentation index file.

2009-08-27  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini:
 	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-manager.c:
	By default (configurable) taskmanager will make copies of
	dropped desktop files into ~/.config/awn/launchers if they are
	owned by the user.

2009-08-27  Mark Lee  <avant-wn@lazymalevolence.com>

	* tests/test-awn-dialog.py:
	* tests/test-vala-awn-dialog.vala:
	Update due to API change.

2009-08-27  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.xml:
	* awn-settings/awnSettings.py.in:
	* awn-settings/awnSettingsHelper.py:
	Implemented support for gtk.ColorButtons to bind_to_gtk_component.

2009-08-26  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/Makefile.am:
	* libawn/awn-box.c:
	* libawn/awn-box.h:
	* libawn/awn-icon-box.c:
	* libawn/awn-icon-box.h:
	* libawn/libawn.h:
	* src/awn-applet-manager.c:
	* src/awn-applet-manager.h:
	Added AwnBox which wraps GtkBox's differences in various Gtk versions.
	AwnBox is now base class of AwnIconBox and AwnAppletManager.

2009-08-26  Mark Lee  <avant-wn@lazymalevolence.com>

	* po/POTFILES.in:
	* po/*.po:
	Update gettext files.

2009-08-26  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/libawn-sections.txt:
	Update doc template due to API change.

2009-08-26  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-drag-indicator.c:
	* applets/taskmanager/task-icon.c:
	* applets/taskmanager/task-manager.c:
	* applets/taskmanager/task-settings.c:
	* applets/taskmanager/task-settings.h:
	* awn-settings/awnSettings.py.in:
	* bindings/python/awn.defs:
	* bindings/vala/awn-custom.vala:
	* bindings/vala/awn.gi:
	* bindings/vala/awn.vapi:
	* libawn/anims/awn-effect-bounce.c:
	* libawn/anims/awn-effect-squish.c:
	* libawn/anims/awn-effect-zoom.c:
	* libawn/anims/awn-effects-shared.h:
	* libawn/awn-alignment.c:
	* libawn/awn-applet-simple.c:
	* libawn/awn-applet.c:
	* libawn/awn-applet.h:
	* libawn/awn-defines.h:
	* libawn/awn-dialog.c:
	* libawn/awn-effects-ops-new.c:
	* libawn/awn-effects.c:
	* libawn/awn-effects.h:
	* libawn/awn-icon-box.c:
	* libawn/awn-icon-box.h:
	* libawn/awn-icon.c:
	* libawn/awn-icon.h:
	* libawn/awn-themed-icon.c:
	* libawn/awn-tooltip.c:
	* libawn/awn-tooltip.h:
	* libawn/awn-utils.c:
	* libawn/awn-utils.h:
	* src/awn-applet-manager.c:
	* src/awn-applet-proxy.c:
	* src/awn-applet-proxy.h:
	* src/awn-background-3d.c:
	* src/awn-background-curves.c:
	* src/awn-background-edgy.c:
	* src/awn-background-flat.c:
	* src/awn-background.c:
	* src/awn-background.h:
	* src/awn-defines.h:
	* src/awn-panel-dbus.xml:
	* src/awn-panel.c:
	* src/awn-panel.h:
	* src/awn-ua-alignment.c:
	* src/xutils.c:
	* src/xutils.h:
	* tests/test-awn-effects.c:
	* tests/test-awn-icon-box.c:
	* tests/test-awn-icon.c:
	Get rid of AwnOrientation in favour of GtkPositionType.
	Methods were renamed from ie get_orientation to get_pos_type.

2009-08-25  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Fix DnD of items onto Launch only task icon.

2009-08-25  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Added to the scariness that is the desktop lookup code.
	More specifically deal with the fact that the desktop 
	filenames are not always lowercase.

2009-08-25  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-launcher.c:
	Make sure there's a working Execute menu option when
	there is a launcher.

2009-08-25  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-item.c:
  	* applets/taskmanager/task-item.h:
  	* applets/taskmanager/task-launcher.c:
  	* applets/taskmanager/task-window.c:
	Move the button layout into TaskLauncher and TaskWindow
	instead of TaskItem.

2009-08-25  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-settings/awnClass.py:
	* awn-settings/awnSettings.py.in:
	Fix style issues.
	Remove unused imports and multiple method defintions.

2009-08-25  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-settings/awn-settings.xml:
	* awn-settings/awnClass.py:
	Fix runtime warnings.

2009-08-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-item.c:
  	* applets/taskmanager/task-launcher.c:
  	* applets/taskmanager/task-window.c:
	Modify the text and alignment of task items in the
	Dialog.

2009-08-24  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-settings/awnSettings.py.in:
	Update due to API changes.

2009-08-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	Some comments about future TODO.

2009-08-24  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-pixbuf-file.c:
        * libawn/awn-overlay-pixbuf.c:
        * libawn/awn-overlay-progress-circle.c:
        * libawn/awn-overlay-progress.c:
        * libawn/awn-overlay-text.c:
        * libawn/awn-overlay-themed-icon.c:
        * libawn/awn-overlay-throbber.c:
        * libawn/awn-overlay.c:
        * libawn/awn-themed-icon.c:
	Make gtk-doc happy.

2009-08-24  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-defines.h:
	Added documentation for several enums and constants.

2009-08-24  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-overlay-pixbuf-file.c:
	* libawn/awn-overlay-pixbuf.c:
	* libawn/awn-overlay-progress-circle.c:
	* libawn/awn-overlay-progress.c:
	* libawn/awn-overlay-text.c:
	* libawn/awn-overlay-themed-icon.c:
	* libawn/awn-overlay-throbber.c:
	* libawn/awn-overlay.c:
	* libawn/awn-themed-icon.c:
	Fix gtk-doc.

2009-08-24  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/Makefile.am:
	* doc/reference/libawn-sections.txt:
	* doc/reference/libawn.types:
	Remove a non-public header from the doc templates.

2009-08-24  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-manager.c (task_manager_new):
	* bindings/python/awn.defs:
	* bindings/vala/awn-custom.vala:
	* bindings/vala/awn.vapi:
	* libawn/awn-applet.c (awn_applet_class_init):
	* libawn/awn-config.c (awn_config_get_default_for_applet,
	  awn_config_get_default_for_applet_by_info):
	* libawn/awn-config.h:
	Remove the single-instance property from AwnApplet and its related
	code in awn-config.

2009-08-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-window.c:
	Clicking on items in the dialogs should now minimize/restore.

2009-08-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	If disable_icon_updates is enabled it should be ignored if there
	is not launcher for the TaskIcon.

2009-08-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Deal with runtime changes of disable_icon_changes key, along
	with several fixes necessary for this to work.

2009-08-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	* applets/taskmanager/awn-applet-taskmanager.schema-ini:
	Created config option for drag_and_drop_hover_delay.  Current 
	default 500.

2009-08-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c
	Hookup the delay on drag over Task Icon.  Currently
	set to 500ms before it will activate a window.

2009-08-24  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/vala/awn.gi:
	* bindings/vala/awn.vapi:
	* doc/reference/libawn-sections.txt:
	Update the doc templates and Vala bindings.

2009-08-24  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/vala/awn.gi:
	* bindings/vala/awn.vapi:
	* libawn/awn-applet.c (awn_applet_class_init):
	The single-instance property should be a construct property only.

2009-08-24  Rodney Cryderman  <rcryderman@gmail.com>

	 * applets/taskmanager/task-manager.c:
         Fixed a nasty bug task_manager_refresh_launcher_paths () 
         where TaskWindows that did not have launchers were being
         treated as though they did a launcher.

2009-08-24  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-cairo-utils.c:
	Add documentation for the cairo wrapper functions.

2009-08-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Fixed a nasty bug task_manager_refresh_launcher_paths () 
	where TaskWindows that did not have launchers were being
	treated as though they did a launcher.

2009-08-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Don't free memory until we're done using it.

2009-08-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-item.c:
  	* applets/taskmanager/task-launcher.c:
  	* applets/taskmanager/task-window.c:
	Added bold text to Launcher task item.
	Added get/set prop skeletons to TaskItem.

2009-08-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Let the app change the icon if it is still NULL even if 
	disable_icon_changes is true.
	* applets/taskmanager/task-item.c:
	Check the icon sent to task_item_icon_changed ().
	
2009-08-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Don't set intellihide during construction.

2009-08-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini:
  	* applets/taskmanager/task-icon.c:
	Add a disable_icon_changes config key.  Disables the ability
	of apps to change the Task Icon.
	
2009-08-23  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-item.c:
	Added some comments.

2009-08-23  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Check for a GError and deal with when setting up the
	file monitor.

2009-08-23  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* libawn/awn-themed-icon.c:
	Connect a file monitor to awn-theme dir.

2009-08-23  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	Special case Google Prism apps.

2009-08-23  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Fixed a nasty recursive bug from the last commit.
	Use the new blacklist.
  	* applets/taskmanager/util.c:
  	* applets/taskmanager/util.h:
	Add a blacklist for desktop files that probably should
	be using NoDisplay but are not.

2009-08-23  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Desktop file lookup tweak.  Tokenize the class_name
	using "-" in the fuzzy lookup.

2009-08-23  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Remove Custom Icon" menu item is present when a 
	custom icon is in use.
  	
	* libawn/awn-themed-icon.c:
  	* libawn/awn-themed-icon.h:
	Added a "Remove Custom Icon" menu item to AwnThemedIcon.

2009-08-23  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-manager.c:
	Remove the chance of name collisions between standard
	applets and taskmanager using awn themed icons.

2009-08-23  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
        Some cleanup in task_icon_set_icon_pixbuf().

2009-08-23  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Some cleanup in task_icon_button_press_event().

2009-08-23  Rodney Cryderman  <rcryderman@gmail.com>

 	* applets/taskmanager/task-icon.c:
        Some cleanup in add_to_launcher_list_cb().

2009-08-23  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Some cleanup in task_icon_dest_drag_data_received().

2009-08-23  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Accept drag and drop of multiple desktop files.

2009-08-23  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-manager.c:
	Fix removal of lanchers from launcher list.

2009-08-23  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/vala/awn-custom.vala:
	* bindings/vala/awn.vapi:
	Fix vapi files - Awn.Config.get* functions returned unowned references.

2009-08-22  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-themed-icon.c:
	Add/update documentation.

2009-08-22  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/Makefile.am:
	* doc/reference/libawn-sections.txt:
	Remove a non-public header from the doc templates.

2009-08-22  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-themed-icon.c:
	Remove redundant declaration.

2009-08-22  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/anims/Makefile.am (removed):
	Remove obsolete file.

2009-08-22  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-themed-icon.c:
	on_icon_theme_changed() should be static.

2009-08-22  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/vala/awn.gi:
	* bindings/vala/awn.vapi:
	Update Vala bindings.

2009-08-22  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/libawn-sections.txt:
	Update doc template.

2009-08-23  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Remove the Taskicon in a slightly different mannger.
	Might be a bit better.

2009-08-23  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-icon.h:
  	* applets/taskmanager/task-manager.c:
	Implement removal of launcher from launcher list.

2009-08-22  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Make sure the TaskIcon icon reverts to the standard desktop icon.

2009-08-22  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Fixed drag and drop.
  	* libawn/awn-themed-icon.c:
  	* libawn/awn-themed-icon.h:
	Create a "drag_and_drop" property.  If it is set to off then
	AwnThemedIcon will not manipulate with widget's drag and drop.
	Exposed awn_themed_icon_drag_data_received() so applets drag-data-received
	handlers can chain to if it if needed.

2009-08-23  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnSettings.py.in:
	Use LDA's bind also for behaviour setting.

2009-08-22  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Add a filter to the file chooser.

2009-08-22  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Initial code:
	Added awn_themed_icon_create_custom_icon_item() to get a customize 
	icon menu item.  At the moment does not support the various 
	AwnThemedIcon scopes.
  	* libawn/awn-themed-icon.c:
  	* libawn/awn-themed-icon.h:
	Initial support for changing icons through context menu.

2009-08-22  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-themed-icon.c:
	Disconnect the "changed" signal handler from the icon theme during
	AwnOverlayThemedIcon finalize().

2009-08-21  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	On size changed signals don't call awn_themed_icon_get_icon_at_size() 
	unless we've set the info().  Which happens if the task icon contains
	a launcher.

2009-08-21  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-icon.h:
  	* applets/taskmanager/task-launcher.c:
  	* applets/taskmanager/task-launcher.h:
  	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/task-window.c:
	Switch taskmanager to use the awn_themed_icon* functions to 
	get the desktop file icon for use in the TaskIcon.  Note that
	sometimes the wnck provided icon is in use in the TaskIcon and
	the wnck provided icon is being used in the task item dialog
	(which may or may not change).

2009-08-21  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Initial implementation: allow drag and drop of data files into 
	launchers.

2009-08-21  Rodney Cryderman  <rcryderman@gmail.com>

	*  applets/taskmanager/task-icon.c:
	Activate relevant windows on drag and drop hover.

2009-08-21  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	* applets/taskmanager/task-icon.h:
        * applets/taskmanager/task-manager.c:
	Fix the only_show_launchers mode to work again.

2009-08-21  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-manager.c:
	Re-enable the drag and drop.  Seems it was not crashing in Jaunty or
	Karmic.  Found a fix for Intrepid.  Please test drag and drop of the
	TaskIcon with dialog visible

2009-08-21  Mark Lee  <avant-wn@lazymalevolence.com>

	* HACKING:
	Add a note about the extra files used to generate the Vala bindings.

2009-08-21  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/vala/awn.metadata:
	* bindings/vala/awn.vapi:
	Mark Awn.OverlayProgress as abstract in the Vala bindings.

2009-08-21  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/vala/awn-custom.vala:
	Properly fix the Vala binding
	Awn.Config.get_default_for_applet_by_info ().

2009-08-21  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.xml:
	* awn-settings/awnSettings.py.in:
	* awn-settings/awnSettingsHelper.py:
	Added arrow-type setting to awn-settings' advanced tab.

2009-08-21  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	* awn-settings/awnSettings.py.in:
	Transition of the simple controls complete.

2009-08-21  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnClass.py:
	* awn-settings/awnSettings.py.in:
	* awn-settings/awnSettingsHelper.py:
	Continuing the config transition.

2009-08-21  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/Makefile.am:
	* awn-settings/awn-settings.xml:
	* awn-settings/awnClass.py:
	* awn-settings/awnDefs.py.in:
	* awn-settings/awnSettings.py.in:
	* awn-settings/awnSettingsHelper.py:
	Started new lda-friendly configuration backend for awn-settings.

2009-08-21  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awnDefs.py.in:
	* awn-settings/awnSettings.py.in:
	Make at least the panel-config part of awn-settings work.

2009-08-21  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Force theme changed signal when drag and drop occur.
	Invalidate the pixbuf cache when theme changes occur.

2009-08-20  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Bail out of task_icon_dest_drag_data_received() before the bad things
	happen.  I'm not really sure what the disabled code that will not be
	reached is supposed to do but I do know that it makes things go boom.

2009-08-20  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-manager.c:
	Added some debugs into the drag and drop code.
	Disabled drag and drop of TaskIcons until such time as someone fixes
	the crashers that are currently present.

2009-08-20  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Store the value returned from get_launcher()...

2009-08-20  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
        Scroll wheel goodness!

2009-08-20  Mark Lee  <avant-wn@lazymalevolence.com>

	* debian/avant-window-navigator-trunk.install:
	* debian/awn-applet-activation.1 (removed):
	* debian/awn-schema-to-gconf.1 (removed):
	* debian/awn-settings-trunk.install:
	* debian/rules:
	Update Debian packaging based on recent changes.

2009-08-20  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet.c:
	Added check to DBus calling methods whether the proxy is initialized.

2009-08-18  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/task-settings.c:
	Fixed the icon sizing issue when panel size is changed.
	Removed some debug spam.

2009-08-19  Mark Lee  <avant-wn@lazymalevolence.com>

	* src/awn-app.c:
	* src/awn-applet-proxy.c:
	* src/awn-background.h:
	* src/awn-panel.h:
	* src/awn-throbber.h:
	Use the single header instead of enumerating all of the libawn
	headers.

2009-08-19  Mark Lee  <avant-wn@lazymalevolence.com>

	* HACKING:
	Add a note about po/POTFILES.in.

2009-08-19  Mark Lee  <avant-wn@lazymalevolence.com>

	* HACKING:
	Add a short developer's guide.

2009-08-19  Mark Lee  <avant-wn@lazymalevolence.com>

	* .bzrignore:
	* Makefile.am:
	* applet-activation/Makefile.am:
	* configure.in:
	* src/awn-applet-proxy.c:
	Rename the folder where awn-applet lives.
	Install awn-applet to the libexec folder, as it is not meant to be
	run manually by a user.

2009-08-19  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/Makefile.am:
	* doc/reference/libawn-sections.txt:
	Update the doc templates so that it ignores files that aren't really
	part of the API.

2009-08-18  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Do not check for NoDisplay when the desktop file is in the 
	launcher list.  Certain perfectly useful desktop files such as
	gconf-editor are hidden in certain dists (I'm looking at you 
	Ubuntu) using NoDisplay, seemingly to protect the user.

2009-08-18  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-launcher.c:
  	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/util.c:
	Do not accept desktop files which have a NoDisplay key set to
	True as being a valid desktop file.  This requires lda >= 267.
	This should solve crashes when starting a wine app.

2009-08-18  Mark Lee  <avant-wn@lazymalevolence.com>

	* po/*.po:
	Update gettext files.

2009-08-18  Mark Lee  <avant-wn@lazymalevolence.com>

	* Makefile.am:
	* applets/taskmanager/Makefile.am:
	* awn-settings/Makefile.am:
	* configure.in:
	Add make distcheck fixes.

2009-08-18  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-applet-activation/Makefile.am:
	* src/Makefile.am:
	* src/awn-applet-manager.c:
	* src/awn-applet-proxy.c:
	* src/awn-panel.c:
	Fix header references and include directories.

2009-08-18  Mark Lee  <avant-wn@lazymalevolence.com>

	* data/Makefile.am:
	* data/awn-themed-icon-ui.glade (removed):
	Remove obsolete file.
	Fix typo.

2009-08-18  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/__init__.py:
	* po/POTFILES.in:
	* po/POTFILES.skip:
	Update translatable files.

2009-08-19  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/vala/awn.vapi:
	Update the Vala bindings due to API changes.

2009-08-18  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/Makefile.am:
	* doc/reference/libawn-sections.txt:
	* doc/reference/libawn.types:
	Update documentation templates.

2009-08-18  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-applet.c:
	Fix documentation typo.

2009-08-18  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/vala/awn.gi:
	* bindings/vala/awn.vapi:
	Update the Vala bindings due to API changes.

2009-08-18  Mark Lee  <avant-wn@lazymalevolence.com>

	* TODO:
	Remove libdesktop-agnostic-related TODO items.

2009-08-18  Michal Hruby  <michal.mhr@gmail.com>

	* awn-applet-activation/main.c:
	Check for valid UID during awn-applet execution.

2009-08-18  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-icon.c:
	* libawn/awn-alignment.c:
	* libawn/awn-applet-simple.c:
	* libawn/awn-dialog.c:
	* libawn/awn-effects.c:
	* libawn/awn-icon-box.c:
	* libawn/awn-tooltip.c:
	* src/awn-applet-manager.c:
	* src/awn-applet-proxy.c:
	* src/awn-panel.c:
	Fix usage of gtk_widget_get_allocation ().

2009-08-18  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-settings/awnSettings.py.in:
	Use the VFS init/shutdown functions from desktopagnostic.vfs.

2009-08-18  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-effects.c:
	* libawn/gseal-transition.h:
	* src/awn-applet-manager.c:
	Convert to use the GSEAL function gtk_widget_get_has_window ().

2009-08-18  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-icon.c:
	* applets/taskmanager/task-manager.c:
	* libawn/awn-dialog.c:
	* libawn/awn-tooltip.c:
	* libawn/gseal-transition.h:
	* src/awn-applet-manager.c:
	* src/awn-panel.c:
	Convert to use the GSEAL function gtk_widget_get_visible ().

2009-08-17  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-icon.c:
	* libawn/awn-alignment.c:
	* libawn/awn-applet-simple.c:
	* libawn/awn-dialog.c:
	* libawn/awn-effects.c:
	* libawn/awn-icon-box.c:
	* libawn/awn-tooltip.c:
	* libawn/gseal-transition.h:
	* src/awn-applet-manager.c:
	* src/awn-applet-proxy.c:
	* src/awn-panel.c:
	Convert to use the GSEAL function gtk_widget_get_allocation ().

2009-08-15  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/awn.defs:
	* bindings/vala/awn.gi:
	* bindings/vala/awn.vapi:
	* doc/reference/libawn-sections.txt:
	* libawn/awn-utils.c:
	* libawn/awn-utils.h:
	Remove awn_vfs_init(), which has been obsoleted by the equivalent
	function in libdesktop-agnostic.

2009-08-15  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Implement launch effect when launched through TaskIcon.
	Still need to do when launched through TaskItem.

2009-08-15  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-alignment.c:
	* libawn/awn-applet.c:
	* libawn/awn-dialog.c:
	* libawn/awn-effects.c:
	* libawn/awn-icon-box.c:
	* libawn/awn-icon.c:
	* libawn/awn-label.c:
	* libawn/awn-overlay-pixbuf-file.c:
	* libawn/awn-overlay-pixbuf.c:
	* libawn/awn-overlay-progress-circle.c:
	* libawn/awn-overlay-progress.c:
	* libawn/awn-overlay-text.c:
	* libawn/awn-overlay-themed-icon.c:
	* libawn/awn-overlay-throbber.c:
	* libawn/awn-overlay.c:
	* libawn/awn-themed-icon.c:
	* libawn/awn-tooltip.c:
	* src/awn-applet-manager.c:
	* src/awn-applet-proxy.c:
	* src/awn-background.c:
	* src/awn-monitor.c:
	* src/awn-panel.c:
	* src/awn-ua-alignment.c:
	Use G_PARAM_STATIC_STRINGS for properties.

2009-08-14  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Return from the drag and drop handler once we've processed the 
	desktop file.

2009-08-14  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/__init__.py:
	Rename init_applet method to embed_applet, because that's what it does.

2009-08-14  Mark Lee  <avant-wn@lazymalevolence.com>

	* debian/control:
	* debian/rules:
	* debian/vala-awn-trunk.install:
	Update the Debian packaging files.

2009-08-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* po/*.po:
	Update gettext files.

2009-08-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-settings/Makefile.am:
	* awn-settings/awn-settings.desktop.in:
	* configure.in:
	* data/Makefile.am:
	* data/avant-window-navigator.desktop.in:
	* po/POTFILES.in:
	The awn-settings and avant-window-navigator desktop files don't need
	to be processed by config.status.

2009-08-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/expander/expander.desktop.in.in:
	* applets/taskmanager/taskmanager.desktop.in.in:
	Make applet desktop files translatable.

	* po/POTFILES.in:
	* po/*.po:
	Update gettext files.

2009-08-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* Makefile.am:
	Add a rule that automatically updates all of the .po files with all of
	the translatable strings in the tree (make i18n-update).

2009-08-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-settings/awnDefs.py.in:
	Update due to an API change in the Python bindings.

2009-08-13  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-applet.c:
  	* libawn/awn-themed-icon.c:
	Some more gtk-doc style documentation.

2009-08-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* Makefile.am:
	* applets/Makefile.am (removed):
	* bindings/Makefile.am (removed):
	* configure.in:
	* data/Makefile.am:
	* data/active/Makefile.am (removed):
	* libawn/Makefile.am:
	Remove some recursive make calls.
	Make sure that libawn links to libm if necessary.

2009-08-14  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-config.h:
	Updated prototype for awn_config_get_default_for_applet_by_info().

2009-08-14  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/applet.c:
	* applets/taskmanager/task-manager.c:
	* bindings/python/awn.defs:
	* libawn/awn-applet.c:
	* libawn/awn-config.c:
	Added single-instance property to AwnApplet.

2009-08-13  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-pixbuf.c:
  	* libawn/awn-overlay-progress-circle.c:
  	* libawn/awn-overlay-progress.c:
  	* libawn/awn-overlay-themed-icon.c:
  	* libawn/awn-overlay.c:
  	* libawn/awn-themed-icon.c:
	Additions and fixes to gtk-doc style documentation.

2009-08-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* .bzrignore:
	* bindings/vala/Makefile.am:
	* bindings/vala/awn-custom.vala:
	* bindings/vala/awn.deps:
	* bindings/vala/awn.exclude:
	* bindings/vala/awn.gi:
	* bindings/vala/awn.metadata:
	* bindings/vala/awn.vapi:
	* configure.in:
	* tests/Makefile.am:
	* tests/test-vala-awn-dialog.vala:
	Update Vala bindings.
	Re-enable Vala support by default.
	Rewrite the Vala test to be a port of the Awn dialog test.

2009-08-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* configure.in:
	Move libdesktop-agnostic defsdir check to after we check for the existence
	of libdesktop-agnostic.

2009-08-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/__init__.py:
	Remove obsolete symbols.

2009-08-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/awnmodule.c:
	Add the PANEL_ID_DEFAULT constant to the awn module.

2009-08-13  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Removed a function and moved it's code into on_window_opened().

2009-08-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-applet-simple.c:
	Add missing docs for awn_applet_simple_new()'s canonical_name parameter.

2009-08-13  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-manager.c:
	Use gdk_region_rect_in() for intellihide. This provides better
	intersection check.

2009-08-13  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Hide panel immediately after uninhibit is called (don't wait for the
	timer).

2009-08-13  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Added comments.

2009-08-12  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
        Add some comments.

2009-08-12  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Add some comments and minor code cleanup.

2009-08-12  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Cache awn's GdkRegions for reuse when autohide is set to transparency
	(which ends up setting the input mask to an empty region)

2009-08-12  Rodney Cryderman  <rcryderman@gmail.com>

	* configure.in:
	Add -lext for taskmanager.

2009-08-12  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/anims/awn-effects-shared.h:
	* libawn/awn-effects.c:
	Fix incorrect first frame (mostly noticeable with various opening
	effects).

2009-08-12  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Minor formatting fix.

2009-08-12  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
        * applets/taskmanager/awn-applet-taskmanager.schema-ini:
	Remove description of grouped window option from intellhide_mode
	as it will, almost certainly, not appear by the 3.9 snapshot.
	Switched ordering of enum so currently offered options are sequential.

2009-08-12  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	* applets/taskmanager/awn-applet-taskmanager.schema-ini:
	Config options to determine window list used by Intellihide. 
	Defaults is to check for intersection against currently focused 
	application window(s).

2009-08-12  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Minimize calls to gdk_window_foreign_new().

2009-08-11  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Properly deal with dynamic changes in Intellihide config setting.

2009-08-11  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Be a bit more agressive about the window list that's checked and 
	fix the cookie eating.

2009-08-11  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini:
  	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-manager.c:
	New and improved awn, now with Intellihide.  Please test.

2009-08-11  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet.c:
	Add property which contains AwnPanel XID.

2009-08-11  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.xml:
	* awn-settings/awnClass.py:
	* awn-settings/awnSettings.py.in:
	Fix awn-settings, so it at least runs (taskmanager-related key not
	working atm)

2009-08-10  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	Kill some console spam.

2009-08-10  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini:
	* applets/taskmanager/task-launcher.c:
	Mark taskmanager as a single instance applet in the schema-ini.
	Strip the spaces off the exec after any options have been removed.

2009-08-10  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Fix logic of window minimize when long press is off.

2009-08-10  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-effects.c:
	Fix binding the icon_effect config key to the object.

2009-08-10  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/applet.c:
  	* applets/taskmanager/task-launcher.c:
	Set single instances in a better manner.

2009-08-10  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-launcher.c:
	Returned some code to strip placeholders from Exec that was lost
	during lda merge.
	Add some additional ppid checks for launcher only.

2009-08-10  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Removed a debug

2009-08-10  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/applet.c:
  	* applets/taskmanager/task-manager.c:
	Disable some debugs.
	Set taskmanager to not use the instance configuration.

2009-08-09  Mark Lee  <avant-wn@lazymalevolence.com>

	* debian/control:
	Update dependencies.

2009-08-09  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/awn.defs:
	Fix the naming of various functions so that they are not prefixed with
	"awn_".

2009-08-09  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/awn.override:
	* bindings/python/awnmodule.c:
	Fix compiler warnings.

2009-08-09  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-applet-activation/main.c:
	Reorganize headers.
	Add header to fix compile warning.

2009-08-09  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-overlay-text.c:
	Fix object referencing.

2009-08-09  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/anims/awn-effect-fade.c:
	* libawn/anims/awn-effect-fade.h:
	Add fade hover effect (from global effects experiment - unused now).

2009-08-09  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-applet-proxy.c:
	Fix missing X client message.

2009-08-08  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-overlay-text.c:
	Fix typo.

2009-08-07  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini:
	* data/avant-window-navigator.schema-ini.in:
	Reorganize schema keys alphabetically.

2009-08-07  Mark Lee  <avant-wn@lazymalevolence.com>

	* data/avant-window-navigator.schema-ini.in:
	Mark global config options so that the config client handles them
	appropriately.

2009-08-07  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/libawn-sections.txt:
	Update the doc section template.

2009-08-07  Mark Lee  <avant-wn@lazymalevolence.com>

	* ChangeLog:
	* debian/control:
	Fix whitespace.
	Use the libdesktop-agnostic virtual module packages instead of ORs.


2009-08-07  Julien Lavergne  <julien.lavergne@gmail.com>

	* debian/control:
	Refresh Build-depends and Depends based of new libdesktop-agnostic.

2009-08-07  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-applet-manager.c:
	Fix crasher.

2009-08-06  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-icon.c:
	* applets/taskmanager/task-icon.h:
	* applets/taskmanager/task-manager.c:
	Fix up the icon geometry setting.

2009-08-06  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/Makefile.am:
	* bindings/python/awn.defs:
	* bindings/python/awn.override:
	* configure.in:
	Add/fix Python bindings with regards to functions which depend on the
	libdesktop-agnostic Python bindings.

2009-08-06  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-launcher.c:
	* applets/taskmanager/task-manager.c:
	* applets/taskmanager/util.c:
	* applets/taskmanager/util.h:
	* awn-applet-activation/main.c:
	Update due to naming changes in the libdesktop-agnostic desktop
	entry API.

2009-08-06  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-settings.c (cfg_load_int):
	Update due to a change in the libdesktop-agnostic config API.

2009-08-06  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-cairo-utils.c:
	Fix typo.

2009-08-06  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-cairo-utils.c:
	Fix DaColor usage to work with latest versions of LDA.

2009-08-06  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
        Special case desktop file lookup for Mozilla-Thunderbird.  May revisit
	this issue if there enough problem cases due to an appended "-bin"

2009-08-06  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	Special case desktop file lookup for linuxdcpp.

2009-08-06  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	On TaskIcon click... Better to check if active (and then do a minimize)
	first instead of checking if minimized (and then do a restore).

2009-08-05  Mark Lee  <avant-wn@lazymalevolence.com>

	* Makefile.schemas:
	* configure.in:
	* data/Makefile.am:
	* data/awn-schema-to-gconf (removed):
	* debian/awn-settings-trunk.install:
	* debian/control:
	Replace awn-schema-to-gconf with the equivalent program packaged
	with libdesktop-agnostic.

2009-08-04  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-manager.c:
	Convert the launcher_paths member to a GValueArray, to avoid
	converting to and from GSList.

2009-08-04  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	When we're dealing with a single TaskWindow and non-group, make
	sure we ignore the Launcher when TaskIcon is clicked.

2009-08-04  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Search */applications/ subdirectories for desktop files also
	
2009-08-04  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
        The logic was the reverse of what it should have been in a 
	couple more places...

2009-08-04  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	The logic was the reverse of what it should have been.

2009-08-04  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Check values for desktop lookups a bit more 
	consistently/stringently.

2009-08-04  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-manager-api-wrapper.c:
	* applets/taskmanager/task-manager.c:
	Throw errors in the new DBus API, but not in the old one.

2009-08-03  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-window.c:
	Removed check for PPID when matching.

2009-08-03  Rodney Cryderman  <rcryderman@gmail.com>

	*  applets/taskmanager/task-icon.c:
	Disable debugs.

2009-08-03  Rodney Cryderman  <rcryderman@gmail.com>

	*  applets/taskmanager/task-icon.c:
	Initial support for drag and drop of desktop files into 
	taskmanager.

2009-08-02  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.schema-ini:
	Change launcher_list default.  Needs to be changed again
	before release.

2009-08-02  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-manager.c:
	Deal with the possibility of NULL.  

2009-08-02  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Stop animations when a launcher has not TaskWindows.

2009-08-02  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	When grouping is on, minimize and restore by
	group when TaskIcon is clicked.  This seems to be 
	the least broken of the various options.

2009-08-01  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Strip extensions in a different location.
	
2009-08-01  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Make use of res_name in looking up desktop files.
	If a app appends a ".py" to it's res_name (Exaile)
	then try stripping it off.

2009-07-31  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-cairo-utils.h:
	* libawn/awn-dialog.c:
	* libawn/awn-tooltip.c:
	* src/awn-background.c:
	* src/awn-background.h:
	Fix the libdesktop-agnostic header name.

2009-07-30  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	loosen the condition whereby attention required effect
	is turned off.

2009-07-30  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/task-manager.h:
	Tweaking of desktop lookup code.  
	Some more work on Add to launder list.

2009-07-30  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Add a separator after the Add to launcher list item.

2009-07-30  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-manager.c:
 	* applets/taskmanager/task-manager.h:
	Partial implementation of an Add to launcher list feature.

2009-07-30  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-item.c:
	Fixup some context menu / AwnDialog focus issue.
	Added a Add Launcher item to context menus (has
	no code attached to it yet).

2009-07-30  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-icon.h:
  	* applets/taskmanager/task-item.c:
  	* applets/taskmanager/task-item.h:
  	* applets/taskmanager/task-launcher.c:
  	* applets/taskmanager/task-window.c:
  	* applets/taskmanager/task-window.h:
	Jumping through hoops to deal with the focus loss
	issue with context menus and AwnDialog.  Patches 
	implementing a cleaner solution are gladly accepted.

2009-07-29  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-manager.c:
	Mapped out the structure of TaskIcon conext menu.

2009-07-29  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	* applets/taskmanager/task-window.c:
	* applets/taskmanager/task-launcher.c:
	Some work on the context menus.  Reuse the context
	menu in the case of TaskLauncher.  Destroy the old
	one and build a new one in the case of TaskWindow.

2009-07-29  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.xml:
	Changed Applets tab.

2009-07-29  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.xml:
	Changed Launcher tab.

2009-07-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Make sure the desktop file in the launcher list was
	usable.

2009-07-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	special cased amsn windows.  I obviously really dislike 
	pidgin.

2009-07-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/util.c:
	Special case amsn.

2009-07-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/util.c:
	Fix regex for gimp.  Added regex for desktop file
	lookup for Mange print jobs.

2009-07-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-window.c:
	Check for a NULL so two NULLs are not compared.

2009-07-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	* applets/taskmanager/task-window.c:
	Disable some console debugs.
	Removed commented out code.

2009-07-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/task-window.c:
  	* applets/taskmanager/util.c:
	Special case gimp desktop file lookup.
	Removed the class_name to class_name comparision from 
	TaskWindow match (it is not a good idea).

2009-07-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/util.c:
  	* applets/taskmanager/util.h:
	Special case the deskto files for OO.

2009-07-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Fix right click on TaskIcon.  Provides context menu for
	most recently active item under TaskIcon.  Possibly 
	should provide all TaskWindows within the TaskIcon
	context menu?

2009-07-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Make the filename search regex caseless also.

2009-07-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Fix a debug.

2009-07-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Do a case insensitive comparision exec<->cmd
	in the fuzzy desktop search

2009-07-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Some more magic desktop file locating code.

2009-07-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager:
	Strip some non-alpha chars from the match string when attempting 
	to find the desktop file.  Should fix d-feet issue.

2009-07-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-launcher:
	Bring a _bit_ of sanity to TaskLauncher match function.

2009-07-28  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-item.c:
        Set the icon size in the buttons to the system Button icon size.
	TaskItem buttons should now reflect icon changes.

2009-07-28  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-manager.c:
	Implemented support for icon-file key in DBus calls.
	* libawn/awn-overlay-pixbuf.c:
	* libawn/awn-overlay.c:
	* libawn/awn-overlay.h:
	Added use-source-op property.

2009-07-27  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Add a full command line comparision into TaskWindow.

2009-07-27  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Fix some signal code that can only be explained by someone
	being tired when it was written.

2009-07-27  Rodney Cryderman  <rcryderman@gmail.com>

  	* applets/taskmanager/util.c:
  	* applets/taskmanager/util.h:
	Place for some generic functions.  Initial infrastrcture for 
	special casing specific apps.
  
	* applets/taskmanager/Makefile.am:
  	* applets/taskmanager/task-launcher.c:
  	* applets/taskmanager/task-window.c:
	Initial infrastructure for special casing apps.
	Thank you goes to OpenOffice for providing the impetus.

2009-07-27  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-launcher.c:
	* applets/taskmanager/task-window.c:
        Experimental code.  If matching is set at 99 it should match 
        launchers to windows launched from said launchers... for some more
        problematic apps (I'm looking at you OO).

2009-07-27  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-launcher.c:
	Stop using Clicked signal.  Issues specific to taskmanager.

2009-07-27  Michal Hruby  <michal.mhr@gmail.com>

	* data/awn.schema-ini.in:
	* libawn/awn-icon.c:
	Made the long-press-timeout value configurable (default 750ms).

2009-07-27  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-icon.c:
	Don't emit clicked if long-press was emitted.

2009-07-27  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Move the icon setting code a bit earlier to get
	rid of some console spam

2009-07-27  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Fix middle click.
	Use the Launcher icon again (if it's available).
	
2009-07-27  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-window.c:
	Fix a crasher stemming from GdkEvent not being 
	available in clicked signal.

2009-07-27  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/taskmanager.schema-ini:
	Add config option to enable/disable long press.
	Close dialog on icon click if it is open.
	Add some comments to the clicked signal handler.

2009-07-27  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/libawn-docs.sgml:
	Add the awn-config page to the documentation.
	* libawn/awn-config.c:
	Fix the gtk-doc documentation.

2009-07-27  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Implement "long-press".  Try to do the smart thing on short
	clicks.

2009-07-26  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Check for a NULL.

2009-07-26  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Place new launchers at the correct position.

2009-07-26  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-icon.h:
  	* applets/taskmanager/task-manager.c:
	Handling of changes to launcher list are now handled a bit more
	sanely but by no means correctly.

2009-07-26  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
 	* applets/taskmanager/task-window.c:
  	* applets/taskmanager/task-window.h:
	Be smarter about what TaskItem info is displayed in the tooltip.
	Probably needs some fine tuning.

2009-07-26  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-launcher.c:
  	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/task-window.c:
	Quiet some of the console spam.  Add to Authors.

2009-07-27  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-item.c:
	* applets/taskmanager/task-manager.c:
	Hide the progress overlay properly.

2009-07-26  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-icon.c:
	* applets/taskmanager/task-icon.h:
	* applets/taskmanager/task-item.c:
	* applets/taskmanager/task-item.h:
	* applets/taskmanager/task-manager.c:
	Implemented text & progress overlays which are used by the DBus
	interface.

2009-07-26  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-pixbuf-file.c:
	Further error checking.  Don't call the parent class render
	if there is no pixbuf.

2009-07-26  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-item.h:
        * applets/taskmanager/task-item.c:
        * applets/taskmanager/task-launcher.c:
	More cleanup of code to add "Launch" string to TaskItem labels.

2009-07-26  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-item-private.h:
	* applets/taskmanager/task-item.h:
	* applets/taskmanager/task-item.c:
	* applets/taskmanager/task-launcher.c:
	Cleanup code to add "Launch" string to TaskItem labels.

2009-07-26  Julien Lavergne <julien.lavergne@gmail.com>

	* awn-settings/awnSettings.py.in:
    Make sure ~/.config/awn exist when awn-settings starts. 

2009-07-26  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-item-private.h:
	Add new file.

2009-07-26  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-item.c:
  	* applets/taskmanager/task-item.h:
  	* applets/taskmanager/task-launcher.c:
	Add the string "Launch" to launchers TaskItems.

2009-07-26  Michal Hruby  <michal.mhr@gmail.com>

	* data/awn.schema-ini.in:
	* libawn/awn-dialog.c:
	Added dialog-offset key to config.
	* libawn/awn-effects-ops-new.c:
	Fixed 1px bug.

2009-07-26  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.xml:
	* awn-settings/awnSettings.py.in:
	Polish awn-settings general settings dialog layout.

2009-07-25  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Make sure we don't show an awn-applet process.  
	Added to authors.

2009-07-25  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Get a bit more agressive about finding the desktop file.  
	Needs testing to see if it gives false positives in practice.

2009-07-25  Julien Lavergne <julien.lavergne@gmail.com>

	* awn-settings/awnSettings.py.in:
	* data/awn.schema-ini.in:
    Remove panel/behavior key. Instead, read configuration keys to
    find the behavior.

2009-07-25  Julien Lavergne  <julien.lavergne@gmail.com>

	* awn-settings/Makefile.am:
	* awn-settings/awn-plugins.svg:
	* awn-settings/awn-settings.xml:
	* debian/awn-settings-trunk.install:
    Change icons for awn-settings (LP: #243706)
    - Ship a copy of plugin in icon for applets
    - Use gnome-panel-launcher for launchers

2009-07-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	An "ephemeral" item must be a Launcher.

2009-07-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-icon.h:
	* applets/taskmanager/task-manager.c:
	Looks for a desktop file to associate with windows that are not 
	already associated with a TaskLauncher.

2009-07-24  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-dialog.c (awn_dialog_constructed):
	Fix typo.

2009-07-24  Michal Hruby  <michal.mhr@gmail.com>

	* awn-settings/awn-settings.xml:
	* awn-settings/awnSettings.py.in:
	Removed some panel settings from Advanced, since they are in general
	tab too.

2009-07-24  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-applet-proxy.c:
	Fixed curved mode on left/right orients.

2009-07-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Fixed condition.  Dialogs appear at correct time for 
	Launchers again.

2009-07-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-window.c:
	Don't do the command line comparisions for the moment.
	Not good with scripting languages.

2009-07-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/task-window.c:
	Some initial code for grouping non-launchers.

2009-07-24  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/task-icon.c:
	NEVER change the color of a text overlay.  This will
	get blocked eventually... till then just don't do it.

2009-07-24  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-label.c:
	Fixed non-zero angle to work correctly with AwnLabel.

2009-07-23  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet-simple.c:
	* libawn/awn-applet-simple.h:
	* libawn/awn-icon.c:
	* libawn/awn-icon.h:
	Added long-press and context-menu-popup signals.

2009-07-23  Michal Hruby <michal.mhr@gmail.com>

	* awn-settings/Makefile.am:
	* awn-settings/awn-settings.xml:
	Try to make awn-settings layout bit more consistent.

2009-07-23  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-item.c:
	Decreased TaskItem icon size.

2009-07-23  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-item.c:
  	* applets/taskmanager/task-launcher.c:
  	* applets/taskmanager/task-window.c:
	Adjust the size of icon displayed in TaskItem. Implementation
	Needs some further thought.
	In the process addd dispose and finalize methods to TaskItem,
	TaskWindow and TaskLauncher.

2009-07-23  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-item.c:
	Scale the icon size displayed in the task items.

2009-07-23  Julien Lavergne  <julien.lavergne@gmail.com>

	* awn-settings/awn-settings.xml:
	* awn-settings/awnClass.py:
	* awn-settings/awnDefs.py.in:
	* awn-settings/awnSettings.py.in:
    Rework the preferences UI.

2009-07-22  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Clarified a comment.

2009-07-22  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Do not show dialog when there is only one window being managed.
	An config option to revert to previous behaviour will be added.

2009-07-21  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-item.c:
	Hookup the activate signal so space/enter work on the buttons.

2009-07-21  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-item.c:
  	* applets/taskmanager/task-item.h:
	Contributed by Matt <sharkbaitbobby@gmail.com>.
	Adds buttons to the dialog.  This will probably need to be switched
	back to the previous way of doing things (and redone with a bit 
	more effort) once we begin providing a stacks type option 
	(probably in the 0.6).  Till then this seems to be useful as both a
	visual and usability improvement.

2009-07-21  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-launcher.c:
	Small style cleanup.

2009-07-21  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-utils.h (awn_utils_gslist_to_gvaluearray):
	Fix gtk-doc.

2009-07-21  Michal Hruby <michal.mhr@gmail.com>

	* data/awn.schema-ini.in:
	* libawn/awn-dialog.c:
	* src/awn-background.c:
	* src/awn-defines.h:
	Added separate keys which control AwnDialog colors.

2009-07-20  Michal Hruby <michal.mhr@gmail.com>

	* src/awn-throbber.c:
	Lower priority of the animation timer, so the applets are actually
	executed on super slow machines (or when running a debugger/profiler).

2009-07-20  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-overlay-text.c (awn_overlay_text_constructed,
	  awn_overlay_text_class_init):
	* libawn/awn-tooltip.c (awn_tooltip_get_property,
	  awn_tooltip_set_property, awn_tooltip_finalize,
	  awn_tooltip_class_init, ensure_tooltip, awn_tooltip_set_font_color,
	  awn_tooltip_set_background_color):
	* libawn/awn-tooltip.h:
	Fix/convert color-related code.

2009-07-20  Mark Lee  <avant-wn@lazymalevolence.com>

	* src/awn-applet-manager.c (awn_applet_manager_constructed,
	  set_list_property, awn_applet_manager_set_property):
	Fix typo.
	Fix setting list properties.

2009-07-20  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/awn-applet-taskmanager.schema-ini:
	Fix schema type names.

2009-07-20  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/taskmanager.schema-ini:
	Fix the match_strength default so that it's a valid value.

2009-07-19  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-pixbuf-file.c:
	Only one warning for a missing icon file.  Reset on filname
	change.

2009-07-19  Michal Hruby <michal.mhr@gmail.com>

	* libawn/awn-label.c:
	Change the label color when icon_text_color is changed.

2009-07-19  Michal Hruby <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Update FIXME.

2009-07-18  Michal Hruby <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Finally fix the DnD deadzone. But what to do with the deadzone
	above the applets?

2009-07-18  Michal Hruby <michal.mhr@gmail.com>

	* src/awn-monitor.c:
	Auto-config when using multiple monitors now really works.

2009-07-18  Mark Lee  <avant-wn@lazymalevolence.com>

	* src/awn-applet-manager.c (awn_applet_manager_get_property,
	  awn_applet_manager_set_property, awn_applet_manager_class_init):
	* src/awn-background.c (awn_background_set_property,
	  awn_background_class_init):
	* src/awn-monitor.c (awn_monitor_get_property,
	  awn_monitor_set_property, awn_monitor_class_init):
	* src/awn-panel.c (awn_panel_get_property, awn_panel_set_property,
	  awn_panel_class_init):
	Fix property types.

2009-07-18  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-utils.h:
	Fix gtk-doc.

2009-07-18  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-launcher.c:
	* awn-applet-activation/main.c:
	Update due to the VFS API change in libdesktop-agnostic.

2009-07-17  Mark Lee  <avant-wn@lazymalevolence.com>

	* Makefile.marshal:
	* Makefile.shave:
	* applets/taskmanager/Makefile.am:
	* doc/reference/Makefile.am:
	* libawn/Makefile.am:
	* src/Makefile.am:
	Split the shave-related variables into their own Makefile.
	Use shave on various file generation rules.

2009-07-17  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/libawn-sections.txt:
	* doc/reference/libawn.types:
	Update the doc templates.

2009-07-17  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/libawn-sections.txt:
	* libawn/awn-utils.c (awn_utils_ensure_transparent_bg,
	  awn_utils_gslist_to_gvaluearray):
	* libawn/awn-utils.h:
	Add awn_utils_gslist_to_gvaluearray(), to make converting between the two
	structures easier.
	* src/awn-applet-manager.c (awn_applet_manager_get_property,
	  awn_ua_add_applet):
	Convert to use the new function.
	* src/awn-ua-alignment.c (awn_ua_alignment_plug_removed):
	Convert to use the libdesktop-agnostic API.

2009-07-17  Rodney Cryderman  <rcryderman@gmail.com>

	* src/awn-ua-alignment.c:
	* src/awn-ua-alignment.h:
	* awn-settings/awnClass.py:
	* awn-settings/awnDefs.py.in:
	* data/awn.schema-ini.in:
	* src/Makefile.am:
	* src/awn-applet-manager.c:
	* src/awn-applet-manager.h:
	* src/awn-defines.h:
	* src/awn-panel-dbus.xml:
	* src/awn-panel.c:
	* src/awn-panel.h:
	Merged <https://code.launchpad.net/~awn-testing/awn/awn-rewrite-ua-support>.
	Merge Proposal: https://code.launchpad.net/~awn-testing/awn/awn-rewrite-ua-support/+merge/8972
	Provides basic (AwnApplet level) ability to embed Universal Applets (see
	https://launchpad.net/universal-applets) in the panel.

2009-07-17  Michal Hruby <michal.mhr@gmail.com>

	* applets/taskmanager/applet.c:
	Fix crash when running non-first instance of the applet.
	* data/awn.schema-ini.in:
	Use non-zero offset as default.
	* src/awn-monitor.c:
	Fix to better support multiple monitors.

2009-07-16  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Display window_count.  At the moment it doesn't matter but it 
	will once we begin grouping tasks (that don't have a launcher).

2009-07-16  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	* libawn/awn-overlay-themed-icon.c:
	Change ::invisible:: state -> ::no_drop::

2009-07-16  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Previous commit broken things.  return to previous broken state
	for now.

2009-07-16  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Make the adding of new launchers broken in a different, less
	disruptive, way.  Instead of duplicating the launchers, the 
	addition will be ignored (till restart).   This needs a fix,
	see comments in code.

2009-07-16  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
  	* applets/taskmanager/taskmanager.schema-ini:
	Added a grouping configuration key.

2009-07-16  Rodney Cryderman  <rcryderman@gmail.com>

  	* applets/taskmanager/task-launcher.c:
  	* configure.in:
	Improved the task matching.  Please test with a match strength
	of 99.  Especially interested in false positives.

2009-07-15  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-icon.c (task_icon_dest_drag_data_received):
	* awn-applet-activation/main.c (main):
	* libawn/awn-utils.c (awn_vfs_init):
	* src/awn-main.c (main):
	Update to use the new libdesktop-agnostic VFS convenience API.

2009-07-15  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-icon.c (task_icon_dispose,
	  task_icon_finalize, do_bind_property,
	  task_icon_constructed):
	Convert to use the libdesktop-agnostic config API.

2009-07-15  Mark Lee  <avant-wn@lazymalevolence.com>

	* data/avant-window-navigator.schema-ini.in:
	Fix keys that should be labeled as colors.

2009-07-15  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
        * applets/taskmanager/taskmanager.schema-ini:
	Added a txt_indicator_threshold config key.  Also the text
	overlay no longer gets destroyed when it's not needed, instead
	active prop is set to FALSE.

2009-07-15  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	* applets/taskmanager/taskmanager.schema-ini:
	New config key. Control the max number of indicators to show.
	More config keys to follow.  We will find the "best" default 
	set by release day!

2009-07-15  Julien Lavergne <julien.lavergne@gmail.com>

	* awn-settings/awnClass.py:
    Don't crash when reading lda color.
	* awn-settings/awnSettings.py.in:
    Update config key only if it changes.

2009-07-15  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	awn_icon_set_indicator_count() deals with values >3 intelligently.

2009-07-14  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-label.c (do_bind_property, awn_label_constructed,
	  awn_label_get_property, awn_label_set_property,
	  awn_label_class_init):
	Convert to use the libdesktop-agnostic config API.

2009-07-14  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/awnmodule.c:
	* src/awn-main.c (main):
	Remove obsolete usage of preprocessor variable.

2009-07-14  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Adjust the indicator to reflect the count.

2009-07-14  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Adjust the count text to not count the launcher.

2009-07-14  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-manager.c:
	Deal with wnck's unfortunate tendency to signal that the skip tasklist
	has changed to FALSE for the taskmanager process for brief periods of
	time, in certain circumstances.

2009-07-14  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	div by zero is bad.

2009-07-14  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-image.c:
	Fix FTBFS.

2009-07-14  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/awn.defs:
	* bindings/python/awn.override:
	Move the Gtk.Label.new_with_label constructor Python binding from
	libawn-extras.

2009-07-14  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	* bindings/python/awn.override:
	* libawn/Makefile.am:
	* libawn/awn-image.c:
	* libawn/awn-image.h:
	* libawn/awn-label.c:
	* libawn/awn-label.h:
	* libawn/awn-overlay-text.c:
	* libawn/awn-overlay.h:
	* libawn/libawn.h:
	Added AwnLabel - GtkLabel subclass which paints also the outline for
	the text.

2009-07-13  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Removed some, commented, unneeded code.

2009-07-13  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Some primer to keep GtkIconTheme from spewing a warning.

2009-07-13  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Strip the hicolor entries from the path of override theme.

2009-07-13  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	No need for the array set to gtk_icon_theme_set_search_path() 
	to be static as it copies the elements.

2009-07-13  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
        Unbreak gtk icon themes.  There will be some console spam until 
        a less intrusive method of supressing the warnings is researched.

2009-07-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/Makefile.am:
	* configure.in:
	Check for pygobject-codegen-2.0 before the pygtk alias, to avoid a
	warning.

2009-07-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/Makefile.am:
	Shave-ify the Python bindings generator command.

2009-07-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-manager.c (task_manager_class_init,
		task_manager_size_changed, task_manager_dispose):
	* libawn/awn-dialog.c (awn_dialog_set_property, awn_dialog_finalize):
	* libawn/awn-icon.c (awn_icon_set_property, awn_icon_dispose):
	* libawn/awn-overlay-text.c (awn_overlay_text_set_property,
	  awn_overlay_text_dispose):
	* libawn/awn-tooltip.c (awn_tooltip_set_property, awn_tooltip_dispose):
	* src/awn-applet-manager.c (awn_applet_manager_dispose):
	* src/awn-background.c (awn_background_finalize):
	* src/awn-monitor.c (awn_monitor_dispose, awn_monitor_class_init):
	* src/awn-panel.c (awn_panel_dispose):
	Clean up the config key <-> property bindings when the object is garbage
	collected.

2009-07-13  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-icon.c:
	* applets/taskmanager/task-launcher.c:
	* awn-applet-activation/main.c:
	* libawn/awn-config.h:
	* libawn/awn-utils.c:
	* src/awn-main.c:
	* src/awn-monitor.h:
	* src/awn-panel.h:
	Update #includes due to libdesktop-agnostic changes.

2009-07-12  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-defines.h (AWN_PANEL_ID_DEFAULT):
	Fix gtk-doc.

2009-07-12  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Fix issue with icons being loaded earlier than they should have been
	from system hicolor dirs.  Issue _is_ still present if override theme
	is used.

2009-07-12  h4writer <hv1989@gmail.com>

	* applets/taskmanager/task-icon.c:
	* applets/taskmanager/task-icon.h:
	* applets/taskmanager/task-manager.c:
	Added closing effect to task-manager

2009-07-12  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Fixed mask setting after toggling expand mode.

2009-07-12  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Added popup menu.

2009-07-12  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Fixed D&D deadzone on sides of the panel, unfortunatelly it's still
	there above the icons.

2009-07-09  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/__init__.py:
	* tests/test-awn-dialog.py:
	* tests/test-awn-tooltip.py:
	* tests/test-config-client.py:
	* tests/test-effects-scaling.py:
	* tests/test-effects.py:
	* tests/test-overlays.py:
	* tests/test-taskmanager-dnd.py:
	* tests/test-taskmanager-windows.py:
	Fix style according to PEP 8.

2009-07-09  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-manager/awnApplet.py:
	* awn-manager/awnDefs.py.in:
	* awn-manager/awnManager.py.in:
	* awn-manager/awnPreferences.py:
	* awn-manager/awnTheme.py:
	* awn-settings/awnClass.py:
	* awn-settings/awnDefs.py.in:
	* awn-settings/awnLauncherEditor.py:
	* awn-settings/awnSettings.py.in:
	* bindings/python/__init__.py:
	* tests/test-awn-dialog.py:
	* tests/test-awn-tooltip.py:
	* tests/test-effects-scaling.py:
	* tests/test-effects.py:
	* tests/test-overlays.py:
	* tests/test-taskmanager-dnd.py:
	* tests/test-taskmanager-windows.py:
	Reindent (4 spaces per indentation, no tabs).

2009-07-09  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-icon.c:
	* applets/taskmanager/task-icon.h:
	* applets/taskmanager/task-manager.c:
	AwnDialog is now properly attached (with correct offset and orient).
	* bindings/python/awn.defs:
	* libawn/awn-icon-box.c:
	AwnIconBox has now proper "applet" property.
	* libawn/awn-dialog.c:
	Fixed issue with show method.

2009-07-09  Michal Hruby  <michal.mhr@gmail.com>

	* .bzrignore:
	* libawn/awn-applet.c:
	* libawn/awn-utils.c:
	* libawn/awn-utils.h:
	* src/awn-applet-manager.c:
	Added awn_utils prefix to the get_offset_... function.

2009-07-09  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
  	* applets/taskmanager/task-item.c:
  	* applets/taskmanager/task-item.h:
  	* applets/taskmanager/task-launcher.c:
	* applets/taskmanager/task-launcher.h:
	Enabled middle click for launchers.

2009-07-09  Julien Lavergne <julien.lavergne@gmail.com>

	* awn-settings/awn-settings.xml:
	Some work to add new options.

	* debian/avant-window-navigator-trunk.install:
	Fix package, following awn-applet-activation new name.

2009-07-09  Julien Lavergne <julien.lavergne@gmail.com>

	* awn-settings/awnDefs.py.in:
	* awn-settings/awnSettings.py.in:
	Fix Behavior button.

2009-07-08  Michal Hruby  <michal.mhr@gmail.com>

	* awn-applet-activation/Makefile.am:
	* awn-applet-activation/main.c:
	* src/awn-applet-proxy.c:
	awn-applet-activation -> awn-applet.
	Attempt to rename the process was removed.

2009-07-08  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-config.c:
	Handle single-instance applets when the mode is denoted in the UID.

2009-07-08  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet.c:
	* libawn/awn-defines.h:
	* libawn/awn-utils.c:
	* libawn/awn-utils.h:
	* src/awn-applet-manager.c:
	* src/awn-applet-manager.h:
	* src/awn-panel.c:
	* src/xutils.c:
	* src/xutils.h:
	A couple of changes to get proper shape mask support.
	Started the workaround for D&D deadzone.

2009-07-08  Mark Lee  <avant-wn@lazymalevolence.com>

	* data/avant-window-navigator.schema-ini.in:
	Fix shared config option types.

2009-07-07  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn.pc.in:
	Remove obsolete variable from pkgconfig file.

2009-07-07  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-settings.c (cfg_notify_int):
	Update due to API change in libdesktop-agnostic.

2009-07-06  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-manager.c:
	Launchers work again.

2009-07-06  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/libawn-sections.txt:
	* doc/reference/libawn.types:
	Update doc templates.

2009-07-06  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-applet-simple.c:
	* libawn/awn-applet-simple.h:
	* libawn/awn-applet.c:
	* libawn/awn-applet.h:
	Move the simple version of awn_applet_create_about_item to AwnApplet.

2009-07-06  Mark Lee  <avant-wn@lazymalevolence.com>

	* data/awn-schema-to-gconf (main):
	The third argument is now mandatory.
	Applets are no longer nested in the avant-window-navigator directory.

2009-07-06  Mark Lee  <avant-wn@lazymalevolence.com>

	* Makefile.marshal:
	* Makefile.schemas:
	* Makefile.shave:
	* applets/taskmanager/Makefile.am:
	* data/Makefile.am:
	* src/Makefile.am:
	Modularize the shave-related variables into its own Makefile.
	Modularize the schema-related variables/rules into its own Makefile.
	Use shave when generating the GConf schemas.

2009-07-06  Mark Lee  <avant-wn@lazymalevolence.com>

	* .bzrignore:
	* data/Makefile.am:
	* data/awn.schema-ini.in:
	* data/shared.schema-ini (removed):
	Merge the shared schema file with the main one.

2009-07-06  Mark Lee  <avant-wn@lazymalevolence.com>

	* data/awn-schema-to-gconf:
	Make sure types are converted properly.

2009-07-06  Mark Lee  <avant-wn@lazymalevolence.com>

	* data/avant-window-navigator.schema-ini.in:
	Fix types.

2009-07-06  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/Makefile.am:
	* configure.in:
	* data/Makefile.am:
	Only install the schema files if requested.
	Make the schema config conversion rule more generic.

2009-07-06  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/expander/Makefile.am:
	Remove unnecessary linking.

2009-07-06  Mark Lee  <avant-wn@lazymalevolence.com>

	* configure.in:
	Clean up the dependencies.

2009-07-05  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Fix AwnThemedIcon,  get_pixbuf_at_size now gets the pixbuf at the 
	size requested (was always retrieving at current_size).

2009-07-05  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/python/awn.defs:
  	* bindings/python/awn.override:
  	* tests/test-applet-simple.c:
	Modifications to bindings and test related to the previous commits.

2009-07-05  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-applet-simple.c:
  	* libawn/awn-applet-simple.h:
	Removed applet_name param from  awn_applet_simple_set_icon_name(),  
	awn_applet_simple_set_icon_info() and 
	awn_applet_simple_create_about_item().  Note that the 3rd fn should
	be moved to AwnApplet.

2009-07-05  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-applet.c:
  	* libawn/awn-applet.h:
	Added "display-name" prop.
	Removed applet_name from awn_applet_create_about_item().

2009-07-05  Rodney Cryderman  <rcryderman@gmail.com>

	* modified libawn/awn-themed-icon.c:
	Added "applet-name" prop.

2009-07-05  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Fixed autohide edge detection now that the window is on whole side of
	the screen.

2009-07-05  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet-simple.c:
	* libawn/awn-applet-simple.h:
	Added "clicked" signal, which is in fact only a proxy to AwnIcon's
	clicked signal (well usable for future detach).
	* libawn/awn-effects.c:
	* libawn/awn-overlay-text.c:
	* src/awn-panel.c:
	* src/awn-throbber.c:
	* tests/test-effects.py:
	Various fixes.

2009-07-05  Mark Lee  <avant-wn@lazymalevolence.com>

	* .bzrignore:
	* applets/taskmanager/Makefile.am:
	* applets/taskmanager/awn-applet-taskmanager.schema-ini:
	Rename schema file.
	* applets/taskmanager/task-manager.c (task_manager_get_property,
	  task_manager_set_property, task_manager_constructed):
	Continue converting taskmanager to use the libdesktop-agnostic config
	API.

2009-07-04  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-config.c (awn_config_get_default,
	  awn_config_get_default_for_applet,
	  awn_config_get_default_for_applet_by_info):
	Implement the convenience methods for creating applet config objects.
	Fix potential crasher.

2009-07-04  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-dialog.c:
	Convert color properties to be of type DesktopAgnosticColor*.
2009-07-04  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-item.c (task_item_init):
	Fix compiler warning.
	* applets/taskmanager/applet.c (awn_applet_factory_initp):
	* applets/taskmanager/task-manager.c (task_manager_set_property,
	  task_manager_new):
	* applets/taskmanager/task-manager.h:
	Fix typo.
	Make sure taskmanager defines the canonical-name property.

2009-07-04  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-config.c:
	* libawn/awn-config.h:
	Added.

	* libawn/awn-config-bridge.c:
	* libawn/awn-config-bridge.h:
	* libawn/awn-config-client-gconf.c:
	* libawn/awn-config-client-gkeyfile.c:
	* libawn/awn-config-client-shared.c:
	* libawn/awn-config-client.h:
	* tests/test-config-client.c:
	* tests/test-config-client.py:
	Removed.

	* bindings/python/awn.defs:
	* bindings/python/awn.override:
	Remove bindings.

	* data/Makefile.am:
	* data/avant-window-navigator.schema-ini.in:
	Rename schema files.

	* doc/reference/libawn-docs.sgml:
	* doc/reference/libawn-sections.txt:
	* doc/reference/libawn.types:
	Update documentation templates.

	* libawn/awn-defines.h (AWN_PANEL_ID_DEFAULT):
	Add default panel ID constant.

	* .bzrignore:
	* applets/taskmanager/Makefile.am:
	* applets/taskmanager/task-manager.c (task_manager_constructed,
	  _drag_source_end):
	* applets/taskmanager/task-settings.c (cfg_notify_int, cfg_load_int,
	  task_settings_get_default):
	* configure.in:
	* libawn/Makefile.am:
	* libawn/awn-dialog.c (awn_dialog_constructed, awn_dialog_get_property,
	  awn_dialog_set_property, awn_dialog_finalize):
	* libawn/awn-effects.c:
	* libawn/awn-effects.h:
	* libawn/awn-icon.c (awn_icon_constructed, awn_icon_set_property,
	  awn_icon_dispose):
	* libawn/awn-overlay-text.c (awn_overlay_text_set_property,
	  awn_overlay_text_dispose, awn_overlay_text_init):
	* libawn/awn-tooltip.c (awn_tooltip_constructed, awn_tooltip_set_property,
				awn_tooltip_init):
	* libawn/libawn.h:
	* src/awn-app.c (awn_app_finalize, awn_app_init):
	* src/awn-applet-manager.c (awn_applet_manager_constructed,
	  awn_applet_manager_get_property, awn_applet_manager_set_property,
	  awn_applet_manager_class_init, awn_applet_manager_new_from_config,
	  free_list):
	* src/awn-applet-manager.h:
	* src/awn-applet-proxy.h:
	* src/awn-background-3d.c (awn_background_3d_new):
	* src/awn-background-3d.h:
	* src/awn-background-curves.c (awn_background_curves_new):
	* src/awn-background-curves.h:
	* src/awn-background-edgy.c (awn_background_edgy_new):
	* src/awn-background-edgy.h:
	* src/awn-background-flat.c (awn_background_flat_new):
	* src/awn-background-flat.h:
	* src/awn-background.c (awn_background_constructed,
	  awn_background_get_property, awn_background_set_property,
	  awn_background_class_init, set_cfg_from_theme,
	  load_colours_from_widget):
	* src/awn-background.h:
	* src/awn-monitor.c (awn_monitor_constructed, awn_monitor_class_init,
	  awn_monitor_new_from_config):
	* src/awn-monitor.h (geometry_changed):
	* src/awn-panel.c (awn_panel_constructed, awn_panel_class_init,
	  awn_panel_new_from_config):
	* src/awn-panel.h:
	* tests/Makefile.am:
	The first part of converting Awn to use the libdesktop-agnostic
	configuration API. The applet convenience methods still need to be
	implemented.

2009-07-04  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-dialog.c:
	Changed AwnDialog look as per dolfje's mockup.

2009-07-03  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Fixed crash when sending window to a different workspace.  

2009-07-03  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/task-item.c:
	* bindings/python/awn.defs:
	* bindings/python/awn.override:
	* libawn/Makefile.am:
	* libawn/awn-effects.c:
	* libawn/awn-effects.h:
	* libawn/awn-icon.c:
	* libawn/awn-image.c:
	* libawn/awn-image.h:
	* libawn/awn-overlay-text.c:
	* libawn/awn-overlay-text.h:
	* libawn/libawn.h:
	* src/awn-throbber.c:
	Added AwnImage - a GtkImage based widget (without it's own GdkWindow)
	which implements AwnOverlayable interface.
	This required a change to AwnEffects' cairo_create_clipped() method.

2009-07-03  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-effects-ops-helpers.c:
	* libawn/awn-effects-ops-helpers.h:
	* libawn/awn-effects-ops-new.c:
	Removed calls to cairo_xlib_surface_get_width/height. These methods
	don't return correct values when the xlib window is moving.

2009-07-02  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/Makefile.am:
	* applets/taskmanager/applet.c:
	* applets/taskmanager/task-manager-api-wrapper-dbus.xml:
	* applets/taskmanager/task-manager-api-wrapper.c:
	* applets/taskmanager/task-manager-dbus.xml:
	* applets/taskmanager/task-manager.c:
	Taskmanager is now on DBus (both old and new API).

2009-07-02  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/Makefile.am:
	* applets/taskmanager/task-drag-indicator.c:
	* applets/taskmanager/task-drag-indicator.h:
	* applets/taskmanager/task-icon.c:
	* applets/taskmanager/task-icon.h:
	* applets/taskmanager/task-item.c:
	* applets/taskmanager/task-item.h:
	* applets/taskmanager/task-launcher.c:
	* applets/taskmanager/task-launcher.h:
	* applets/taskmanager/task-manager-api-wrapper.c:
	* applets/taskmanager/task-manager-api-wrapper.h:
	* applets/taskmanager/task-manager.c:
	* applets/taskmanager/task-manager.h:
	* applets/taskmanager/task-window.c:
	* applets/taskmanager/task-window.h:
	* applets/taskmanager/taskmanager.schema-ini:
	* applets/taskmanager/task-window-private.h:
	Merged h4writer's taskmanager-rewrite branch.

2009-07-02  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet.c:
	Added warning about canonical-name if it's empty string.
	* libawn/awn-overlay-text.c:
	Fixed crasher.

2009-07-02  Michal Hruby  <michal.mhr@gmail.com>

	* awn-applet-activation/main.c:
	* bindings/python/awn.defs:
	* libawn/awn-applet.c:
	* libawn/awn-applet.h:
	Added method to AwnApplet to get the canonical name.

2009-07-02  Mark Lee  <avant-wn@lazymalevolence.com>

	* ChangeLog:
	* libawn/awn-applet.c (awn_applet_class_init):
	Update the docs for the canonical-name property.

2009-07-02  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/applet.c:
	* awn-applet-activation/main.c:
	* bindings/python/awn.defs:
	* libawn/awn-applet-simple.c:
	* libawn/awn-applet-simple.h:
	* libawn/awn-applet.c:
	* libawn/awn-applet.h:
	* tests/test-applet-simple.c:
	Add the canonical-name property to AwnApplet and friends, needed for
	infrastructure such as configuration and themed icons.

2009-07-02  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Fixed strut.

2009-07-01  Michal Hruby  <michal.mhr@gmail.com>

	* data/awn.schema-ini.in:
	* libawn/awn-overlay-text.c:
	Changed painting of the text overlay outline.

2009-07-01  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-effects-ops-helpers.c:
	* libawn/awn-effects-ops-helpers.h:
	* libawn/awn-effects-ops-new.c:
	* libawn/awn-effects.c:
	* libawn/awn-effects.h:
	* libawn/awn-icon.c:
	Added a subtle effect when AwnIcon is clicked.

2009-07-01  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-icon.c:
	Fixed clicking, though it ain't nice...
	* src/awn-applet-proxy.c:
	* src/awn-panel.c:
	* src/awn-throbber.c:
	* src/awn-throbber.h:
	Changed base class of AwnThrobber to AwnIcon.

2009-07-01  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-effects-ops-new.c:
	Fixed the active rect op.

2009-06-30  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-icon.c:
	* libawn/awn-icon.h:
	Added "clicked" signal to AwnIcon, and method to enable/disable hover
	effects.

2009-06-30  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	A couple of cosmetic changes.

2009-06-30  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet.c:
	* src/awn-applet-proxy.c:
	Reworked curves support due to changes in AwnPanel.

2009-06-29  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/python/awn.defs:
	Added binding for awn_themed_icon_get_default_theme_name().

2009-06-29  Rodney Cryderman  <rcryderman@gmail.com>

	* data/awn.schema-ini.in:
  	* libawn/awn-overlay-text.c:
	Added various icon text theming keys under theme/.  Including:
	icon_font_mode, icon_text_outline_color and icon_text_outline_width.

2009-06-29  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-themed-icon.c:
	Fixed syntax error in documentation.

2009-06-29  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Changes to prevent flicker in composited mode. This again breaks
	curved mode a bit. Will fix later.

2009-06-29  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	* libawn/awn-themed-icon.h:
	Do preloads in a couple more appropriate locations.
	Add awn_themed_icon_get_default_theme_name() so we do
	not duplicate naughtiness in other places.

2009-06-29  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Was optimizing for performance a bit too much.  Was grabbing a
	cached pixbuf in cases where a new pixbuf should have been 
	loaded.  Moral of the story: listen to your intuition.

2009-06-29  Julien Lavergne  <julien.lavergne@gmail.com>

	* awn-settings/awn-settings.xml:
	Make advanced options more readable.

2009-06-29  Julien Lavergne <julien.lavergne@gmail.com>

	* awn-settings/awnDefs.py.in:
	* awn-settings/awnSettings.py.in:
	* data/awn.schema-ini.in:
	Add a setting to store the behavior of the panel.

2009-06-28  Julien Lavergne  <julien.lavergne@gmail.com>

	* awn-settings/awnClass.py:
	* awn-settings/awnSettings.py.in:
	Test if the applets list is empty, and complete the sources.list 
        if it's the case.

2009-06-28  Mark Lee  <avant-wn@lazymalevolence.com>

	* tests/test-awn-dialog.py (change_attach):
	* tests/test-awn-icon.c (main):
	* tests/test-overlays.py (Main.__init__, Main.OnQuit):
	* tests/test-taskmanager-dnd.py (drag_data_get):
	* tests/test-themed-icon.c (main):
	Make sure that the test programs exit properly when their windows
	are closed.

2009-06-27  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/libawn-sections.txt:
	Update the gtk-doc generated sections file.

2009-06-27  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/libawn-sections.txt:
	* libawn/awn-cairo-utils.c:
	* libawn/awn-cairo-utils.h:
	Update the cairo color convenience functions to use the libdesktop-agnostic
	cairo color convenience API.

2009-06-27  Julien Lavergne <julien.lavergne@gmail.com>

	* awn-settings/awn-settings.xml:
	Fix again the GTK depends.

2009-06-27  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Changed caching so it's a shared pixbuf cache between all 
	AwnThemedIcon instances.  Code _needs_ a refactor in a couple
	places but it seems to be working well.

2009-06-27  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-applet-proxy.c:
	* src/awn-panel.c:
	* src/awn-throbber.c:
	* src/awn-throbber.h:
	A couple of changes to AwnThrobber, made CLOSE_BUTTON mode more
	visually pleasing.

2009-06-26  Julien Lavergne <julien.lavergne@gmail.com>

	* awn-settings/awn-settings.xml:
	Fix dupplicated label.

	* awn-settings/awnClass.py:
	* awn-settings/awnSettings.py.in:
	Fix categories chooser.

2009-06-26  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	Removed unnecessary method.

2009-06-26  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet.c:
	* libawn/awn-applet.h:
	* libawn/awn-icon.c:
	Documented AwnApplet and AwnIcon.

2009-06-26  Julien Lavergne  <julien.lavergne@gmail.com>

	* awn-settings/awnClass.py:
	* awn-settings/awnLauncherEditor.py:
	* awn-settings/awnSettings.py.in:
	Update AwnLauncher to new make_model function.	
	Remove some unused code.
	Translate some strings.
	use generic create_drowdown function.

2009-06-26  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	* libawn/awn-applet.c:
	* libawn/awn-applet.h:
	* src/awn-panel-dbus.xml:
	* src/awn-panel.c:
	* src/awn-panel.h:
	Added expand parameter to DockletRequest DBus method.

2009-06-26  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-applet-simple.c:
	Set AwnThemedIcon size before calling set_info.  This will
	make the automatic preload more effective.

2009-06-26  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
  	* libawn/awn-themed-icon.h:
	Add a preload.  This will be automatically called by by set info.

2009-06-26  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Implement a pixbuf cache.  A fair amount of code duplication
	but it doesn't lend itself neatly to a function.  Will look
	into at a later time.

2009-06-26  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-pixbuf-file.c:
	Modified the code to spews some warnings when file_name 
	is NULL or empty.

2009-06-26  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet-simple.c:
	* libawn/awn-cairo-utils.c:
	* libawn/awn-effects.c:
	A couple of minor fixes in the doc-comments.

2009-06-26  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	Added AwnOverlayAlign binding.

2009-06-25  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/libawn-sections.txt:
	Add the applet docklet request function to the docs.

2009-06-25  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Disconnect the correct object from the signal

2009-06-25  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Have AwnThemedIcon only create one awntheme GtkIconTheme object per process.

2009-06-25  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
 	* applets/taskmanager/task-window.c:
	Task Icon and Task Window need to chain up constructed after recent
	modifications.

2009-06-25  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Disconnect the signal handler for the default gtk theme on dispose.

2009-06-25  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet.c:
	* src/awn-panel.c:
	* src/awn-throbber.c:
	* src/awn-throbber.h:
	A couple of fixes to make docklet mode work properly.

2009-06-25  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	* bindings/python/awn.override:
	Added binding for AwnAlignment.
	* libawn/awn-icon.c:
	Added bind-effects property which controls whether effects' property
	values are read out from config client.

2009-06-25  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet.c:
	* src/awn-panel-dbus.xml:
	* src/awn-panel.c:
	Fixed curves support.

2009-06-25  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-themed-icon.c:
	Modified to work with the python bindings.

2009-06-25  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/libawn-sections.txt:
	* doc/reference/libawn.types:
	* libawn/awn-applet-simple.c:
	* libawn/awn-applet-simple.h:
	* libawn/awn-applet.c:
	* libawn/awn-applet.h:
	* libawn/awn-defines.h:
	Add AwnAppletLicense, awn_applet_create_about_item, and
	awn_applet_simple_create_about_item (migrated from libawn-extras).

2009-06-25  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet.c:
	* libawn/awn-applet.h:
	* src/awn-panel-dbus.xml:
	* src/awn-panel.c:
	Added docklet_request method to AwnApplet.

2009-06-25  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	Fixed binding for OverlayThemedIcon.

2009-06-24  Michal Hruby  <michal.mhr@gmail.com>

	* applets/taskmanager/applet.c:
	* applets/taskmanager/task-manager.c:
	* applets/taskmanager/task-manager.h:
	* awn-applet-activation/main.c:
	* bindings/python/__init__.py:
	* bindings/python/awn.defs:
	* libawn/awn-applet-simple.c:
	* libawn/awn-applet-simple.h:
	* libawn/awn-applet.c:
	* libawn/awn-applet.h:
	* src/awn-applet-proxy.c:
	* tests/test-applet-simple.c:
	AwnApplet constructor changed to include panel ID, now size, offset
	and similar values are read out via DBus when applet is constructed.

2009-06-24  Julien Lavergne  <julien.lavergne@gmail.com>

	* awn-settings/awn-settings.xml:
	Convert awn-settings.glade to awn-settings with gtk-builder-convert, 
	not with galde-3.

2009-06-24  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/python/awn.defs:
	Convert to new style bidings for constructor awn_overlay_themed_icon_new.

2009-06-24  Julien Lavergne <julien.lavergne@gmail.com>

	* awn-settings/awnSettings.py.in:
	Update to changes made in make_model().

2009-06-24  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Refresh alignment when "expand" property changes.

2009-06-23  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.override:
	Fixed binding for AppletSimple.set_icon_info()

2009-06-23  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	* bindings/python/awn.override:
	Added binding for AwnIconBox (needs some work).
	* src/awn-panel-dbus.xml:
	* src/awn-panel.c:
	* src/awn-panel.h:
	Changed the DBus signature for DockletRequest method, now the min_size
	parameter is really minimum size the docklet will have.

2009-06-23  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-themed-icon.c:
	Correct a comment.

2009-06-23  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-applet-manager.c:
	* src/awn-applet-manager.h:
	* src/awn-panel-dbus.xml:
	* src/awn-panel.c:
	* src/awn-panel.h:
	First version of method to request full dock space - ie all applets
	will hide and only your "docklet" will be shown.

2009-06-23  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-themed-icon.c:
	Make icon a prop.

2009-06-23  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Don't set the ->current_item in get_pixbuf_at_size().

2009-06-23  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	* bindings/python/awn.override:
	* bindings/python/awnmodule.c:
	* libawn/awn-overlay-themed-icon.c:
	Fixed the python bindings... hopefully.

2009-06-23  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-overlay.c:
	* libawn/awn-overlay.h:
	* bindings/python/awn.defs:
	* bindings/python/awn.override:
	Changed base class for AwnOverlay to GInitiallyUnowned.
	* libawn/awn-dialog.c:
	Added property to disable the window focus behaviour.
	* libawn/awn-effects.c:
	Documentation update etc.

2009-06-23  Michal Hruby  <michal.mhr@gmail.com>

	* doc/reference/libawn-docs.sgml:
	Added AwnOverlayable.
	* src/awn-panel-dbus.xml:
	Exposed max-size property.
	* src/awn-panel.c:
	* src/awn-panel.h:
	Now using AwnDBusWatcher to make sure we don't misbehave due to
	crashing applet.

2009-06-22  Rodney Cryderman  <rcryderman@gmail.com>yy

	* libawn/awn-themed-icon.c:
	Imposed a bit more sanity on AwnThemedIcon.  Internally uses
	GList instead of GStrv now.

2009-06-22  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Added rotate property of type GdkPixbufRotation to AwnThemedIcon.

2009-06-23  Julien Lavergne <julien.lavergne@gmail.com>

	* awn-settings/awn-settings.xml:
	* awn-settings/launcher-editor.xml:
	Only need GTK >= 2.12

2009-06-23  Michal Hruby  <michal.mhr@gmail.com>

	* doc/reference/libawn-docs.sgml:
	Added missing files.
	* libawn/awn-effects.c:
	* libawn/awn-effects.h:
	Moved gtkdoc comments to C file to prevent rebuild of everything when
	documentation changes.

2009-06-22  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-themed-icon.c:
        Remove a debug.

2009-06-22  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/libawn-docs.sgml:
	Fix the documentation main page.
	Add index.
	Annotate that the docs are written in English.

2009-06-22  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.override:
	This should be correct fix for the binding problem.

2009-06-22  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Added a finalize method.  Moved some code from dispose to finalize.
	Replaced a strcmp with a g_strcmp0.

2009-06-22  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Fix <applet>/themes/  support.

2009-06-22  Rodney Cryderman  <rcryderman@gmail.com>
	
	* libawn/awn-applet.c:
	switch from awn-applet-mini to awn-settings.

2009-06-22  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/python/awn.defs:
	binding for override_gtk_theme () now accepts None.

2009-06-22  Rodney Cryderman  <rcryderman@gmail.com>
	
	* libawn/awn-themed-icon.c:
	Stop using gtk_icon_theme_load_icon ().  It insist on loading crappy 
	icons when IMO it should not do so.

2009-06-22  Julien Lavergne <julien.lavergne@gmail.com>

	* awn-settings/Makefile.am:
	* awn-settings/awn-launcher-editor.in:
	* awn-settings/awn-settings.xml:
	* awn-settings/awnClass.py:
	* awn-settings/awnLauncherEditor.py:
	* awn-settings/awnSettings.py.in:
	* awn-settings/launcher-editor.xml:
	* configure.in:
	* debian/control:
	Migrate from libglade to GtkBuilder.
	Bump python-gtk2 depends to 2.12, needed for GtkBuilder.
	Fix location of awn-launcher-editor.
	Remove some useless code.

2009-06-21  Julien Lavergne <julien.lavergne@gmail.com>

	* .bzrignore:
	Updated with awn-settings and debian files.

2009-06-21  Julien Lavergne <julien.lavergne@gmail.com>

	* awn-settings/awnSettings.py.in:
	Fix launchers windows.

2009-06-21  Julien Lavergne <julien.lavergne@gmail.com>

	* Makefile.am:
	* awn-settings/Makefile.am:
	* awn-settings/awn-launcher-editor.in:
	* awn-settings/awn-settings-small.svg:
	* awn-settings/awn-settings.desktop.in.in:
	* awn-settings/awn-settings.glade:
	* awn-settings/awn-settings.svg:
	* awn-settings/awnDefs.py.in:
	* awn-settings/awnLauncherEditor.py:
	* awn-settings/awnSettings.py.in:
	* awn-settings/launcher-editor.glade:
	* configure.in:
	* debian/awn-settings-trunk.install:
	* debian/control:
	* debian/rules:
	Rename Awn-manager-mini to Awn-settings.
	Move all necessary files to awn-settings/
	Disable awn-manager from the build system.

2009-06-20  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/python/awn.override:
	The value of kwargs received by _wrap_awn_themed_icon_set_info () 
	seemed to be undefined leading to crashes on some systems.  Removed 
	kwargs as a param and replaced PyArg_ParseTupleAndKeywords() with 
	PyArg_ParseTuple().

2009-06-21  Julien Lavergne <julien.lavergne@gmail.com>

	* awn-manager/awn-manager-mini.glade:
	* awn-manager/awnClass.py:
	* awn-manager/awnManagerMini.py.in:
	Add a Behavior button, to choose Autohide, Panel mode etc ...

2009-06-21  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet.c:
	Fixed minor problem.
	* src/Makefile.am:
	* src/awn-dbus-watcher.c:
	* src/awn-dbus-watcher.h:
	Added DBusWatcher object which can send signals when there's
	a new object on the dbus, or an object disappears.

2009-06-21  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel-dbus.xml:
	* src/awn-panel.c:
	* src/awn-panel.h:
	Groundwork for safe inhibits.

2009-06-20  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/__init__.py:
	Get the CONFIG_LIST_* aliases back.

2009-06-20  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/__init__.py:
	* bindings/python/awn.defs:
	* bindings/python/awnmodule.c:
	Seems like we were missing constants in awn module the whole time.

2009-06-20  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-pixbuf-file.c:
	Deal with scale == 0.0 during instantiation.

2009-06-20  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	Expose utility functions.

2009-06-20  Julien Lavergne  <julien.lavergne@gmail.com>

	* awn-manager/awnClass.py:
	* awn-manager/awnManagerMini.py.in:
	Connect widget to choose applets by catagories.

2009-06-20  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-applet-manager.c:
	* src/awn-applet-proxy.c:
	* src/awn-applet-proxy.h:
	More polishing - fork & run applets in idle callback.

2009-06-20  Julien Lavergne <julien.lavergne@gmail.com>

	* awn-manager/awnClass.py:
	location key of read.desktop is now the path of the desktop file .
	Fix search categories function.
	Fix when desktop file have multi-categories.
	* awn-manager/awnDefs.py.in:
	Set default sources.list with only lcoal location.

2009-06-19  Mark Lee  <avant-wn@lazymalevolence.com>

	* .bzrignore:
	* configure.in:
	* doc/reference/Makefile.am:
	Remove remnants of the old libawn/egg directory.

2009-06-19  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/task-launcher.c:
	Remove unused variable.

2009-06-19  Mark Lee  <avant-wn@lazymalevolence.com>

	* bindings/python/awn.override:
	* libawn/libawn.h:
	Clean up headers.

2009-06-19  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/libawn-sections.txt:
	* doc/reference/libawn.types:
	Update the docs.

2009-06-19  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-themed-icon.c:
        Remove a big chunk of whitespace in a param list.

2009-06-19  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-pixbuf-file.c:
	Removed a FIXME comment that does not apply.

2009-06-19  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-themed-icon.c:
	Detect theme changes.

2009-06-19  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-applet-manager.c:
	* src/awn-applet-proxy.c:
	A couple of changes which should make AWN look more polished.

2009-06-19  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-pixbuf-file.c:
	Partial refactor of AwnOverlayPixbufFile.

2009-06-19  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	Added binding for inhibit/uninhibit_autohide.

2009-06-19  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet.c:
	* libawn/awn-applet.h:
	Added methods to AwnApplet which will call the InhibitAutohide DBus
	methods.
	* libawn/awn-dialog.c:
	AwnDialog now automatically inhibits autohide when it's shown.

2009-06-19  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel-dbus.xml:
	* src/awn-panel.c:
	* src/awn-panel.h:
	Added DBus methods for inhibiting autohide.

2009-06-19  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-effects-ops-new.c:
	Fix compiler warning.

2009-06-19  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/Makefile.am:
	* libawn/awn-applet-simple.c:
	* libawn/awn-cairo-utils.c:
	* libawn/awn-dialog.c:
	* libawn/awn-icon.c:
	* libawn/awn-icon.h:
	* libawn/awn-overlayable.c:
	* libawn/awn-overlayable.h:
	* libawn/libawn.h:
	* bindings/python/awn.defs:
	Added AwnOverlayable interface.
	* applets/taskmanager/task-drag-indicator.c:
	* applets/taskmanager/task-icon.c:
	* tests/test-awn-effects.c:
	Changes due to the new interface.

2009-06-19  Julien Lavergne <julien.lavergne@gmail.com>

	* awn-manager/awn-manager-mini.glade:
	* awn-manager/awnClass.py:
	* awn-manager/awnManagerMini.py.in:
	Add prelimary work for Categories support in awn-manager-mini.
	Add missing initialization.

2009-06-18  Michal Hruby  <michal.mhr@gmail.com>

	reviewed by: mhr3
	patch by: onox

	* bindings/python/awn.override:
	Added python binding override for ThemedIcon.set_info
	* tests/test-awn-tooltip.py:
	Added test for ThemedIcon.set_info()

2009-06-18  Julien Lavergne <julien.lavergne@gmail.com>

	* awn-manager/awnClass.py:
	* awn-manager/awnManagerMini.py.in:
	Factorize make_model and refresh_tree.

2009-06-18  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-text.c:
	Be more careful in dispose.

2009-06-18  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-text.c:
	Move bridge and client into Private.  Unref bridge on dispose.

2009-06-18  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-pixbuf.c:
	Reverted a one stylistic change from rev 920 and modified
	one of the additions.  To enhance code readability.

2009-06-18  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-overlay-pixbuf-file.c:
	* libawn/awn-overlay-pixbuf.c:
	Fixed loading different pixbuf after setting one.

2009-06-18  Michal Hruby  <michal.mhr@gmail.com>

	* src/awn-panel.c:
	Added resize animations to panel.

2009-06-17  Mark Lee  <avant-wn@lazymalevolence.com>

	* applets/taskmanager/xutils.c:
	* applets/taskmanager/xutils.h:
	* src/xutils.c:
	* src/xutils.h:
	Remove unused code.

2009-06-16  Rodney Cryderman  <rcryderman@gmail.com>

	* data/awn.schema-ini.in:
	Provide schema for theme/icon_text_color.

2009-06-16  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-text.c:
	Bind text colour to theme/icon_text_color key.

2009-06-16  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-progress-circle.c:
	Set the alpha value on the colours a bit more concisely.

2009-06-16  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-text.c:
	Switched text back to original rendering except now using 
	GTK_STATE_NORMAL.

2009-06-16  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-text.c:
	Switch over to outlined text for comparison purposes.

2009-06-16  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	Allowed NULL in OverlayThemedIcon constructor for icon-state param.
	* libawn/anims/awn-effect-squish.c:
	Fixed FTBFS.
	* libawn/awn-effects.c:
	Added notify signal watch for overlays.

2009-06-16  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	Made the OverlayText constructor more convenient
	* libawn/anims/awn-effect-squish.c:
	Changes to squish, so that it fits to AwnIcon's window.

2009-06-16  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-effects-ops-new.c:
	* libawn/awn-effects-ops-new.h:
	* libawn/awn-effects.c:
	* libawn/awn-overlay.c:
	* libawn/awn-overlay.h:
	Finished implementation of apply-effects overlay property.
	* libawn/awn-overlay-text.c:
	Changed default for apply-effects property to FALSE.

2009-06-15  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-progress-circle.c:
	Basic progress circle implemented.

2009-06-15  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/libawn.h:
	Add new #includes to libawn.h.

2009-06-15  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-progress.c:
	Add percent-complete prop.

2009-06-15  Rodney Cryderman  <rcryderman@gmail.com>

	 * libawn/Makefile.am:
        Add AwnOverlayProgressCircle files to Makefile.

2009-06-15  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-progress-circle.c:
	* libawn/awn-overlay-progress-circle.h:
	Boilderplate for AwnOverlayProgressCircle.

2009-06-15  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/Makefile.am:
	Add AwnOverlayProgress files to Makefile.

2009-06-15  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-progress.c:
	* libawn/awn-overlay-progress.h:
	Boilerplate for AwnOverlayProgress.

2009-06-15  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-pixbuf.c:
        Some modifications of docs/comments.

2009-06-15  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-pixbuf-file.c:
	Some modifications of docs/comments.

2009-06-15  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-themed-icon.c:
	Add some docs and check for an AwnThemedIcon in the constructor.

2009-06-15  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-text.c:
	Modified docs to reflect AwnOverlaidIcon -> AwnEffects.

2009-06-15  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	Fixed bindings for pixbuf overlays.
	* tests/test-overlays.py:
	Added pixbuf overlays test.

2009-06-14  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/python/awn.defs:
	Added bindings for AwnOverlayPixbuf and AwnOverlayPixbufFile.

2009-06-14  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay.c:
	Add an "apply-effects" property that AwnEffects can check to determine
	if effects should be applied to overlay.

2009-06-14  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlaid-icon.c:
  	* libawn/awn-overlaid-icon.h:
	Removed awn-overlaid-icon.[ch] as code was moved to AwnEffects.

2009-06-14  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	* libawn/Makefile.am:
	* libawn/anims/awn-effects-shared.h:
	* libawn/awn-applet-simple.c:
	* libawn/awn-effects.c:
	* libawn/awn-effects.h:
	* libawn/awn-overlay-pixbuf-file.c:
	* libawn/awn-overlay-pixbuf.c:
	* libawn/awn-overlay-pixbuf.h:
	* libawn/awn-overlay-text.c:
	* libawn/awn-overlay-themed-icon.c:
	* libawn/awn-overlay-themed-icon.h:
	* libawn/awn-overlay-throbber.c:
	* libawn/awn-overlay-throbber.h:
	* libawn/awn-overlay.c:
	* libawn/awn-overlay.h:
	* libawn/libawn.h:
	Removed AwnOverlaidIcon, methods it provided are now moved to
	AwnEffects, where is greater control how, when and if to apply
	effects together with overlays.
	* tests/test-overlays.py:
	Updated to match current architecture.
	* libawn/awn-icon-box.h:
	Fixed wrong include.

2009-06-13  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlaid-icon.c:
	Use awn_effects_cairo_create_clipped()... may help deranged
	Nvidia drivers.

2009-06-13  Michal Hruby  <michal.mhr@gmail.com>

	* tests/test-overlays.py:
	Added small overlay test.
	* bindings/python/awn.defs:
	Fixed OverlayThrobber python binding.
	* libawn/awn-effects.c:
	Fixed missing break.
	* libawn/awn-overlaid-icon.c:
	Added redraw when overlay is added/removed.
	* libawn/awn-overlay-throbber.c:
	Fixed crash upon object destruction.
	* tests/test-awn-effects.c:
	Updated prop name.

2009-06-12  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-throbber.c:
	Document AwnOverlayThrobber.

2009-06-12  Rodney Cryderman  <rcryderman@gmail.com>

 	* libawn/awn-overlay-text.c:
        Document the props for AwnOverlayText.

2009-06-12  Mark Lee  <avant-wn@lazymalevolence.com>

	* libawn/awn-overlay-pixbuf-file.c:
	Fix compiler warning.

2009-06-12  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlaid-icon.c:
	It's best to disconnect signals in dispose() not finalize.

2009-06-12  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlaid-icon.c:
	Missed moving a call to parent finalize.

2009-06-12  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-text.c:
  	* libawn/awn-overlay-themed-icon.c:
  	* libawn/awn-overlay-throbber.c:
	Moved calls to parent dispose/finalize to end of functions.

2009-06-12  Mark Lee  <avant-wn@lazymalevolence.com>

	* tests/test-config-client.c:
	Fix compiler errors/warnings.

2009-06-12  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-pixbuf.c:
	Move call to parent dispose() to the end of dispose().

2009-06-12  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-pixbuf-file.h:
	Updated header for AwnOverlayPixbufFile.

2009-06-12  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-pixbuf-file.c:
	Initial implementation of AwnOverlayPixbufFile.  Does not cache
	pixbufs yet.

2009-06-12  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-themed-icon.c:
	Add constructed().  Clear pixbufs hash table when icon name changes.

2009-06-12  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-throbber.c:
	* libawn/awn-overlay-text.c:
	Chain up to parent constructed() if there is one.

2009-06-12  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlaid-icon.c:
	Queue a draw whenever any props in AwnOverlay changes.

2009-06-12  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlaid-icon.c:
	Queue a draw whenever the active property of any overlay changes.
	Should consider monitoring some of the other props?

2009-06-12  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay.c:
	Removed x_per and y_per.  This type of thing should be handled
	in subclasses as not all necessarily need something like this and
	those that do might best conceptualize it a bit differently (ie scale)

2009-06-12  h4writer <hv1989@gmail.com>

	* src/awn-background-3d.c:
	Adjust the padding when offset or size of panel changed (of 3d look).

2009-06-12  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Fix erroneous state does not exit warnings.

2009-06-12  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Add an additonal check of data and remove a stray period.

2009-06-12  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	A rather ugly fix....  Needs to be cleaned up after some testing.

2009-06-11  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlaid-icon.c:
	Disconnect the signal handler in finalize if it _is_ attached.

2009-06-11  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-icon-file.c => libawn/awn-overlay-pixbuf-file.c:
  	* libawn/awn-overlay-icon-file.h => libawn/awn-overlay-pixbuf-file.h:
  	* libawn/Makefile.am:
  	* libawn/libawn.h:
  	* libawn/awn-overlay-pixbuf-file.c:
  	* libawn/awn-overlay-pixbuf-file.h:
	Convert AwnOverlayIconFile to AwnOverlayPixbufFile.

2009-06-11  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-pixbuf.c:
        * libawn/awn-overlay-pixbuf.h:
	Initial implementation of AwnOverlayPixbuf.
	* libawn/libawn.h:
	Add AwnOverlayPixbuf header files.

2009-06-11  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-throbber.c:
	Move unref of Icon into dispose.

2009-06-11  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-icon-throbber.c:
	Take a reference on the Icon when the icon property is set.

2009-06-11  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-icon-file.c:
	* libawn/awn-overlay-icon-file.h:
	* libawn/Makefile.am:
	Boilerplate for AwnOverlayIconFile.

2009-06-11  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-pixbuf.c:
  	* libawn/awn-overlay-pixbuf.h:
  	* libawn/Makefile.am:
	Boilerplate for AwnOverlayPixbuf.

2009-06-11  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-applet.c:
	Use squared sin for the curved offset - makes the curve a bit more
	steep.

2009-06-11  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Don't try to copy original_icon_names if it is NULL.

2009-06-11  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Spelling:  orignal -> original

2009-06-11  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/python/awn.defs:
	* libawn/awn-overlay-themed-icon.c:
	* libawn/awn-overlay-themed-icon.h:
	Correct the def of awn_overlay_themed_icon_new() to required an AnwOverlaidIcon instead of AwnThemedIcon.

2009-06-10  Mark Lee  <avant-wn@lazymalevolence.com>

	* configure.in:
	Tweak the CFLAGS and the warning-related CFLAGS.

	* applets/taskmanager/task-icon.c (task_icon_remove_window):
	* applets/taskmanager/task-manager.c (try_to_place_window_by_wmclass,
	  try_to_match_window_to_launcher, _drag_dest_leave):
	* applets/taskmanager/task-window.c (task_window_set_icon_geometry):
	* libawn/awn-applet-simple.c (awn_applet_simple_class_init):
	* libawn/awn-dialog.c (_on_origin_changed):
	* libawn/awn-overlaid-icon.c (_awn_overlaid_icon_expose):
	* src/awn-app.c (awn_app_get_panels):
	* src/awn-applet-manager.c (awn_applet_manager_set_applet_flags):
	Fix various compiler warnings/errors.

2009-06-10  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/Makefile.am:
	* doc/reference/libawn-sections.txt:
	* doc/reference/libawn.types:
	Fix docs again.

2009-06-10  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	A bit more documentation.

2009-06-10  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	More documentation.

2009-06-10  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	* libawn/awn-overlay-themed-icon.c:
	Change order of parameters of awn_themed_icon_set_info_append() 
	to be consistent with other functions.

2009-06-10  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-themed-icon.c:
	Some documentation.

2009-06-10  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-throbber.c:
	Add scaling to AwnOverlayThrobber.

2009-06-10  Rodney Cryderman  <rcryderman@gmail.com>

	* applets/taskmanager/task-icon.c:
	Move the destruction of the dialog into dispose.  Causes some 
	nasty warnings when placed in finalize().

2009-06-10  Michal Hruby  <michal.mhr@gmail.com>

	* libawn/awn-dialog.c:
	One more fix to the finalization of AwnDialog.

2009-06-08  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/task-icon.c
	Destroy the dialog on finalize.  There's some interesting assertions
	and Warnings generated when doing so. Possible related to some signals
	that need to be disconnected?

2009-06-10  Michal Hruby  <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	* libawn/awn-dialog.c:
	* libawn/awn-dialog.h:
	Finalize AwnDialog correctly.
	Provide new contruction method: awn_dialog_new_for_widget_with_applet
	 - can be used for AwnIcons inside an AwnApplet (should fix the issues
	   in taskamanger)

2009-06-10  Michal Hruby <michal.mhr@gmail.com>

	* bindings/python/awn.defs:
	Fix constructor of AwnOverlayThemedIcon.
	* src/awn-panel.c:
	* tests/test-awn-effects.c:
	Fix compiler warnings.

2009-06-08  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/python/awn.defs:
	Modified binding for awn_overlay_themed_icon_new().

2009-06-08  Rodney Cryderman  <rcryderman@gmail.com>
	
	* bindings/python/awn.defs:
	Attempt to do Python bindings for awn_overlay_move_to().  Broken
	at the moment.
	Python bindings for AwnOverlayText, AwnOverlayThemedIcon and
	AwnOverlayThrobber.

2009-06-08  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-text.c:
  	* libawn/awn-overlay-themed-icon.c:
  	* libawn/awn-overlay.c:
  	* libawn/awn-overlay.h:
	Make the parameter order for awn_overlay_move_to() more sensible.

2009-06-08  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/python/awn.defs:
	Partial bindings for AwnOverlay.  Need to fix a C function before finishing.

2009-06-08  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/python/awn.defs:
	Python bindings for AwnOverlaidIcon.

2009-06-08  Rodney Cryderman  <rcryderman@gmail.com>

	* bindings/python/awn.defs:
  	* bindings/python/awn.override:
	Working on Python bindings for AwnOverlay*, AwnOverlaidIcon.

2009-06-09  Michal Hruby <michal.mhr@gmail.com>

	* applets/expander/applet.c:
	Let the applet initialization finish before destroying it.

2009-06-09  Michal Hruby <michal.mhr@gmail.com>

	* configure.in:
	* applets/Makefile.am:
	* applets/expander/Makefile.am:
	* applets/expander/applet.c:
	* applets/expander/expander.desktop.in.in:
	Added (semi-dummy) expander applet.
	* bindings/python/awn.defs:
	Added bindings for a couple of missing AwnApplet methods.
	* libawn/awn-applet-simple.c:
	Removed the size_request method, now uses parent's.
	* libawn/awn-applet.c:
	* libawn/awn-applet.h:
	* libawn/awn-defines.h:
	Implemented support for AwnAppletFlags:
	 EXPAND_MINOR & MAJOR now increase the requisition size for the applet.
	 IS_EXPANDER replaces the applet with an expander widget in core.
	  Note that this destroys the socket widget.
	 IS_SEPARATOR remains unimplemented.
	* src/awn-applet-manager.c:
	* src/awn-applet-manager.h:
	* src/awn-panel.c:
	Necessary changes for expander support.

2009-06-08  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-themed-icon.c:
	Correct error/Changelog in previous commit.

2009-06-08  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-throbber.c:
	Unref the icon on finalize.

2009-06-08  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-themed-icon.c:
	Fixup finalize.

2009-06-08  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-text.c:
	Do what needs to be done in AwnOverlayText finalize().

2009-06-08  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlaid-icon.c:
        Chain to parent class finalize().

2009-06-08  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlaid-icon.c:
	Do what's needed in finalize().  Add a couple g_warning().

2009-06-08  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlaid-icon.c:
	Make the  append overlay and remove overlay functions a bit 
	more robust.  Including taking and releasing a ref.

2009-06-08  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-themed-icon.h:
	Correct #include due to file rename.

2009-06-08  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay-themed-icon.c:
  	* libawn/awn-overlay-themed-icon.h:
  	* libawn/Makefile.am:
	Moved awn-overlay-icon.[ch] -> awn-overlay-themed-icon.[ch].
	Renamed AwnOverlayIcon -> AwnOverlayThemedIcon to reduce chance 
	of confusing with AwnOverlaidIcon.

2009-06-07  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-applet-activation/main.c:
	Fix typo.

2009-06-07  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/libawn-docs.sgml:
	Update/reorganize the table of contents.

2009-06-07  Mark Lee  <avant-wn@lazymalevolence.com>

	* awn-manager/awnClass.py:
	Don't die if there's no network connection.

2009-06-07  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-dialog.[ch]
	Fix definition for awn_dialog_new(void).

2009-06-07  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay.c:
	Change to G_DEFINE_ABSTRACT_TYPE() from G_DEFINE_TYPE().

2009-06-07  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay.h:
	Modification of AwnOverlayAlign docs.

2009-06-07  Rodney Cryderman  <rcryderman@gmail.com>

	* libawn/awn-overlay.c:
	Slight mod of docs for x-adj and y-adj props.

2009-06-07  Mark Lee  <avant-wn@lazymalevolence.com>

	* doc/reference/libawn-sections.txt:
	* doc/reference/libawn.types:
